2003-09-18 23:26  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-imap.scm (1.200): Fix problem with obsolete use of
	backslash in symbols.

2003-09-18 20:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: random.scm (14.30), runtime.pkg (14.457): Implement
	external representation for random-state objects.

2003-09-18 12:50  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/version.scm (14.215): Change release version to 7.7.90
	for test release.

2003-09-16 23:20  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: xml.pkg (1.25), xml-struct.scm (1.24): New procedure
	XML-NAME-SIMPLE.  Change printed representation of elements to show
	the simple name.

2003-09-16 00:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-parser.scm (1.40): Fix typo in namespace-prefix parsing.

2003-09-15 16:22  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-parser.scm (1.39): Fix bug in handling of namespace
	declarations.

2003-09-13 21:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/ntprm.scm (1.43): Strip double-quote characters from path
	elements.

2003-09-13 21:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/ntprm.scm (1.42): Strip double-quote characters from path
	elements.

2003-09-13 20:20  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/ntprm.scm (1.41): Strip double-quote characters from path
	elements.

2003-09-11 14:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: xml-parser.scm (1.38), xml-struct.scm (1.23): Change
	namespace URIs to be symbols.

2003-09-08 23:45  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: chrset.scm (14.20), equals.scm (14.12), runtime.pkg
	(14.456): Implement equality predicate for character sets.

2003-09-05 16:51  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/runtime.pkg (14.455), runtime/load.scm (14.66),
	runtime/sfile.scm (14.35), cref/toplev.scm (1.21), sf/butils.scm
	(4.14): Fix definition of FILE-MODIFICATION-TIME<?, and introduce
	new procedure FILE-MODIFICATION-TIME<=?.

2003-08-23 01:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: xml-parser.scm (1.36), xml-parser.scm (1.37): Fix bug in
	parsing of XML declarations.

2003-08-22 11:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-output.scm (1.24): Oops... make change to processing
	instructions to match change in parser.

2003-08-21 16:59  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/prgdbm.c (1.6): Oops -- forgot to include
	dload_initialize_file() when this was changed to be dynamically
	loaded.

2003-08-20 13:23  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: xml-struct.scm (1.22), xml.pkg (1.24): New procedure
	XML-NAME-PREFIX.

2003-08-20 13:22  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-parser.scm (1.35): Fix minor bug in syntax of processing
	instructions.

2003-08-18 21:05  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/htmlmode.scm (1.10): Fix syntax to allow all XML names.

2003-08-06 21:43  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: malias.scm (1.9), malias.scm (1.10): Change
	GUARANTEE-MAIL-ALIASES so that it reloads the aliases if the file
	is changed.

2003-08-05 12:51  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-parser.scm (1.34): Minor tweaks.

2003-08-03 02:20  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-struct.scm (1.21): Fix typo.

2003-08-03 02:14  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-parser.scm (1.33): Fix typo.	Change attribute-defaulting
	errors to use pointer to the attribute rather than the start tag.

2003-08-03 01:55  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: xml-parser.scm (1.32), xml-struct.scm (1.20): Supply
	default attributes from DTD when appropriate.

2003-08-03 01:54  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/unicode.scm (1.13): Add appropriate articles to
	wrong-type error messages.

2003-08-03 01:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/char.scm (14.23): Use upper case for bucky-bit prefixes.

2003-08-01 15:30  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: xml-parser.scm (1.31), xml-output.scm (1.23): Change DTD
	structures to use symbol names that are more closely related to the
	tokens appearing in the XML document.

2003-08-01 15:23  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/schmod.scm (1.67): Change syntactic role of vertical bar.

2003-07-31 23:50  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-parser.scm (1.30): Tweak error reporting for processing
	instructions.

2003-07-31 23:25  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: xml-struct.scm (1.19), xml.pkg (1.23): Add support for hash
	tables based on XML names.

2003-07-30 22:49  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/char.scm (14.22): Revert to use of lisp-style character
	names, and consistently use lower case forms.

2003-07-30 22:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/char.scm (14.21): Restore BUCKY-BITS->PREFIX as it is
	being used by Edwin.

2003-07-30 22:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/dbgutl.scm (14.24), edwin/hlpcom.scm (1.127),
	imail/imail-imap.scm (1.199): Eliminate use of WRITE on symbols
	when output isn't intended for READ.

2003-07-30 15:43  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: xml.pkg (1.22), xml-chars.scm (1.6), xml-output.scm (1.22),
	xml-parser.scm (1.29), xml-struct.scm (1.18): First draft of XML
	namespace support.

2003-07-30 13:25  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: parse.scm (14.42), runtime.pkg (14.454), unpars.scm
	(14.55): Add support for use of backslash as symbol quote
	character.  Fix printing of non-canonical symbols; respect
	canonicalization flag.

2003-07-30 13:18  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/input.scm (14.25): Change EOF object to be an opaque
	type.

2003-07-30 13:06  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/input.scm (14.24): Change EOF object to be an opaque
	type.

2003-07-30 01:14  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/unpars.scm (14.54): Don't use vertical-bar syntax for
	uninterned symbols when *UNPARSE-UNINTERNED-SYMBOLS-BY-NAME?* is
	true.

2003-07-30 01:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/hashtb.scm (1.28): Fix typo.

2003-07-30 00:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: unpars.scm (14.53), runtime.pkg (14.453): Add support
	for the use of a vertical bar as a syntax for arbitrary symbols, as
	in Common Lisp.

2003-07-30 00:14  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/parse.scm (14.41): Add support for the use of a vertical
	bar as a syntax for arbitrary symbols, as in Common Lisp.

2003-07-30 00:12  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/char.scm (14.20): Change character-name encoding to
	support arbitrary Unicode characters using #\U+XXXX syntax.  Prefer
	this numeric representation for most ASCII control characters.

2003-07-29 00:16  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: unicode.scm (1.12), runtime.pkg (14.452): Implement
	UTFxx validity procedures:
	
	    UTF8-STRING-VALID?
	    UTF16-BE-STRING-VALID?
	    UTF16-LE-STRING-VALID?
	    UTF16-STRING-VALID?
	    UTF32-BE-STRING-VALID?
	    UTF32-LE-STRING-VALID?
	    UTF32-STRING-VALID?

2003-07-28 23:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: hashtb.scm (1.27), runtime.pkg (14.451): Implement
	HASH-TABLE/INTERN!.  Rewrite conditionals to use PAIR? rather than
	NULL?.

2003-07-28 23:45  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/symbol.scm (1.11): Change SYMBOL-APPEND so that it can be
	used on non-canonical symbols.

2003-07-26 23:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-parser.scm (1.28): Fix typo.

2003-07-26 23:06  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-parser.scm (1.27): Eliminate some unnecessary uses of
	alphabets.

2003-07-25 19:05  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-parser.scm (1.26): Fix bug in handling of external
	general entities.

2003-07-25 19:03  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/char.scm (14.19): Fix bug in printing non-Unicode
	characters.

2003-07-25 16:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-struct.scm (1.17): Canonicalize character data, by
	converting wide chars and wide strings to UTF-8 strings, then
	coalescing adjacent strings.

2003-07-25 16:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-parser.scm (1.25): Fix some bugs related to processing of
	external entity references.

2003-07-25 13:23  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: xml-struct.scm (1.16), xml-output.scm (1.21): Canonicalize
	character data as UTF-8 strings.

2003-07-24 00:49  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/ntutl/ntgui.rc (1.13): Can't use PACKAGE_* variables
	here.

2003-07-21 22:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/utabs.scm (14.18): Fix typo in previous change.

2003-07-21 22:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: config.guess (11.4), config.sub (11.4): Update to
	newer version.

2003-07-21 22:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/class.scm (1.17): Eliminate unnecessary usage of microcode
	version number.

2003-07-21 22:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: runtime.pkg (14.450), utabs.scm (14.17), version.scm
	(14.214): Adapt to new representation used for microcode version
	info.

2003-07-21 22:19  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: boot.c (9.116), confshared.h (11.7), os2pmcon.c
	(1.31), version.h (11.190), ntutl/config.h (1.7), ntutl/makefile
	(1.31), ntutl/makefile.wcc (1.20), ntutl/ntgui.rc (1.12),
	os2utl/config.h (1.7), os2utl/makefile.cmn (1.16): Remove version.h
	and all references to its bindings.  Instead use PACKAGE_*
	variables provided by autoconf.

2003-07-21 22:12  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: conpar.scm (14.42), generic.scm (1.7): Eliminate
	unnecessary usage of microcode version number.

2003-07-20 23:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: acconfig.h (11.9), configure.ac (1.1), configure.in
	(11.25), makegen/Makefile.in.in (1.23): Change configuration files
	to use autoconf 2.5x.

2003-07-20 23:24  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: config.guess (11.3), config.sub (11.3): Update to
	newer version.

2003-07-20 23:19  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/gdbm.scm (1.6): Add support for dynamic loading of gdbm
	primitives.

2003-07-20 20:59  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: pgsql.scm (1.2), runtime.pkg (14.449): Fix a handful of
	bugs in the PostgreSQL interface.

2003-07-20 20:54  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/prpgsql.c (1.5): Fix incorrect signature of
	PQ-RES-STATUS.

2003-07-14 22:33  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-output.scm (1.20): Generalize <string> method to include
	<wide-string>.

2003-07-14 16:23  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: dosfile.scm (1.43), unix.scm (1.116): Use HTML mode for
	.xsl files.

2003-07-12 23:45  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: xml.pkg (1.21), xml-struct.scm (1.15): Export predicates
	for some key data structures.  Allow use of wide strings wherever
	they make sense.

2003-07-12 23:41  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: xml.pkg (1.20), xml-struct.scm (1.14): Export predicates
	for some key data structures.  Allow use of wide strings wherever
	they make sense.

2003-07-12 00:34  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-struct.scm (1.13): Allow wide strings as content in
	elements.

2003-07-12 00:19  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: unix.scm (1.115), dosfile.scm (1.42): Add bindings for
	XHTML.

2003-07-11 23:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/ntsock.c (1.18): Fix pointer-mismatch bug.

2003-07-11 23:22  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/ntapi.h (1.16): Add getsockopt and setsockopt.

2003-07-11 23:15  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/ntsock.c (1.17): Set SO_REUSEADDR in
	OS_bind_tcp_server_socket.

2003-07-09 18:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: uxsock.c (1.31), syscall.h (1.17), uxtop.c (1.30):
	Change OS_bind_tcp_server_socket to set SO_REUSEADDR.

2003-07-09 18:28  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/socket.scm (1.24): Fix typo in last change.

2003-07-09 00:26  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: socket.scm (1.23), runtime.pkg (14.448): Split
	OPEN-TCP-SERVER-SOCKET into its component parts.

2003-07-09 00:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: uxtop.c (1.29), syscall.h (1.16): Add EADDRINUSE to
	list of supported error codes.

2003-07-03 12:47  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-output.scm (1.19): Emit non-ASCII chars using &#...;
	notation.

2003-07-03 00:33  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/unicode.scm (1.11): OPEN-WIDE-INPUT-STRING was checking
	to see if its argument was a string rather than a wide string.

2003-06-14 01:00  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/unicode.scm (1.10): Tweak name of internal procedure to
	make indentation work better.

2003-06-08 01:06  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: Makefile.in (1.9), ed-ffi.scm (1.36), optiondb.scm
	(1.17), pgsql.scm (1.1), runtime.pkg (14.447): Add initial draft of
	PostgreSQL support.

2003-06-08 00:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/prpgsql.c (1.4): Change PQ-MAKE-EMPTY-PG-RESULT to
	accept weak pair to return result in.

2003-06-08 00:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/gcfinal.scm (14.7): Fix typo.

2003-06-08 00:07  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/io.scm (14.73): Use GC finalizer to maintain
	open-channels list.

2003-06-08 00:07  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: gcfinal.scm (14.6), runtime.pkg (14.446): Implement
	MAKE-GC-FINALIZED-OBJECT.

2003-06-07 23:36  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/socket.scm (1.22): Fix bug: OPEN-TCP-SERVER-SOCKET was
	not returning a boolean to OPEN-CHANNEL.

2003-06-06 19:36  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/prpgsql.c (1.3): Change PQ-EXEC to take a weak-pair
	argument in which to return the result.

2003-06-06 16:34  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/prpgsql.c (1.2): Pass in pair to procedures that
	connect to server, so that interrupts can be turned on during the
	connect.

2003-06-06 15:14  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: prpgsql.c (1.1), acconfig.h (11.8), configure.in
	(11.24): First draft of PostgreSQL support.

2003-06-06 14:58  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/makegen/files-optional.scm (1.6): Add prpgsql.

2003-06-06 12:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/pruxdld.c (1.19): Update copyright dates.

2003-05-30 23:15  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/occur.scm (1.9): In M-x occur, change recursive algorithm
	to iterative, so that large numbers of occurrences don't fail by
	running out of stack.

2003-05-17 16:55  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: cmpint.c (1.101), configure.in (11.23),
	cmpauxmd/i386.m4 (1.62), os2utl/makefile.gcc (1.10),
	os2utl/makefile.vac (1.10), os2utl/makefile.wcc (1.11): Eliminate
	use of returned structure in compiled-code interface.  This has
	historically been a source of much trouble, and for little gain. 
	Instead, pass the structure pointer as an argument.

2003-05-16 22:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: acconfig.h (11.7), configure.in (11.22), confshared.h
	(11.6), ux.c (1.24), ux.h (1.77): Generalize the mmap-based heap
	allocator so that it can be used on any operating system that
	supports the required features.  (This is needed for solaris.)

2003-05-12 16:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/uxtrap.c (1.39): Fix problems that occur when struct
	sigcontext not available.

2003-05-12 16:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: configure.in (11.21), pruxdld.c (1.18): Add support
	for solaris+gcc.

2003-05-09 15:45  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/uxtrap.c (1.38): Make sure that "gccode.h" is included
	whenever HAS_COMPILER_SUPPORT is defined.

2003-04-25 16:33  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/unix.scm (1.114): Use texinfo mode for .texi and .texinfo
	files.

2003-04-25 15:49  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/pros2io.c (1.13): Use QID_NONE rather than 0 for the
	non-abstract channel descriptor.  The value 0 could be confused
	with a real qid.

2003-04-25 01:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: os2io.c (1.11), os2msg.c (1.17), os2msg.h (1.18),
	pros2io.c (1.12): Implement new-style select() mechanism for OS/2.

2003-04-24 23:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/version.scm (14.213), microcode/version.h (11.189):
	Update version for impending release.

2003-04-24 23:55  Chris Hanson <cph@zurich.ai.mit.edu>

	* win32/make.scm (1.14): Update version number to reflect changes.

2003-04-24 23:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/load.scm (1.16), win32/win_ffi.scm (1.13): Eliminate
	"(load-option 'HASH-TABLE)".

2003-04-24 23:50  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/make.scm (4.122), microcode/os2pm.scm (1.16),
	pcsample/pcsample.scm (1.6), rcs/load.scm (1.6),
	runtime/os2ctype.scm (1.6): Eliminate "(load-option 'HASH-TABLE)".

2003-04-24 23:49  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/load.scm (1.43): Update version number to reflect changes.

2003-04-24 23:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* sf/make.scm (4.44), compiler/base/make.scm (4.121), sos/load.scm
	(1.15): Update version number to reflect changes.

2003-04-24 23:31  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/list.scm (14.37): Fix typo.

2003-04-24 23:27  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/record.scm (1.47): Fix bug: THUNK? was getting called too
	early in the boot load.

2003-04-24 23:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/char.scm (14.18), edwin/calias.scm (1.31),
	edwin/edwin.pkg (1.286): Factor out BUCKY-BITS->PREFIX so that it
	can be reused by Edwin for special characters and mouse buttons.

2003-04-24 23:08  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/x11base.c (1.80): Fix handling of bucky bits so that
	only four bits are generated rather than five.

2003-04-24 20:58  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/defstr.scm (14.55): Fix bug: RECORD-TYPE-DISPATCH-TAG
	must be an absolute reference.

2003-04-19 00:23  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/arith.scm (1.58): Signal error for (EXPT Z 0.) if (ZERO?
	Z).

2003-04-16 22:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: mit-syntax.scm (14.19), runtime.pkg (14.445),
	syntactic-closures.scm (14.16), syntax-transforms.scm (14.7):
	Change DEFINE-SYNTAX so that the right-hand side can be an
	identifier that is bound to a keyword.	This makes
	
		(define-syntax sequence begin)
	
	possible.
	
	Also, remove old kludge to allow
	
		(define-syntax foo (lambda ...))
	
	as acceptable syntax.

2003-04-15 16:17  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/char.scm (14.17): Change CHAR-CODE-LIMIT to the actual
	Unicode limit, not just one that allows any 21-bit code.

2003-04-14 15:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: global.scm (14.61), make.scm (14.91), runtime.pkg
	(14.444): Change HOST-BIG-ENDIAN? to compute its value during cold
	load, so that it is as fast as possible.

2003-04-14 15:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: unicode.scm (1.9), runtime.pkg (14.443): Add
	host-endian procedures for UTF-32 and UTF-16.  Flesh out the UTF-32
	abstraction to correspond to UTF-16.

2003-04-14 14:59  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: arith.scm (1.57), runtime.pkg (14.442): Fix bug: EXPT
	wasn't handling complex zero right.
	
	Rather than using DEFINE to make exported aliases of many
	arithmetic procedures, use the renaming mechanism of the package
	system.
	
	Export FLO:SIGNIFICAND-DIGITS-BASE-2 and
	FLO:SIGNIFICAND-DIGITS-BASE-10 to global environment.

2003-04-14 14:19  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: global.scm (14.60), runtime.pkg (14.441): Implement
	HOST-BIG-ENDIAN?.

2003-04-08 00:31  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/os2pmcon.c (1.30): Fix typo in previous change.

2003-04-07 21:11  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/ntio.c (1.30): Fix typo in previous change.

2003-04-07 16:33  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/intrpt.h (1.24): Use hex notation for interrupt mask
	bits.

2003-04-07 15:49  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/ntio.c (1.29): Fix bug: calls to OS_realloc were
	passing incorrect length argument.  Also: reduce amount of space
	used in select registry.

2003-03-29 00:54  Chris Hanson <cph@zurich.ai.mit.edu>

	* win32/win_ffi.scm (1.12): Fix another bug hidden by the old
	type-descriptor name of defstruct.

2003-03-29 00:45  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/nttop.c (1.34): Eliminate unnecessary newline in
	OS_Variant.

2003-03-29 00:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: ntio.c (1.28), ntio.h (1.14), ntsock.c (1.16):
	Initial implementation of new select-registry mechanism.  This
	simply recreates the old behavior with the new interface.

2003-03-24 20:12  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/prosio.c (1.24): Update coding of channel argument
	procedures.

2003-03-24 20:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/uxio.c (1.51): Fix typos.

2003-03-21 12:50  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: genio.scm (1.19), rep.scm (14.61), runtime.pkg
	(14.440), savres.scm (14.44), ttyio.scm (1.15), usrint.scm (1.20):
	Implement runtime side of "--batch-mode" option.

2003-03-21 12:28  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: boot.c (9.115), option.c (1.61), option.h (1.16),
	term.c (1.20): Rename "--suppress-noise" to "--batch-mode".

2003-03-19 23:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/term.c (1.19): Add --suppress-noise command-line
	option.

2003-03-19 22:51  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: boot.c (9.114), option.c (1.60), option.h (1.15): Add
	--suppress-noise command-line option.

2003-03-14 15:45  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/random.scm (14.29), edwin/clscon.scm (1.14): Finish
	updating MAKE-DEFINE-STRUCTURE-TYPE arguments by removing bootstrap
	scaffolding.

2003-03-14 15:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/record.scm (1.46): Finish updating
	MAKE-DEFINE-STRUCTURE-TYPE arguments by removing bootstrap
	scaffolding.

2003-03-14 15:11  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/runtime.pkg (14.439): Implement THUNK?.

2003-03-14 15:11  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/defstr.scm (14.54): Change call to
	MAKE-DEFINE-STRUCTURE-TYPE so that per-slot lists are constructed
	as vectors.

2003-03-14 15:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/record.scm (1.45): Don't need to allow #F as default-init
	in MAKE-DEFINE-STRUCTURE-TYPE.

2003-03-14 15:06  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/record.scm (1.44): Add more careful type checking to
	default-inits field of record type.  Allow #F to be used in place
	of (lambda () #F) as default-init.

2003-03-14 15:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/uproc.scm (1.15): Implement THUNK?.

2003-03-13 20:30  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/vc.scm (1.84): Extend effect of editor variable
	vc-cvs-stay-local to include status inquiries internally performed
	by VC.	This prevents unnecessary network delays in many cases.

2003-03-13 20:11  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: mit-syntax.scm (14.18), syntax-output.scm (14.10):
	Change expansion of OR to use scode disjunction type.  This
	produces more efficient code, because the compiler recognizes it
	and behaves specially.

2003-03-13 20:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/record.scm (1.43): Rewrite safe-accessor generators to
	use their type argument properly.

2003-03-13 16:50  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: defstr.scm (14.53), record.scm (1.42), runtime.pkg
	(14.438): Change DEFINE-STRUCTURE to use new procedures
	DEFINE-STRUCTURE/KEYWORD-CONSTRUCTOR and
	DEFINE-STRUCTURE/DEFAULT-VALUE.

2003-03-13 15:18  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/random.scm (14.28), edwin/clscon.scm (1.13): Change call
	to MAKE-DEFINE-STRUCTURE-TYPE to match new definition.

2003-03-13 15:17  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/runtime.pkg (14.437): Export
	DEFINE-STRUCTURE/KEYWORD-PARSER*.

2003-03-13 15:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/record.scm (1.41): Change MAKE-DEFINE-STRUCTURE-TYPE to
	accept a length rather than an offset.	Also, don't allow the
	default-inits argument to be specified as #F; it must be a list. 
	Implement DEFINE-STRUCTURE/KEYWORD-PARSER* to provide more
	efficient generation of keyword constructors.

2003-03-13 15:06  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/defstr.scm (14.52): Eliminate #F argument to
	TYPE-DESCRIPTOR option as it's no longer needed.  Change call to
	MAKE-DEFINE-STRUCTURE-TYPE so that the length of the structure is
	supplied, rather than the offset.

2003-03-13 13:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/packag.scm (14.44): Eliminate use of DEFINE-STRUCTURE in
	this file.  It's not needed and is unnecessarily constraining the
	design of DEFINE-STRUCTURE.

2003-03-12 22:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: defstr.scm (14.51), packag.scm (14.43), record.scm
	(1.40): Change DEFINE-STRUCTURE to generate type descriptors for
	all structures, including untagged ones.  This will simplify some
	operations that need access to the type descriptor.
	
	The default name to which the type descriptor is bound has been
	changed to RTD:foo where "foo" is the structure's root name.
	
	For the runtime cold load, allow TYPE-DESCRIPTOR option to accept
	#F as an argument so that the structures defined in "packag.scm"
	don't try to build a type descriptor.  This is important because
	this file is loaded prior to the type-descriptor infrastructure.  A
	consequence of this change is that the TYPE-DESCRIPTOR option no
	longer implies tagging.  This is independently specified by the
	NAMED option, and these two options are permitted to be used
	together.
	
	Add TAG and OFFSET fields to the runtime type descriptor for
	non-record structures.	In the next revision, this will allow
	building more efficient constructors.

2003-03-12 22:22  Chris Hanson <cph@zurich.ai.mit.edu>

	* sf/object.scm (4.19): Use explicit names for type descriptors.

2003-03-12 22:19  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/screen.scm (1.122): Fix mistaken reference to
	DEFINE-STRUCTURE type descriptor.

2003-03-12 22:15  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/hashtb.scm (1.26): Use explicit name for hash-table type
	descriptor.

2003-03-12 22:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/class.scm (1.16), runtime/ystep.scm (1.7), runtime/thread.scm
	(1.40): Fix mistaken reference to DEFINE-STRUCTURE type descriptor.

2003-03-12 15:41  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/record.scm (1.39): Change both records and named
	structures to store default values as thunks in the type structure,
	which are then called when needed.
	
	Introduce new procedures to get the default value for a slot, given
	the type descriptor, and use them as needed in DEFINE-STRUCTURE,
	rather than just inserting the default-init expression.
	
	Put back the UNPARSER-METHOD argument to MAKE-RECORD-TYPE, and use
	it in DEFINE-STRUCTURE.
	
	Once again, use RECORD-KEYWORD-CONSTRUCTOR in DEFINE-STRUCTURE,
	this time with better results.

2003-03-12 15:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/defstr.scm (14.50): Fix bug: STRUCTURE-TAG/DEFAULT-VALUE
	can't be used on untagged structures.

2003-03-11 00:00  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/defstr.scm (14.49), runtime/random.scm (14.27),
	runtime/runtime.pkg (14.436), edwin/clscon.scm (1.12): Change both
	records and named structures to store default values as thunks in
	the type structure, which are then called when needed.
	
	Introduce new procedures to get the default value for a slot, given
	the type descriptor, and use them as needed in DEFINE-STRUCTURE,
	rather than just inserting the default-init expression.
	
	Put back the UNPARSER-METHOD argument to MAKE-RECORD-TYPE, and use
	it in DEFINE-STRUCTURE.
	
	Once again, use RECORD-KEYWORD-CONSTRUCTOR in DEFINE-STRUCTURE,
	this time with better results.

2003-03-10 15:51  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fgopt/reord.scm (1.5), compiler/machines/C/decls.scm
	(1.9), compiler/machines/alpha/decls.scm (1.11),
	compiler/machines/bobcat/decls.scm (4.42),
	compiler/machines/i386/decls.scm (1.14),
	compiler/machines/mips/decls.scm (1.15),
	compiler/machines/sparc/decls.scm (1.9),
	compiler/machines/spectrum/decls.scm (4.40),
	compiler/machines/vax/decls.scm (4.18), runtime/error.scm (14.62),
	runtime/generic.scm (1.6), runtime/infstr.scm (1.18),
	runtime/os2graph.scm (1.23), runtime/process.scm (1.29),
	runtime/ystep.scm (1.6), imail/imail-util.scm (1.43): Eliminate
	incorrect usage of default initializers in DEFINE-STRUCTURE.  These
	initializers contain variable references that are intended to refer
	to other slots in the structure.  The correct usage assumes that
	the initializers are closed in the environment in which the
	DEFINE-STRUCTURE form appears.

2003-03-10 15:12  Chris Hanson <cph@zurich.ai.mit.edu>

	* etc/compile.sh (1.5): If script is invoked from top-level build
	directory (the usual case), allow user to omit the argument.

2003-03-10 01:05  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/record.scm (1.38): Fix typo in
	%RECORD-CONSTRUCTOR-GIVEN-NAMES.

2003-03-09 12:17  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-output.scm (1.18): Change START-INDENT to be two
	booleans, INDENT-DTD? and INDENT-ATTRIBUTES?.

2003-03-08 00:28  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/record.scm (1.37): Don't save DEFAULT-RECORD, go back to
	using DEFAULT-VALUES.  DEFAULT-RECORD has the problem that when the
	defaults aren't specified, often the record can't be printed, which
	makes examining the structure painful.

2003-03-07 23:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/defstr.scm (14.48): Revert earlier change to use
	RECORD-KEYWORD-CONSTRUCTOR, because it doesn't handle default
	values right.
	
	Actually, I don't think it can do so, because DEFINE-STRUCTURE has
	default expressions rather than default values; the expressions are
	intended to be evaluated within the context of the constructor.  I
	think this is a design flaw, but I'm not yet sure whether it is OK
	to fix the design.

2003-03-07 21:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/defstr.scm (14.47): Fix thinko in previous change.

2003-03-07 21:48  Chris Hanson <cph@zurich.ai.mit.edu>

	* 6001/pic-read.scm (1.9): Use angle notation for type descriptor.

2003-03-07 21:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/abbrev.scm (1.10), imail/imail-core.scm (1.151): Use angle
	notation for type descriptor.

2003-03-07 21:25  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: symbol.scm (1.10), runtime.pkg (14.435): Implement
	GUARANTEE- procedures for symbols.

2003-03-07 21:14  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml.pkg (1.19), xml/xml-output.scm (1.17), xml/xml-struct.scm
	(1.12), sos/method.scm (1.15): Use angle notation for type
	descriptor.

2003-03-07 21:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/parser.pkg (1.22): Export GUARANTEE-PARSER-MACROS.

2003-03-07 21:06  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: chrset.scm (14.19), mit-syntax.scm (14.17),
	syntactic-closures.scm (14.15), syntax-transforms.scm (14.6): Use
	angle notation for type descriptor.

2003-03-07 21:05  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/record.scm (1.36): Don't use WRITE-TO-STRING in
	->TYPE-NAME; it gets called too early in the cold load.

2003-03-07 21:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: defstr.scm (14.46), port.scm (1.30): Fix typo in
	previous change.

2003-03-07 16:22  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: regexp.scm (1.13), runtime.pkg (14.434), unicode.scm
	(1.8): Export some syntactic-environment procedures.

2003-03-07 16:19  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/runtime.pkg (14.433): Export some syntactic-environment
	procedures.

2003-03-07 16:16  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: port.scm (1.29), record.scm (1.35): Use angle notation
	for type descriptor.

2003-03-07 16:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-rules.scm (14.6): Use DEFINE-RECORD-TYPE to make
	record descriptions more succinct.

2003-03-07 16:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntactic-closures.scm (14.14): Use DEFINE-RECORD-TYPE to
	make record descriptions more succinct.

2003-03-07 15:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/shared.scm (1.27): Use DEFINE-RECORD-TYPE to make
	record descriptions more succinct.

2003-03-07 15:48  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/x11graph.scm (1.56): Use DEFINE-RECORD-TYPE to make
	record descriptions more succinct.

2003-03-07 15:41  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/rep.scm (14.60): Use DEFINE-RECORD-TYPE to make record
	descriptions more succinct.

2003-03-07 15:36  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/port.scm (1.28): Use DEFINE-RECORD-TYPE to make record
	descriptions more succinct.

2003-03-07 14:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* rcs/object.scm (1.8): Use DEFINE-RECORD-TYPE to make record
	descriptions more succinct.

2003-03-07 14:34  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/debug.scm (1.66): Use DEFINE-RECORD-TYPE to make record
	descriptions more succinct.

2003-03-07 14:19  Chris Hanson <cph@zurich.ai.mit.edu>

	* 6001/pic-reco.scm (1.11): Use DEFINE-RECORD-TYPE to make record
	descriptions more succinct.

2003-03-07 14:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/defstr.scm (14.45): Use DEFINE-RECORD-TYPE to make record
	descriptions more succinct.

2003-03-07 14:08  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/record.scm (1.34): Remove angle brackets ("<...>") from
	record-type name.

2003-03-07 13:45  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/defstr.scm (14.44): Use RECORD-KEYWORD-CONSTRUCTOR.

2003-03-07 13:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: record.scm (1.33), runtime.pkg (14.432): Implement
	RECORD-KEYWORD-CONSTRUCTOR.

2003-03-07 00:49  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-core.scm (1.150): Rename RECORD-COPY to COPY-RECORD.

2003-03-07 00:47  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: defstr.scm (14.43), port.scm (1.27), record.scm (1.32),
	runtime.pkg (14.431): Revamp the record abstraction.  Record types
	now have a "default record" that can be used as a template to speed
	up record construction, and to hold default slot values.  Eliminate
	optional print-method argument to MAKE-RECORD-TYPE, replacing it
	with an optional default-values argument.  Tune record constructors
	to be very fast for those cases where it is easy to do so.  Change
	RECORD-COPY to COPY-RECORD.

2003-03-07 00:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/list.scm (14.36): Revert most of previous change. 
	Instead introduce new procedures LIST?->LENGTH and
	LIST-OF-TYPE?->LENGTH (yes, I know these names suck; I'm open to
	suggestions).  Also introduce corresponding GUARANTEE procedures.

2003-03-06 10:28  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/list.scm (14.35): Change LIST?, ALIST?, and LIST-OF-TYPE?
	to return the length of the list when true.  New procedures
	GUARANTEE-LIST, GUARANTEE-ALIST, and GUARANTEE-LIST-OF-TYPE. 
	Replace GUARANTEE-INDEX/LIST with GUARANTEE-INDEX-FIXNUM.

2003-03-06 00:41  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/interp.c (9.100): Eliminate long-unused support for
	applicable records.

2003-03-06 00:14  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/edtstr.scm (1.31): Change name of button type from
	BUTTON-RECORD-TYPE to <BUTTON>.

2003-03-06 00:04  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/mit-syntax.scm (14.16), edwin/edtstr.scm (1.30): Fix
	mistake in definition of DEFINE-RECORD-TYPE: fields are in CDDDDR
	of form, not in the fifth element.

2003-03-05 23:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/interp.c (9.99): Eliminate long-unused support for
	applicable records.

2003-03-04 20:15  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml.pkg (1.18): New procedure XML->WIDE-STRING.

2003-03-04 20:14  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-output.scm (1.16): Restructure XML output procedures to
	take a rest argument that is a list of keyword options.  At
	present, there is only one option, 'start-indent, which turns the
	indentation on or off.

2003-03-03 07:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/fixart.scm (1.13): Fix typo.

2003-03-01 22:49  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-parser.scm (1.24): Fix several parser bugs that were
	found by the conformance tests.

2003-03-01 22:48  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-struct.scm (1.11): Don't allow whitespace in DTD.

2003-03-01 21:48  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-parser.scm (1.23): Reject documents that contain entity
	references whose replacement text isn't fully defined.

2003-03-01 11:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: test-parser.scm (1.10), xml.pkg (1.17), xml-output.scm
	(1.15), xml-parser.scm (1.22), xml-struct.scm (1.10): Major
	rewrite, primarily to eliminate XML-UNINTERPRETED, replacing it
	with XML-ENTITY-REF and XML-PARAMETER-ENTITY-REF.  Also add careful
	type checking to data structures, so that argument structure is
	verified.

2003-03-01 00:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/unicode.scm (1.7): Fix logic error in UTF-8 decoding.

2003-02-27 23:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: make.scm (14.90), parser-buffer.scm (1.8), runtime.pkg
	(14.430), unicode.scm (1.6): Major rewrite of Unicode support.	New
	design supports "wide" characters and strings, and has support for
	UTF-8, UTF-16, and UTF-32 encodings.

2003-02-27 23:34  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/object.h (9.54), runtime/char.scm (14.16): Change
	character representation to have 21 code bits and 4 bucky bits. 
	This new representation allows all Unicode characters to be
	represented.

2003-02-27 16:27  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/strnin.scm (14.12): Allow OPEN-INPUT-STRING to accept #F
	for optional arguments.

2003-02-25 19:24  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/string.scm (14.53): Change GUARANTEE-SUBSTRING-END-INDEX
	to take a length argument rather than a string argument.

2003-02-25 15:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: motcom.scm (1.51), modefs.scm (1.164): Remove references
	to #\T- characters.

2003-02-25 15:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/fixart.scm (1.12): Add GUARANTEE-LIMITED-INDEX-FIXNUM.

2003-02-25 15:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/fixart.scm (1.11): Add GUARANTEE-INDEX-FIXNUM.

2003-02-25 13:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/schmod.scm (1.66): Add VECTOR-OF-TYPE? to indentation
	table.

2003-02-24 16:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: runtime.pkg (14.429), string.scm (14.51), string.scm
	(14.52): Export "guarantee" procedures for string indices.

2003-02-24 15:47  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: string.scm (14.50), runtime.pkg (14.428): Export
	"guarantee" procedures for string indices.

2003-02-19 12:11  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/schmod.scm (1.65): Add LIST-OF-TYPE? to indentation table.

2003-02-14 13:48  Chris Hanson <cph@zurich.ai.mit.edu>

	* Clean.sh (1.7), README.txt (1.3), Setup.sh (1.10), Tags.sh (1.4),
	compiler/Clean.sh (1.8), compiler/README (1.2), compiler/Setup.sh
	(1.6), compiler/Stage.sh (1.5), compiler/Tags.sh (1.4),
	edwin/Clean.sh (1.9), edwin/schmod.scm (1.64), etc/Clean.sh (1.12),
	etc/Setup.sh (1.9), etc/Stage.sh (1.6), etc/Tags.sh (1.4),
	etc/compile.scm (1.7), microcode/Clean.sh (1.4), microcode/Setup.sh
	(1.8), microcode/avltree.c (1.8), microcode/avltree.h (1.7),
	microcode/bchmmg.c (9.104), microcode/boot.c (9.113),
	microcode/ntgui.c (1.31), microcode/ntio.c (1.27),
	microcode/ntscmlib.h (1.12), microcode/ntscreen.c (1.50),
	microcode/nttop.c (1.33), microcode/nttrap.c (1.26),
	microcode/os2pm.scm (1.15), microcode/os2pmcon.c (1.29),
	microcode/cmpauxmd/makefile (1.10), microcode/ntutl/config.bat
	(1.7), microcode/ntutl/ntgui.rc (1.11), microcode/ntutl/scheme16.c
	(1.14), microcode/ntutl/scheme16.def (1.5),
	microcode/ntutl/scheme16.mak (1.5), microcode/ntutl/scheme31.c
	(1.13), microcode/ntutl/scheme31.def (1.4),
	microcode/ntutl/scheme32.c (1.20), microcode/ntutl/scheme32.def
	(1.4), microcode/ntutl/setenv.bat (1.2),
	microcode/ntutl/wconfig.bat (1.4), microcode/os2utl/config.cmd
	(1.5), runtime/dragon4.scm (1.18), runtime/mit-syntax.scm (14.15),
	runtime/syntax-transforms.scm (14.5), runtime-check/Clean.sh (1.6),
	runtime-check/Setup.sh (1.8), swat/c/widget-c-mit.c (1.2),
	swat/scheme/baseobj.scm (1.2), swat/scheme/mit-xhooks.scm (1.7),
	win32/dibutils/dibutils.rc (1.2): Change program name to MIT/GNU
	Scheme.

2003-02-14 13:28  Chris Hanson <cph@zurich.ai.mit.edu>

	* Clean.sh (1.6), Makefile.in (1.21), Makefile.std (1.13), Setup.sh
	(1.9), Tags.sh (1.3), configure.in (1.7), 6001/6001.cbf (1.9),
	6001/6001.pkg (1.16), 6001/6001.sf (1.15), 6001/arith.scm (1.13),
	6001/edextra.scm (1.36), 6001/floppy.scm (1.28), 6001/make.scm
	(15.36), 6001/nodefs.scm (1.15), 6001/pic-imag.scm (1.12),
	6001/pic-ops.scm (1.8), 6001/pic-read.scm (1.8), 6001/pic-reco.scm
	(1.10), 6001/picture.scm (1.32), compiler/Clean.sh (1.7),
	compiler/Setup.sh (1.5), compiler/Stage.sh (1.4), compiler/Tags.sh
	(1.3), compiler/configure (1.6), compiler/back/asmmac.scm (1.19),
	compiler/back/asutl.scm (1.5), compiler/back/bittop.scm (1.24),
	compiler/back/bitutl.scm (1.12), compiler/back/insseq.scm (4.6),
	compiler/back/lapgn1.scm (4.20), compiler/back/lapgn2.scm (1.23),
	compiler/back/lapgn3.scm (4.17), compiler/back/linear.scm (4.19),
	compiler/back/mermap.scm (1.7), compiler/back/regmap.scm (4.16),
	compiler/back/syerly.scm (1.14), compiler/back/symtab.scm (1.49),
	compiler/back/syntax.scm (1.31), compiler/base/asstop.scm (1.14),
	compiler/base/blocks.scm (4.17), compiler/base/cfg1.scm (4.9),
	compiler/base/cfg2.scm (4.6), compiler/base/cfg3.scm (4.7),
	compiler/base/constr.scm (1.6), compiler/base/contin.scm (4.11),
	compiler/base/crsend.scm (1.15), compiler/base/crstop.scm (1.15),
	compiler/base/ctypes.scm (4.18), compiler/base/debug.scm (4.18),
	compiler/base/enumer.scm (4.6), compiler/base/infnew.scm (4.14),
	compiler/base/lvalue.scm (4.28), compiler/base/macros.scm (4.31),
	compiler/base/make.scm (4.120), compiler/base/mvalue.scm (3.3),
	compiler/base/object.scm (4.11), compiler/base/pmerly.scm (1.11),
	compiler/base/pmlook.scm (1.11), compiler/base/pmpars.scm (1.9),
	compiler/base/proced.scm (4.25), compiler/base/refctx.scm (1.5),
	compiler/base/rvalue.scm (4.10), compiler/base/scode.scm (4.16),
	compiler/base/sets.scm (4.4), compiler/base/subprb.scm (4.10),
	compiler/base/switch.scm (4.28), compiler/base/toplev.scm (4.64),
	compiler/base/utils.scm (4.27), compiler/etc/asm.scm (1.5),
	compiler/etc/comcmp.scm (1.13), compiler/etc/comfiles.scm (1.9),
	compiler/etc/disload.scm (1.14), compiler/etc/stackp.scm (1.9),
	compiler/etc/xcbfdir.scm (1.11), compiler/fggen/canon.scm (1.25),
	compiler/fggen/declar.scm (1.8), compiler/fggen/fggen.scm (4.39),
	compiler/fgopt/blktyp.scm (4.18), compiler/fgopt/closan.scm (4.32),
	compiler/fgopt/conect.scm (4.8), compiler/fgopt/contan.scm (4.12),
	compiler/fgopt/delint.scm (1.6), compiler/fgopt/desenv.scm (4.7),
	compiler/fgopt/envopt.scm (1.12), compiler/fgopt/folcon.scm (4.11),
	compiler/fgopt/offset.scm (4.11), compiler/fgopt/operan.scm (4.10),
	compiler/fgopt/order.scm (4.19), compiler/fgopt/outer.scm (4.8),
	compiler/fgopt/param.scm (1.6), compiler/fgopt/reord.scm (1.4),
	compiler/fgopt/reteqv.scm (1.4), compiler/fgopt/reuse.scm (1.10),
	compiler/fgopt/sideff.scm (1.11), compiler/fgopt/simapp.scm (4.11),
	compiler/fgopt/simple.scm (4.9), compiler/fgopt/subfre.scm (1.10),
	compiler/fgopt/varind.scm (1.7), compiler/machines/C/compiler.cbf
	(1.5), compiler/machines/C/compiler.pkg (1.16),
	compiler/machines/C/compiler.sf (1.11),
	compiler/machines/C/cout.scm (1.23), compiler/machines/C/ctop.scm
	(1.15), compiler/machines/C/cutl.scm (1.4),
	compiler/machines/C/decls.scm (1.8), compiler/machines/C/lapgen.scm
	(1.16), compiler/machines/C/machin.scm (1.10),
	compiler/machines/C/make.scm (1.5), compiler/machines/C/rgspcm.scm
	(1.5), compiler/machines/C/rules1.scm (1.10),
	compiler/machines/C/rules2.scm (1.5),
	compiler/machines/C/rules3.scm (1.13),
	compiler/machines/C/rules4.scm (1.4),
	compiler/machines/C/rulfix.scm (1.7),
	compiler/machines/C/rulflo.scm (1.9),
	compiler/machines/C/rulrew.scm (1.6),
	compiler/machines/alpha/assmd.scm (1.6),
	compiler/machines/alpha/coerce.scm (1.5),
	compiler/machines/alpha/compiler.cbf (1.5),
	compiler/machines/alpha/compiler.pkg (1.19),
	compiler/machines/alpha/compiler.sf (1.12),
	compiler/machines/alpha/dassm1.scm (1.6),
	compiler/machines/alpha/dassm2.scm (1.6),
	compiler/machines/alpha/dassm3.scm (1.4),
	compiler/machines/alpha/decls.scm (1.10),
	compiler/machines/alpha/inerly.scm (1.8),
	compiler/machines/alpha/insmac.scm (1.8),
	compiler/machines/alpha/instr1.scm (1.8),
	compiler/machines/alpha/instr2.scm (1.6),
	compiler/machines/alpha/instr3.scm (1.6),
	compiler/machines/alpha/lapgen.scm (1.11),
	compiler/machines/alpha/lapopt.scm (1.4),
	compiler/machines/alpha/machin.scm (1.10),
	compiler/machines/alpha/make.scm (1.6),
	compiler/machines/alpha/rgspcm.scm (1.4),
	compiler/machines/alpha/rules1.scm (1.6),
	compiler/machines/alpha/rules2.scm (1.5),
	compiler/machines/alpha/rules3.scm (1.12),
	compiler/machines/alpha/rules4.scm (1.6),
	compiler/machines/alpha/rulfix.scm (1.7),
	compiler/machines/alpha/rulflo.scm (1.8),
	compiler/machines/alpha/rulrew.scm (1.5),
	compiler/machines/bobcat/assmd.scm (1.41),
	compiler/machines/bobcat/coerce.scm (1.13),
	compiler/machines/bobcat/compiler.cbf (1.5),
	compiler/machines/bobcat/compiler.pkg (1.56),
	compiler/machines/bobcat/compiler.sf (1.24),
	compiler/machines/bobcat/dassm1.scm (4.24),
	compiler/machines/bobcat/dassm2.scm (4.27),
	compiler/machines/bobcat/dassm3.scm (4.11),
	compiler/machines/bobcat/decls.scm (4.41),
	compiler/machines/bobcat/flinstr1.scm (1.6),
	compiler/machines/bobcat/flinstr2.scm (1.6),
	compiler/machines/bobcat/inerly.scm (1.13),
	compiler/machines/bobcat/insmac.scm (1.134),
	compiler/machines/bobcat/instr1.scm (1.70),
	compiler/machines/bobcat/instr2.scm (1.23),
	compiler/machines/bobcat/instr3.scm (1.22),
	compiler/machines/bobcat/instr4.scm (1.8),
	compiler/machines/bobcat/insutl.scm (1.11),
	compiler/machines/bobcat/lapgen.scm (4.55),
	compiler/machines/bobcat/lapopt.scm (1.4),
	compiler/machines/bobcat/machin.scm (4.36),
	compiler/machines/bobcat/make.scm-68020 (4.91),
	compiler/machines/bobcat/make.scm-68040 (4.92),
	compiler/machines/bobcat/mc68ktgl.scm (1.5),
	compiler/machines/bobcat/rgspcm.scm (4.5),
	compiler/machines/bobcat/rules1.scm (4.41),
	compiler/machines/bobcat/rules2.scm (4.17),
	compiler/machines/bobcat/rules3.scm (4.45),
	compiler/machines/bobcat/rules4.scm (4.17),
	compiler/machines/bobcat/rulrew.scm (1.9),
	compiler/machines/i386/assmd.scm (1.8),
	compiler/machines/i386/coerce.scm (1.5),
	compiler/machines/i386/compiler.cbf (1.6),
	compiler/machines/i386/compiler.pkg (1.31),
	compiler/machines/i386/compiler.sf (1.20),
	compiler/machines/i386/dassm1.scm (1.15),
	compiler/machines/i386/dassm2.scm (1.14),
	compiler/machines/i386/dassm3.scm (1.12),
	compiler/machines/i386/decls.scm (1.13),
	compiler/machines/i386/inerly.scm (1.9),
	compiler/machines/i386/insmac.scm (1.19),
	compiler/machines/i386/instr1.scm (1.18),
	compiler/machines/i386/instr2.scm (1.12),
	compiler/machines/i386/instrf.scm (1.20),
	compiler/machines/i386/insutl.scm (1.13),
	compiler/machines/i386/lapgen.scm (1.34),
	compiler/machines/i386/lapopt.scm (1.8),
	compiler/machines/i386/machin.scm (1.21),
	compiler/machines/i386/make.scm (1.8),
	compiler/machines/i386/pc-make.scm (1.4),
	compiler/machines/i386/rgspcm.scm (1.6),
	compiler/machines/i386/rules1.scm (1.21),
	compiler/machines/i386/rules2.scm (1.11),
	compiler/machines/i386/rules3.scm (1.40),
	compiler/machines/i386/rules4.scm (1.10),
	compiler/machines/i386/rulfix.scm (1.36),
	compiler/machines/i386/rulflo.scm (1.27),
	compiler/machines/i386/rulrew.scm (1.16),
	compiler/machines/mips/assmd.scm (1.7),
	compiler/machines/mips/coerce.scm (1.4),
	compiler/machines/mips/compiler.cbf (1.5),
	compiler/machines/mips/compiler.pkg (1.26),
	compiler/machines/mips/compiler.sf-big (1.14),
	compiler/machines/mips/compiler.sf-little (1.14),
	compiler/machines/mips/dassm1.scm (1.9),
	compiler/machines/mips/dassm2.scm (1.9),
	compiler/machines/mips/dassm3.scm (1.6),
	compiler/machines/mips/decls.scm (1.14),
	compiler/machines/mips/inerly.scm (1.8),
	compiler/machines/mips/insmac.scm (1.8),
	compiler/machines/mips/instr1.scm (1.11),
	compiler/machines/mips/instr2a.scm (1.9),
	compiler/machines/mips/instr2b.scm (1.8),
	compiler/machines/mips/instr3.scm (1.7),
	compiler/machines/mips/lapgen.scm (1.20),
	compiler/machines/mips/lapopt.scm (1.4),
	compiler/machines/mips/machin.scm (1.17),
	compiler/machines/mips/make.scm-big (4.91),
	compiler/machines/mips/make.scm-little (4.91),
	compiler/machines/mips/mips.scm (1.6),
	compiler/machines/mips/rgspcm.scm (1.4),
	compiler/machines/mips/rules1.scm (1.9),
	compiler/machines/mips/rules2.scm (1.5),
	compiler/machines/mips/rules3.scm (1.22),
	compiler/machines/mips/rules4.scm (1.6),
	compiler/machines/mips/rulfix.scm (1.13),
	compiler/machines/mips/rulflo.scm (1.12),
	compiler/machines/mips/rulrew.scm (1.9),
	compiler/machines/sparc/assmd.scm (1.6),
	compiler/machines/sparc/cf.h-sparc (1.4),
	compiler/machines/sparc/cmpaux-sparc.m4 (1.4),
	compiler/machines/sparc/cmpint-sparc.h (1.4),
	compiler/machines/sparc/coerce.scm (1.4),
	compiler/machines/sparc/decls.scm (1.8),
	compiler/machines/sparc/inerly.scm (1.8),
	compiler/machines/sparc/insmac.scm (1.7),
	compiler/machines/sparc/instr1.scm (1.6),
	compiler/machines/sparc/instr2a.scm (1.6),
	compiler/machines/sparc/instr2b.scm (1.6),
	compiler/machines/sparc/instr3.scm (1.6),
	compiler/machines/sparc/lapgen.scm (1.7),
	compiler/machines/sparc/lapopt.scm (1.4),
	compiler/machines/sparc/machin.scm (1.5),
	compiler/machines/sparc/make.scm (1.5),
	compiler/machines/sparc/rgspcm.scm (1.4),
	compiler/machines/sparc/rules1.scm (1.4),
	compiler/machines/sparc/rules2.scm (1.4),
	compiler/machines/sparc/rules3.scm (1.6),
	compiler/machines/sparc/rules4.scm (1.4),
	compiler/machines/sparc/rulfix.scm (1.4),
	compiler/machines/sparc/rulflo.scm (1.6),
	compiler/machines/sparc/rulrew.scm (1.4),
	compiler/machines/spectrum/assmd.scm (1.35),
	compiler/machines/spectrum/coerce.scm (1.8),
	compiler/machines/spectrum/compiler.cbf (1.5),
	compiler/machines/spectrum/compiler.pkg (1.56),
	compiler/machines/spectrum/compiler.sf (1.24),
	compiler/machines/spectrum/dassm1.scm (4.24),
	compiler/machines/spectrum/dassm2.scm (4.25),
	compiler/machines/spectrum/dassm3.scm (1.5),
	compiler/machines/spectrum/decls.scm (4.39),
	compiler/machines/spectrum/inerly.scm (1.8),
	compiler/machines/spectrum/insmac.scm (1.8),
	compiler/machines/spectrum/instr1.scm (1.8),
	compiler/machines/spectrum/instr2.scm (1.13),
	compiler/machines/spectrum/instr3.scm (1.7),
	compiler/machines/spectrum/lapgen.scm (4.52),
	compiler/machines/spectrum/lapopt.scm (1.17),
	compiler/machines/spectrum/machin.scm (4.32),
	compiler/machines/spectrum/make.scm (4.92),
	compiler/machines/spectrum/rgspcm.scm (4.6),
	compiler/machines/spectrum/rules1.scm (4.38),
	compiler/machines/spectrum/rules2.scm (4.17),
	compiler/machines/spectrum/rules3.scm (4.46),
	compiler/machines/spectrum/rules4.scm (4.15),
	compiler/machines/spectrum/rulfix.scm (4.52),
	compiler/machines/spectrum/rulflo.scm (4.44),
	compiler/machines/spectrum/rulrew.scm (1.15),
	compiler/machines/vax/assmd.scm (4.11),
	compiler/machines/vax/coerce.scm (1.7),
	compiler/machines/vax/compiler.cbf (1.8),
	compiler/machines/vax/compiler.pkg (1.28),
	compiler/machines/vax/compiler.sf (1.15),
	compiler/machines/vax/dassm1.scm (4.11),
	compiler/machines/vax/dassm2.scm (4.17),
	compiler/machines/vax/dassm3.scm (1.6),
	compiler/machines/vax/decls.scm (4.17),
	compiler/machines/vax/dsyn.scm (1.14),
	compiler/machines/vax/inerly.scm (1.12),
	compiler/machines/vax/insmac.scm (1.19),
	compiler/machines/vax/instr1.scm (1.12),
	compiler/machines/vax/instr2.scm (1.13),
	compiler/machines/vax/instr3.scm (1.16),
	compiler/machines/vax/insutl.scm (4.6),
	compiler/machines/vax/lapgen.scm (4.20),
	compiler/machines/vax/lapopt.scm (1.4),
	compiler/machines/vax/machin.scm (4.15),
	compiler/machines/vax/make.scm (4.91),
	compiler/machines/vax/rgspcm.scm (4.5),
	compiler/machines/vax/rules1.scm (4.10),
	compiler/machines/vax/rules2.scm (4.7),
	compiler/machines/vax/rules3.scm (4.16),
	compiler/machines/vax/rules4.scm (4.7),
	compiler/machines/vax/rulfix.scm (1.10),
	compiler/machines/vax/rulrew.scm (1.5), compiler/rtlbase/regset.scm
	(1.6), compiler/rtlbase/rgraph.scm (4.10),
	compiler/rtlbase/rtlcfg.scm (4.12), compiler/rtlbase/rtlcon.scm
	(4.32), compiler/rtlbase/rtlexp.scm (4.22),
	compiler/rtlbase/rtline.scm (4.13), compiler/rtlbase/rtlobj.scm
	(4.14), compiler/rtlbase/rtlreg.scm (4.12),
	compiler/rtlbase/rtlty1.scm (4.25), compiler/rtlbase/rtlty2.scm
	(4.15), compiler/rtlbase/valclass.scm (1.9),
	compiler/rtlgen/fndblk.scm (4.14), compiler/rtlgen/fndvar.scm
	(1.9), compiler/rtlgen/opncod.scm (4.72),
	compiler/rtlgen/rgcomb.scm (4.23), compiler/rtlgen/rgproc.scm
	(4.16), compiler/rtlgen/rgretn.scm (4.16),
	compiler/rtlgen/rgrval.scm (4.25), compiler/rtlgen/rgstmt.scm
	(4.19), compiler/rtlgen/rtlgen.scm (4.32),
	compiler/rtlopt/ralloc.scm (1.20), compiler/rtlopt/rcompr.scm
	(1.17), compiler/rtlopt/rcse1.scm (4.26), compiler/rtlopt/rcse2.scm
	(4.16), compiler/rtlopt/rcseep.scm (4.9),
	compiler/rtlopt/rcseht.scm (4.15), compiler/rtlopt/rcserq.scm
	(4.9), compiler/rtlopt/rcsesr.scm (4.6), compiler/rtlopt/rdebug.scm
	(1.6), compiler/rtlopt/rdflow.scm (1.6), compiler/rtlopt/rerite.scm
	(1.6), compiler/rtlopt/rinvex.scm (1.12), compiler/rtlopt/rlife.scm
	(1.63), compiler/rtlopt/rtlcsm.scm (1.4), cref/Makefile.in (1.4),
	cref/anfile.scm (1.9), cref/conpkg.scm (1.16), cref/cref.cbf (1.5),
	cref/cref.pkg (1.12), cref/cref.sf (1.17), cref/forpkg.scm (1.12),
	cref/make.scm (1.27), cref/mset.scm (1.4), cref/object.scm (1.16),
	cref/redpkg.scm (1.28), cref/toplev.scm (1.20), cref/triv.pkg
	(1.9), edwin/Clean.sh (1.8), edwin/Makefile.in (1.6),
	edwin/abbrev.scm (1.9), edwin/ansi.scm (1.10), edwin/argred.scm
	(1.36), edwin/artdebug.scm (1.33), edwin/autold.scm (1.65),
	edwin/autosv.scm (1.37), edwin/basic.scm (1.143), edwin/bios.scm
	(1.7), edwin/bufcom.scm (1.110), edwin/buffer.scm (1.190),
	edwin/buffrm.scm (1.62), edwin/bufinp.scm (1.11), edwin/bufmnu.scm
	(1.134), edwin/bufout.scm (1.16), edwin/bufset.scm (1.15),
	edwin/bufwfs.scm (1.23), edwin/bufwin.scm (1.313), edwin/bufwiu.scm
	(1.37), edwin/bufwmc.scm (1.21), edwin/c-mode.scm (1.63),
	edwin/calias.scm (1.30), edwin/cinden.scm (1.23), edwin/class.scm
	(1.75), edwin/clscon.scm (1.11), edwin/clsmac.scm (1.13),
	edwin/comatch.scm (1.7), edwin/comhst.scm (1.9), edwin/comint.scm
	(1.32), edwin/comman.scm (1.88), edwin/compile.scm (1.17),
	edwin/comred.scm (1.126), edwin/comtab.scm (1.75), edwin/comwin.scm
	(1.150), edwin/curren.scm (1.147), edwin/dabbrev.scm (1.7),
	edwin/debian-changelog.scm (1.9), edwin/debug.scm (1.65),
	edwin/debuge.scm (1.57), edwin/decls.scm (1.73), edwin/dired.scm
	(1.193), edwin/diros2.scm (1.7), edwin/dirunx.scm (1.16),
	edwin/dirw32.scm (1.7), edwin/display.scm (1.10), edwin/docstr.scm
	(1.7), edwin/dos.scm (1.56), edwin/doscom.scm (1.6),
	edwin/dosfile.scm (1.41), edwin/dosproc.scm (1.12),
	edwin/dosshell.scm (1.8), edwin/ed-ffi.scm (1.54), edwin/editor.scm
	(1.258), edwin/edtfrm.scm (1.94), edwin/edtstr.scm (1.29),
	edwin/edwin.cbf (1.6), edwin/edwin.ldr (1.75), edwin/edwin.pkg
	(1.285), edwin/edwin.sf (1.32), edwin/evlcom.scm (1.68),
	edwin/eystep.scm (1.9), edwin/filcom.scm (1.226), edwin/fileio.scm
	(1.161), edwin/fill.scm (1.73), edwin/grpops.scm (1.31),
	edwin/hlpcom.scm (1.126), edwin/htmlmode.scm (1.9), edwin/image.scm
	(1.140), edwin/info.scm (1.140), edwin/input.scm (1.105),
	edwin/intmod.scm (1.119), edwin/iserch.scm (1.26),
	edwin/javamode.scm (1.14), edwin/key-w32.scm (1.6),
	edwin/key-x11.scm (1.8), edwin/keymap.scm (1.20),
	edwin/keyparse.scm (1.6), edwin/kilcom.scm (1.75), edwin/kmacro.scm
	(1.47), edwin/lincom.scm (1.127), edwin/linden.scm (1.129),
	edwin/loadef.scm (1.48), edwin/lspcom.scm (1.163), edwin/macros.scm
	(1.75), edwin/make.scm (3.118), edwin/malias.scm (1.8),
	edwin/manual.scm (1.19), edwin/midas.scm (1.25), edwin/modefs.scm
	(1.163), edwin/modes.scm (1.38), edwin/modlin.scm (1.26),
	edwin/modwin.scm (1.45), edwin/motcom.scm (1.50), edwin/motion.scm
	(1.91), edwin/mousecom.scm (1.8), edwin/nntp.scm (1.27),
	edwin/notify.scm (1.23), edwin/nvector.scm (1.11), edwin/occur.scm
	(1.8), edwin/os2.scm (1.54), edwin/os2com.scm (1.8),
	edwin/os2term.scm (1.25), edwin/outline.scm (1.12),
	edwin/pasmod.scm (1.54), edwin/paths.scm (1.18), edwin/print.scm
	(1.23), edwin/process.scm (1.65), edwin/prompt.scm (1.201),
	edwin/pwedit.scm (1.11), edwin/pwparse.scm (1.4),
	edwin/rcsparse.scm (1.6), edwin/reccom.scm (1.17), edwin/regcom.scm
	(1.25), edwin/regexp.scm (1.81), edwin/regops.scm (1.91),
	edwin/rename.scm (1.11), edwin/replaz.scm (1.83), edwin/rfc822.scm
	(3.6), edwin/ring.scm (1.15), edwin/rmail.scm (1.75),
	edwin/rmailsrt.scm (1.16), edwin/rmailsum.scm (1.39),
	edwin/schmod.scm (1.63), edwin/scrcom.scm (1.11), edwin/screen.scm
	(1.121), edwin/search.scm (1.158), edwin/sendmail.scm (1.81),
	edwin/sercom.scm (1.68), edwin/shell.scm (1.26), edwin/simple.scm
	(1.57), edwin/snr.scm (1.64), edwin/sort.scm (1.11),
	edwin/strpad.scm (1.11), edwin/strtab.scm (1.50), edwin/struct.scm
	(1.98), edwin/syntax.scm (1.92), edwin/tagutl.scm (1.62),
	edwin/techinfo.scm (1.8), edwin/telnet.scm (1.17),
	edwin/termcap.scm (1.9), edwin/texcom.scm (1.49), edwin/things.scm
	(1.91), edwin/tparse.scm (1.78), edwin/tterm.scm (1.38),
	edwin/tximod.scm (1.28), edwin/txtprp.scm (1.26), edwin/undo.scm
	(1.62), edwin/unix.scm (1.113), edwin/utils.scm (1.54),
	edwin/utlwin.scm (1.63), edwin/vc.scm (1.83), edwin/verilog.scm
	(1.12), edwin/vhdl.scm (1.12), edwin/webster.scm (1.7),
	edwin/win32.scm (1.18), edwin/win32com.scm (1.11), edwin/wincom.scm
	(1.135), edwin/window.scm (1.163), edwin/winout.scm (1.17),
	edwin/winren.scm (1.9), edwin/xcom.scm (1.24), edwin/xform.scm
	(1.15), edwin/xmodef.scm (1.6), edwin/xterm.scm (1.72),
	etc/Clean.sh (1.11), etc/Setup.sh (1.8), etc/Stage.sh (1.5),
	etc/Tags.sh (1.3), etc/build-bands.sh (1.4), etc/compile.scm (1.6),
	etc/compile.sh (1.4), etc/functions.sh (1.4), etc/optiondb.scm
	(1.11), imail/Makefile.in (1.5), imail/compile.scm (1.20),
	imail/ed-ffi.scm (1.22), imail/imail-browser.scm (1.11),
	imail/imail-core.scm (1.149), imail/imail-file.scm (1.84),
	imail/imail-imap.scm (1.198), imail/imail-rmail.scm (1.73),
	imail/imail-summary.scm (1.51), imail/imail-top.scm (1.287),
	imail/imail-umail.scm (1.54), imail/imail-util.scm (1.42),
	imail/imail.pkg (1.100), imail/imap-response.scm (1.48),
	imail/imap-syntax.scm (1.21), imail/load.scm (1.42), imail/print.sh
	(1.11), microcode/Clean.sh (1.3), microcode/Setup.sh (1.7),
	microcode/acconfig.h (11.6), microcode/array.c (9.48),
	microcode/array.h (9.38), microcode/artutl.c (1.18),
	microcode/avltree.c (1.7), microcode/avltree.h (1.6),
	microcode/bchdmp.c (9.92), microcode/bchdrn.c (1.12),
	microcode/bchdrn.h (1.12), microcode/bchgcc.h (9.65),
	microcode/bchgcl.c (9.56), microcode/bchmmg.c (9.103),
	microcode/bchpur.c (9.74), microcode/bchutl.c (1.15),
	microcode/bignmint.h (1.8), microcode/bignum.c (9.51),
	microcode/bignum.h (9.33), microcode/bigprm.c (1.8),
	microcode/bintopsb.c (9.76), microcode/bitstr.c (9.65),
	microcode/bitstr.h (1.12), microcode/bkpt.c (9.34),
	microcode/bkpt.h (9.36), microcode/bltdef.h (1.6), microcode/boot.c
	(9.112), microcode/breakup.c (9.27), microcode/char.c (9.35),
	microcode/cmpgc.h (1.34), microcode/cmpint.c (1.100),
	microcode/cmpint.h (10.11), microcode/cmptype.h (1.5),
	microcode/comlin.c (1.11), microcode/comlin.h (1.9),
	microcode/compinit.c (1.6), microcode/comutl.c (1.33),
	microcode/configure.in (11.20), microcode/confshared.h (11.5),
	microcode/const.h (9.48), microcode/copyrigh.c (1.5),
	microcode/critsec.h (1.6), microcode/daemon.c (9.33),
	microcode/debug.c (9.57), microcode/default.h (9.47),
	microcode/dfloat.c (1.8), microcode/dmpwrld.c (9.43),
	microcode/dstack.h (1.11), microcode/dump.c (9.42),
	microcode/edwin.h (1.11), microcode/error.c (1.9),
	microcode/errors.h (9.46), microcode/extern.c (9.40),
	microcode/extern.h (9.64), microcode/fasdump.c (9.68),
	microcode/fasl.h (9.40), microcode/fasload.c (9.96),
	microcode/fft.c (9.35), microcode/fhooks.c (9.37),
	microcode/findprim.c (9.57), microcode/fixnum.c (9.46),
	microcode/fixobj.h (9.40), microcode/flonum.c (9.45),
	microcode/foreign.c (1.5), microcode/foreign.h (1.5),
	microcode/future.c (9.31), microcode/futures.h (9.32),
	microcode/gc.h (9.36), microcode/gccode.h (9.60),
	microcode/gcloop.c (9.51), microcode/gctype.c (9.36),
	microcode/generic.c (9.41), microcode/gpio.c (1.13),
	microcode/history.h (9.33), microcode/hooks.c (9.65),
	microcode/hppacach.c (1.15), microcode/hppacach.h (1.8),
	microcode/hppanwca.c (1.7), microcode/hunk.c (9.31),
	microcode/image.c (9.36), microcode/image.h (9.27),
	microcode/intercom.c (9.35), microcode/intern.c (9.59),
	microcode/interp.c (9.98), microcode/interp.h (9.50),
	microcode/intext.c (1.7), microcode/intext.h (1.7),
	microcode/intprm.c (1.11), microcode/intrpt.h (1.23),
	microcode/liarc.h (1.21), microcode/list.c (9.34), microcode/load.c
	(9.41), microcode/locks.h (9.28), microcode/lookprm.c (1.21),
	microcode/lookup.c (9.70), microcode/lookup.h (9.57),
	microcode/memmag.c (9.71), microcode/memmag.h (1.10),
	microcode/missing.c (9.35), microcode/mul.c (9.37), microcode/nt.h
	(1.11), microcode/ntapi.h (1.15), microcode/ntasutl.asm (1.8),
	microcode/ntenv.c (1.21), microcode/ntfile.c (1.15),
	microcode/ntfs.c (1.30), microcode/ntfs.h (1.7), microcode/ntgui.c
	(1.30), microcode/ntgui.h (1.10), microcode/ntio.c (1.26),
	microcode/ntio.h (1.13), microcode/ntproc.c (1.10),
	microcode/ntproc.h (1.4), microcode/ntscmlib.h (1.11),
	microcode/ntscreen.c (1.49), microcode/ntscreen.h (1.22),
	microcode/ntsig.c (1.24), microcode/ntsock.c (1.15),
	microcode/ntsys.c (1.11), microcode/ntsys.h (1.10),
	microcode/ntterm.h (1.6), microcode/nttop.c (1.32),
	microcode/nttop.h (1.6), microcode/nttrap.c (1.25),
	microcode/nttrap.h (1.7), microcode/nttterm.c (1.6),
	microcode/nttty.c (1.10), microcode/object.h (9.53),
	microcode/option.c (1.59), microcode/option.h (1.14),
	microcode/os.h (1.9), microcode/os2.c (1.10), microcode/os2.h
	(1.10), microcode/os2api.h (1.14), microcode/os2conio.c (1.12),
	microcode/os2cthrd.c (1.12), microcode/os2cthrd.h (1.9),
	microcode/os2ctty.c (1.6), microcode/os2ctty.h (1.4),
	microcode/os2env.c (1.16), microcode/os2file.c (1.5),
	microcode/os2fs.c (1.16), microcode/os2io.c (1.10),
	microcode/os2io.h (1.6), microcode/os2msg.c (1.16),
	microcode/os2msg.h (1.17), microcode/os2pipe.c (1.10),
	microcode/os2pm.c (1.35), microcode/os2pm.h (1.15),
	microcode/os2pm.scm (1.14), microcode/os2pmcon.c (1.28),
	microcode/os2pmcon.h (1.6), microcode/os2pmcon.rc (1.7),
	microcode/os2proc.c (1.9), microcode/os2proc.h (1.4),
	microcode/os2sock.c (1.20), microcode/os2term.c (1.6),
	microcode/os2thrd.c (1.8), microcode/os2thrd.h (1.6),
	microcode/os2top.c (1.23), microcode/os2tty.c (1.4),
	microcode/os2xcpt.c (1.15), microcode/osctty.h (1.6),
	microcode/osenv.h (1.12), microcode/osfile.h (1.5),
	microcode/osfs.h (1.12), microcode/osio.h (1.19),
	microcode/osproc.h (1.12), microcode/ospty.h (1.6),
	microcode/osscheme.c (1.14), microcode/osscheme.h (1.13),
	microcode/ossig.h (1.6), microcode/osterm.h (1.13),
	microcode/ostop.h (1.7), microcode/ostty.c (1.6), microcode/ostty.h
	(1.7), microcode/outf.c (1.14), microcode/outf.h (1.7),
	microcode/ppband.c (9.52), microcode/prbfish.c (1.14),
	microcode/prename.h (1.11), microcode/prgdbm.c (1.5),
	microcode/prim.c (9.41), microcode/prim.h (9.49), microcode/prims.h
	(9.52), microcode/primutl.c (9.76), microcode/prmcon.c (1.7),
	microcode/prmcon.h (1.6), microcode/prmcrypt.c (1.5),
	microcode/prmd5.c (1.9), microcode/prmhash.c (11.6),
	microcode/prntenv.c (1.12), microcode/prntfs.c (1.19),
	microcode/prntio.c (1.15), microcode/pros2fs.c (1.20),
	microcode/pros2io.c (1.11), microcode/pros2pm.c (1.23),
	microcode/prosenv.c (1.19), microcode/prosfile.c (1.11),
	microcode/prosfs.c (1.18), microcode/prosio.c (1.23),
	microcode/prosproc.c (1.21), microcode/prospty.c (1.6),
	microcode/prosterm.c (1.18), microcode/prostty.c (1.9),
	microcode/pruxdld.c (1.17), microcode/pruxenv.c (1.21),
	microcode/pruxfs.c (9.58), microcode/pruxio.c (1.10),
	microcode/pruxsock.c (1.22), microcode/psbmap.h (9.47),
	microcode/psbtobin.c (9.61), microcode/ptrvec.c (1.5),
	microcode/purify.c (9.65), microcode/purutl.c (9.54),
	microcode/regex.c (1.22), microcode/regex.h (1.9),
	microcode/returns.h (9.45), microcode/rgxprim.c (1.15),
	microcode/sample.c (9.28), microcode/scheme.h (9.41),
	microcode/scode.h (9.29), microcode/sdata.h (9.42),
	microcode/sgraph.h (1.9), microcode/sgraph_a.c (1.18),
	microcode/sgx.c (1.11), microcode/sgx11.c (1.6), microcode/stack.h
	(9.44), microcode/starbase.c (1.9), microcode/starbasx.c (1.8),
	microcode/step.c (9.38), microcode/storage.c (9.60),
	microcode/string.c (9.49), microcode/syntax.c (1.27),
	microcode/syntax.h (1.12), microcode/syscall.h (1.15),
	microcode/sysprim.c (9.50), microcode/term.c (1.18),
	microcode/transact.c (1.7), microcode/trap.h (9.51),
	microcode/tterm.c (1.16), microcode/types.h (9.40),
	microcode/usrdef.h (9.46), microcode/utabmd.scm (9.87),
	microcode/utabmd.sh (1.5), microcode/utils.c (9.85), microcode/ux.c
	(1.23), microcode/ux.h (1.76), microcode/uxctty.c (1.16),
	microcode/uxenv.c (1.23), microcode/uxfile.c (1.12),
	microcode/uxfs.c (1.25), microcode/uxio.c (1.50), microcode/uxio.h
	(1.7), microcode/uxproc.c (1.29), microcode/uxproc.h (1.8),
	microcode/uxselect.h (1.8), microcode/uxsig.c (1.39),
	microcode/uxsig.h (1.8), microcode/uxsock.c (1.30),
	microcode/uxsock.h (1.12), microcode/uxterm.c (1.30),
	microcode/uxterm.h (1.7), microcode/uxtop.c (1.28),
	microcode/uxtop.h (1.5), microcode/uxtrap.c (1.37),
	microcode/uxtrap.h (1.32), microcode/uxtty.c (1.12),
	microcode/uxutil.c (1.9), microcode/uxutil.h (1.5),
	microcode/uxyp.c (1.5), microcode/vector.c (9.41),
	microcode/version.h (11.188), microcode/wabbit.c (1.11),
	microcode/wind.c (1.8), microcode/winder.h (9.28),
	microcode/wsize.c (9.36), microcode/x11.h (1.19),
	microcode/x11base.c (1.79), microcode/x11color.c (1.7),
	microcode/x11graph.c (1.43), microcode/x11term.c (1.29),
	microcode/xdebug.c (9.37), microcode/zones.h (9.28),
	microcode/cmpauxmd/asmcvt.c (1.4), microcode/cmpauxmd/c.c (1.15),
	microcode/cmpauxmd/hppa.m4 (1.42), microcode/cmpauxmd/i386.m4
	(1.61), microcode/cmpauxmd/m4-dos (1.4),
	microcode/cmpauxmd/makefile (1.9), microcode/cmpauxmd/mc68k.m4
	(1.30), microcode/cmpauxmd/mips.m4 (1.18),
	microcode/cmpauxmd/vax.m4 (1.7), microcode/cmpintmd/c.h (1.9),
	microcode/cmpintmd/hppa.h (1.54), microcode/cmpintmd/i386.h (1.37),
	microcode/cmpintmd/mc68k.h (1.38), microcode/cmpintmd/mips.h
	(1.25), microcode/cmpintmd/vax.h (1.11),
	microcode/makegen/Makefile.in.in (1.22),
	microcode/makegen/files-core.scm (1.4),
	microcode/makegen/files-gc-bch.scm (1.4),
	microcode/makegen/files-gc-std.scm (1.4),
	microcode/makegen/files-optional.scm (1.5),
	microcode/makegen/files-os-prim.scm (1.4),
	microcode/makegen/files-other.scm (1.4),
	microcode/makegen/files-unix.scm (1.4), microcode/makegen/m4.sh
	(1.4), microcode/makegen/makegen.scm (1.6),
	microcode/makegen/makeinit.sh (1.10), microcode/ntutl/bch-p-nt.lst
	(1.8), microcode/ntutl/config.h (1.6), microcode/ntutl/makefile
	(1.30), microcode/ntutl/makefile.wcc (1.19),
	microcode/ntutl/scheme16.c (1.13), microcode/ntutl/scheme31.c
	(1.12), microcode/ntutl/scheme32.c (1.19),
	microcode/ntutl/scm-p-nt.lst (1.8), microcode/os2utl/config.h
	(1.6), microcode/os2utl/makefile (1.17),
	microcode/os2utl/makefile.cmn (1.15), microcode/os2utl/makefile.emx
	(1.11), microcode/os2utl/makefile.gcc (1.9),
	microcode/os2utl/makefile.vac (1.9), microcode/os2utl/makefile.wcc
	(1.10), microcode/os2utl/mkos2pm.scm (1.4), pcsample/load.scm
	(1.8), pcsample/pcs.cbf (1.5), pcsample/pcs.pkg (1.5),
	pcsample/pcs.sf (1.5), pcsample/pcsample.c (1.8),
	pcsample/pcsample.scm (1.5), pcsample/pcsboot.scm (1.4),
	pcsample/pcscobl.c (1.4), pcsample/pcscobl.scm (1.4),
	pcsample/pcsdisp.scm (1.5), pcsample/pcsdld.c (1.7),
	pcsample/pcsintrp.scm (1.4), pcsample/pcsiproc.c (1.4),
	pcsample/pcsiproc.scm (1.4), pcsample/pribinut.scm (1.4),
	rcs/compile.scm (1.6), rcs/format.scm (1.5), rcs/load.scm (1.5),
	rcs/logmer.scm (1.29), rcs/mklogs.scm (1.24), rcs/nparse.scm (1.5),
	rcs/object.scm (1.7), rcs/rcs.pkg (1.9), runtime/Makefile.in (1.8),
	runtime/advice.scm (14.20), runtime/apply.scm (1.7),
	runtime/apropos.scm (1.7), runtime/arith.scm (1.56),
	runtime/bitstr.scm (14.6), runtime/blowfish.scm (1.26),
	runtime/boole.scm (14.6), runtime/boot.scm (14.15),
	runtime/char.scm (14.15), runtime/chrset.scm (14.18),
	runtime/chrsyn.scm (1.8), runtime/codwlk.scm (14.6),
	runtime/conpar.scm (14.41), runtime/contin.scm (14.12),
	runtime/cpoint.scm (14.7), runtime/cpress.scm (1.14),
	runtime/crypto.scm (14.16), runtime/datime.scm (14.35),
	runtime/dbgcmd.scm (14.18), runtime/dbgutl.scm (14.23),
	runtime/debug.scm (14.45), runtime/defstr.scm (14.42),
	runtime/dosdir.scm (1.12), runtime/dosprm.scm (1.46),
	runtime/dosproc.scm (1.5), runtime/dospth.scm (1.43),
	runtime/dragon4.scm (1.17), runtime/ed-ffi.scm (1.35),
	runtime/emacs.scm (14.31), runtime/equals.scm (14.11),
	runtime/error.scm (14.61), runtime/events.scm (14.7),
	runtime/fileio.scm (1.21), runtime/fixart.scm (1.10),
	runtime/format.scm (14.8), runtime/framex.scm (14.21),
	runtime/gc.scm (14.18), runtime/gcdemn.scm (14.10),
	runtime/gcfinal.scm (14.5), runtime/gcnote.scm (14.16),
	runtime/gcstat.scm (14.8), runtime/gdatab.scm (14.8),
	runtime/gdbm.scm (1.5), runtime/gencache.scm (1.5),
	runtime/geneqht.scm (1.4), runtime/generic.scm (1.5),
	runtime/genio.scm (1.18), runtime/genmult.scm (1.5),
	runtime/gensym.scm (14.8), runtime/gentag.scm (1.5),
	runtime/global.scm (14.59), runtime/graphics.scm (1.24),
	runtime/hash.scm (14.8), runtime/hashtb.scm (1.25),
	runtime/histry.scm (14.8), runtime/infstr.scm (1.17),
	runtime/infutl.scm (1.69), runtime/input.scm (14.23),
	runtime/intrpt.scm (14.24), runtime/io.scm (14.72),
	runtime/krypt.scm (1.14), runtime/kryptdum.scm (1.4),
	runtime/lambda.scm (14.19), runtime/lambdx.scm (14.12),
	runtime/list.scm (14.34), runtime/load.scm (14.65),
	runtime/make.scm (14.89), runtime/mime-codec.scm (14.14),
	runtime/mit-syntax.scm (14.14), runtime/msort.scm (14.11),
	runtime/ntdir.scm (1.4), runtime/ntprm.scm (1.40),
	runtime/numint.scm (1.8), runtime/numpar.scm (14.19),
	runtime/option.scm (14.43), runtime/optiondb.scm (1.16),
	runtime/ordvec.scm (1.5), runtime/os2ctype.scm (1.5),
	runtime/os2dir.scm (1.7), runtime/os2graph.scm (1.22),
	runtime/os2prm.scm (1.51), runtime/os2winp.scm (1.20),
	runtime/output.scm (14.32), runtime/packag.scm (14.42),
	runtime/parse.scm (14.40), runtime/parser-buffer.scm (1.7),
	runtime/partab.scm (14.7), runtime/pathnm.scm (14.36),
	runtime/poplat.scm (14.6), runtime/port.scm (1.26), runtime/pp.scm
	(14.46), runtime/prgcop.scm (1.9), runtime/process.scm (1.28),
	runtime/prop1d.scm (14.8), runtime/prop2d.scm (14.5),
	runtime/qsort.scm (14.7), runtime/queue.scm (14.7),
	runtime/random.scm (14.26), runtime/rbtree.scm (1.9),
	runtime/record.scm (1.31), runtime/recslot.scm (1.10),
	runtime/regexp.scm (1.12), runtime/rep.scm (14.59),
	runtime/rexp.scm (1.22), runtime/rgxcmp.scm (1.124),
	runtime/runtime.cbf (1.5), runtime/runtime.pkg (14.427),
	runtime/runtime.sf (14.20), runtime/savres.scm (14.43),
	runtime/scan.scm (14.8), runtime/scode.scm (14.19),
	runtime/scomb.scm (14.23), runtime/sdata.scm (14.5),
	runtime/sfile.scm (14.34), runtime/site.scm.dos (1.16),
	runtime/site.scm.unix (1.17), runtime/socket.scm (1.21),
	runtime/starbase.scm (1.20), runtime/stream.scm (14.15),
	runtime/string.scm (14.49), runtime/strnin.scm (14.11),
	runtime/strott.scm (14.11), runtime/strout.scm (14.18),
	runtime/symbol.scm (1.9), runtime/syncproc.scm (1.10),
	runtime/syntactic-closures.scm (14.13), runtime/syntax-check.scm
	(14.5), runtime/syntax-output.scm (14.9), runtime/syntax-rules.scm
	(14.5), runtime/syntax-transforms.scm (14.4), runtime/sysclk.scm
	(14.6), runtime/sysmac.scm (14.12), runtime/system.scm (14.15),
	runtime/thread.scm (1.39), runtime/tscript.scm (1.6),
	runtime/ttyio.scm (1.14), runtime/tvector.scm (1.5),
	runtime/udata.scm (14.23), runtime/uenvir.scm (14.60),
	runtime/uerror.scm (14.52), runtime/unicode.scm (1.5),
	runtime/unpars.scm (14.52), runtime/unsyn.scm (14.30),
	runtime/unxdir.scm (14.14), runtime/unxprm.scm (1.65),
	runtime/unxpth.scm (14.28), runtime/uproc.scm (1.14),
	runtime/url.scm (1.14), runtime/urtrap.scm (14.15),
	runtime/usrint.scm (1.19), runtime/utabs.scm (14.16),
	runtime/vector.scm (14.23), runtime/version.scm (14.212),
	runtime/where.scm (14.13), runtime/wind.scm (14.8),
	runtime/wrkdir.scm (14.10), runtime/wttree.scm (1.12),
	runtime/x11graph.scm (1.55), runtime/xeval.scm (1.12),
	runtime/ystep.scm (1.5), runtime-check/Clean.sh (1.5),
	runtime-check/Setup.sh (1.7), runtime-check/runtime.cbf (1.3),
	sf/butils.scm (4.13), sf/cgen.scm (4.7), sf/chtype.scm (4.6),
	sf/copy.scm (4.8), sf/emodel.scm (4.6), sf/free.scm (4.6),
	sf/gconst.scm (4.29), sf/gimprt.scm (4.4), sf/lsets.scm (4.5),
	sf/make.scm (4.43), sf/object.scm (4.18), sf/pardec.scm (4.16),
	sf/pthmap.scm (4.7), sf/reduct.scm (4.12), sf/sf.cbf (1.5),
	sf/sf.pkg (4.19), sf/sf.sf (4.13), sf/subst.scm (4.19),
	sf/table.scm (4.7), sf/tables.scm (4.5), sf/toplev.scm (4.26),
	sf/usicon.scm (4.7), sf/usiexp.scm (4.43), sf/xform.scm (4.13),
	sicp/compat.scm (1.11), sicp/genenv.scm (1.5), sicp/graphics.scm
	(1.7), sicp/sbuild.scm (1.7), sicp/stream.scm (1.4),
	sicp/strmac.scm (1.5), sicp/studen.scm (1.13), sos/Makefile.in
	(1.5), sos/class.scm (1.15), sos/compile.scm (1.8), sos/ed-ffi.scm
	(1.5), sos/instance.scm (1.17), sos/load.scm (1.14), sos/macros.scm
	(1.17), sos/method.scm (1.14), sos/microbench.scm (1.5),
	sos/printer.scm (1.5), sos/slot.scm (1.10), sos/sos.pkg (1.13),
	star-parser/Makefile.in (1.4), star-parser/compile.scm (1.8),
	star-parser/ed-ffi.scm (1.8), star-parser/load.scm (1.15),
	star-parser/matcher.scm (1.32), star-parser/parser.pkg (1.21),
	star-parser/parser.scm (1.35), star-parser/shared.scm (1.26),
	star-parser/test-parser.scm (1.6), swat/scheme/swat.sf (1.6),
	wabbit/load.scm (1.5), wabbit/wabbit.cbf (1.4), wabbit/wabbit.pkg
	(1.4), wabbit/wabbit.scm (1.4), wabbit/wabbit.sf (1.6),
	win32/clipbrd.scm (1.8), win32/dib.scm (1.7), win32/ffimacro.scm
	(1.10), win32/graphics.scm (1.20), win32/make.scm (1.13),
	win32/module.scm (1.6), win32/protect.scm (1.5), win32/wf_user.scm
	(1.12), win32/win32.cbf (1.5), win32/win32.pkg (1.17),
	win32/win32.sf (1.11), win32/win_ffi.scm (1.11), win32/wingdi.scm
	(1.5), win32/winnt.scm (1.5), win32/winuser.scm (1.5),
	win32/wt_user.scm (1.8), win32/dibutils/dibutils.c (1.6),
	win32/dibutils/dibutils.def (1.5), win32/dibutils/dibutils.h (1.6),
	win32/dibutils/makefile.msc (1.6), win32/dibutils/makefile.wcc
	(1.6), xml/Makefile.in (1.5), xml/compile.scm (1.11),
	xml/ed-ffi.scm (1.7), xml/load.scm (1.10), xml/parser-macro.scm
	(1.8), xml/test-parser.scm (1.9), xml/xml-chars.scm (1.5),
	xml/xml-output.scm (1.14), xml/xml-parser.scm (1.21),
	xml/xml-struct.scm (1.9), xml/xml.pkg (1.16), COPYING (1.6): Change
	program name to MIT/GNU Scheme.

2003-02-14 13:25  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/abbrev.scm (1.8), edwin/argred.scm (1.35), edwin/autold.scm
	(1.64), edwin/autosv.scm (1.36), edwin/basic.scm (1.142),
	edwin/buffrm.scm (1.61), edwin/bufinp.scm (1.10), edwin/bufmnu.scm
	(1.133), edwin/bufout.scm (1.15), edwin/bufset.scm (1.14),
	edwin/bufwfs.scm (1.22), edwin/bufwin.scm (1.312), edwin/bufwiu.scm
	(1.36), edwin/bufwmc.scm (1.20), edwin/c-mode.scm (1.62),
	edwin/cinden.scm (1.22), edwin/class.scm (1.74), edwin/clscon.scm
	(1.10), edwin/clsmac.scm (1.12), edwin/comatch.scm (1.6),
	edwin/compile.scm (1.16), edwin/comred.scm (1.125),
	edwin/comtab.scm (1.74), edwin/comwin.scm (1.149), edwin/curren.scm
	(1.146), edwin/dabbrev.scm (1.6), edwin/debian-changelog.scm (1.8),
	edwin/debuge.scm (1.56), edwin/dired.scm (1.192), edwin/diros2.scm
	(1.6), edwin/dirunx.scm (1.15), edwin/dirw32.scm (1.6),
	edwin/display.scm (1.9), edwin/dos.scm (1.55), edwin/dosfile.scm
	(1.40), edwin/edtfrm.scm (1.93), edwin/edwin.sf (1.31),
	edwin/eystep.scm (1.8), edwin/filcom.scm (1.225), edwin/fill.scm
	(1.72), edwin/htmlmode.scm (1.8), edwin/image.scm (1.139),
	edwin/info.scm (1.139), edwin/input.scm (1.104), edwin/iserch.scm
	(1.25), edwin/javamode.scm (1.13), edwin/key-w32.scm (1.5),
	edwin/key-x11.scm (1.7), edwin/keymap.scm (1.19),
	edwin/keyparse.scm (1.5), edwin/kilcom.scm (1.74), edwin/kmacro.scm
	(1.46), edwin/lincom.scm (1.126), edwin/linden.scm (1.128),
	edwin/loadef.scm (1.47), edwin/lspcom.scm (1.162), edwin/macros.scm
	(1.74), edwin/malias.scm (1.7), edwin/manual.scm (1.18),
	edwin/midas.scm (1.24), edwin/modefs.scm (1.162), edwin/modes.scm
	(1.37), edwin/modlin.scm (1.25), edwin/modwin.scm (1.44),
	edwin/motcom.scm (1.49), edwin/motion.scm (1.90),
	edwin/mousecom.scm (1.7), edwin/notify.scm (1.22),
	edwin/nvector.scm (1.10), edwin/occur.scm (1.7), edwin/os2.scm
	(1.53), edwin/os2com.scm (1.7), edwin/outline.scm (1.11),
	edwin/pasmod.scm (1.53), edwin/print.scm (1.22), edwin/prompt.scm
	(1.200), edwin/pwedit.scm (1.10), edwin/pwparse.scm (1.3),
	edwin/reccom.scm (1.16), edwin/regcom.scm (1.24), edwin/rename.scm
	(1.10), edwin/replaz.scm (1.82), edwin/ring.scm (1.14),
	edwin/rmailsrt.scm (1.15), edwin/rmailsum.scm (1.38),
	edwin/scrcom.scm (1.10), edwin/screen.scm (1.120), edwin/sercom.scm
	(1.67), edwin/simple.scm (1.56), edwin/snr.scm (1.63),
	edwin/sort.scm (1.10), edwin/strpad.scm (1.10), edwin/strtab.scm
	(1.49), edwin/syntax.scm (1.91), edwin/tagutl.scm (1.61),
	edwin/texcom.scm (1.48), edwin/things.scm (1.90), edwin/tparse.scm
	(1.77), edwin/tximod.scm (1.27), edwin/txtprp.scm (1.25),
	edwin/undo.scm (1.61), edwin/unix.scm (1.112), edwin/utils.scm
	(1.53), edwin/utlwin.scm (1.62), edwin/vc.scm (1.82),
	edwin/verilog.scm (1.11), edwin/vhdl.scm (1.11), edwin/win32com.scm
	(1.10), edwin/wincom.scm (1.134), edwin/window.scm (1.162),
	edwin/winout.scm (1.16), edwin/winren.scm (1.8), edwin/xform.scm
	(1.14), edwin/xmodef.scm (1.5), imail/compile.scm (1.19),
	imail/ed-ffi.scm (1.21), imail/imail-browser.scm (1.10),
	imail/imail-rmail.scm (1.72), imail/imail-summary.scm (1.50),
	imail/imail-umail.scm (1.53), imail/imail-util.scm (1.41),
	imail/imail.pkg (1.99), imail/imap-syntax.scm (1.20),
	imail/load.scm (1.41), microcode/utabmd.scm (9.86),
	runtime/chrsyn.scm (1.7), runtime/gencache.scm (1.4),
	runtime/generic.scm (1.4), runtime/genmult.scm (1.4),
	runtime/gentag.scm (1.4), runtime/mime-codec.scm (14.13),
	runtime/ordvec.scm (1.4), runtime/recslot.scm (1.9),
	runtime/regexp.scm (1.11), runtime/rgxcmp.scm (1.123),
	runtime/syntactic-closures.scm (14.12), runtime/syntax-check.scm
	(14.4), runtime/syntax-transforms.scm (14.3), runtime/tvector.scm
	(1.4), sos/compile.scm (1.7), sos/instance.scm (1.16), sos/load.scm
	(1.13), sos/macros.scm (1.16), sos/method.scm (1.13),
	sos/microbench.scm (1.4), sos/printer.scm (1.4), sos/slot.scm
	(1.9), star-parser/compile.scm (1.7), star-parser/ed-ffi.scm (1.7),
	star-parser/load.scm (1.14), star-parser/matcher.scm (1.31),
	star-parser/parser.pkg (1.20), star-parser/shared.scm (1.25),
	star-parser/test-parser.scm (1.5), win32/clipbrd.scm (1.7):
	Canonicalize copyright/license notices.

2003-02-13 14:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* 6001/nodefs.scm (1.14), microcode/makegen/makegen.scm (1.5),
	edwin/schmod.scm (1.62), xml/xml-output.scm (1.13),
	xml/xml-parser.scm (1.20): Add support for SRFI-6 -- this consists
	of renaming some procedures.  Also change all the references to the
	SRFI-6 names.

2003-02-13 14:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/error.scm (14.60), runtime/mit-syntax.scm (14.13),
	runtime/parse.scm (14.39), runtime/pp.scm (14.45),
	runtime/runtime.pkg (14.426), runtime/strnin.scm (14.10),
	runtime/strout.scm (14.17), runtime/unicode.scm (1.4),
	edwin/hlpcom.scm (1.125), edwin/nntp.scm (1.26), edwin/rfc822.scm
	(3.5), edwin/sendmail.scm (1.80), imail/imail-core.scm (1.148),
	imail/imail-file.scm (1.83), imail/imail-imap.scm (1.197),
	imail/imail-top.scm (1.286), imail/imap-response.scm (1.47): Add
	support for SRFI-6 -- this consists of renaming some procedures. 
	Also change all the references to the SRFI-6 names.

2003-02-13 13:17  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/etc/comfiles.scm (1.8): Add procedure to compare two
	build trees.

2003-02-13 00:06  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/class.scm (1.14), 6001/arith.scm (1.12): Eliminate
	definitions embedded inside LET-SYNTAX, since they depend on an
	incorrect implementation of LET-SYNTAX.

2003-02-12 23:26  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/list.scm (14.33): Can't use top-level DEFINE-SYNTAX in
	this file, because it breaks the cold load.

2003-02-12 21:59  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/rtlbase/valclass.scm (1.8): Eliminate compiler warning.

2003-02-12 21:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/mit-syntax.scm (14.12): Fix interaction between
	LET-SYNTAX and definitions.  Previously a definition inside a
	LET-SYNTAX changed the environment outside the LET-SYNTAX.  Now it
	changes the environment inside the LET-SYNTAX, as it is supposed
	to.

2003-02-12 21:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/: rtlbase/rtlreg.scm (4.11), rtlbase/valclass.scm (1.7),
	base/lvalue.scm (4.27), base/macros.scm (4.30), base/utils.scm
	(4.26), fggen/canon.scm (1.24), machines/i386/lapgen.scm (1.33):
	Eliminate definitions embedded inside LET-SYNTAX, since they depend
	on an incorrect implementation of LET-SYNTAX.

2003-02-12 21:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/arith.scm (1.55), runtime/graphics.scm (1.23),
	runtime/list.scm (14.32), runtime/parser-buffer.scm (1.6),
	runtime/scomb.scm (14.22), runtime/starbase.scm (1.19),
	sf/object.scm (4.17), edwin/buffer.scm (1.189), edwin/calias.scm
	(1.29), edwin/dosproc.scm (1.11), edwin/grpops.scm (1.30),
	edwin/search.scm (1.157), edwin/tterm.scm (1.37), edwin/xcom.scm
	(1.23): Eliminate definitions embedded inside LET-SYNTAX, since
	they depend on an incorrect implementation of LET-SYNTAX.

2003-02-12 14:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/utabmd.sh (1.4), etc/build-bands.sh (1.3): Use "--"
	form for command-line arguments.

2003-02-12 14:41  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/savres.scm (14.42): Eliminate "(c)" string from copyright
	notices.

2003-02-12 14:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: mit-syntax.scm (14.11), syntax-output.scm (14.8):
	Properly fix problem with LETREC/definition interaction.  This
	requires an extra environment frame in the syntax expander, to
	model the frame that is potentially inserted in the output.  And we
	must continue to use the "auxiliary" variable mechanism, since the
	compiler and several other things depend on it in order to
	recognize LETREC-like structures.

2003-02-10 01:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/advice.scm (14.19): Complete rewrite, greatly simplied
	code.  Initiated to eliminate use of "internal" LAMBDA expressions,
	but got out of hand.

2003-02-09 20:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: uproc.scm (1.13), runtime.pkg (14.425): Add GUARANTEE-
	procedures.  Clean up a little, and update copyright dates.

2003-02-08 20:58  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-output.scm (14.7): Fix bug in output of LETREC
	expressions: internal definitions within the LETREC must be
	rewritten as a nested LETREC.  Previously they were merged into the
	outer LETREC.

2003-02-07 15:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: xml.pkg (1.15), xml-output.scm (1.12), xml-parser.scm
	(1.19): New procedures: STRING->XML, SUBSTRING->XML, and
	XML->STRING.

2003-02-06 14:48  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/runtime.pkg (14.424): Export GUARANTEE-PAIR to global
	environment.

2003-02-06 13:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/parser.scm (1.34): Fix bug in definition of COMPLETE
	keyword.

2003-01-31 01:04  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-rules.scm (14.4): Generate appropriate error
	message when ellipsis appears in template but not in pattern.

2003-01-31 00:00  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-rules.scm (14.3): Update copyright; use PAIR?
	rather than NULL? where appropriate.

2003-01-30 12:30  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml.pkg (1.14): Export CHAR-SET:XML-WHITESPACE.

2003-01-26 01:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: compile.scm (1.10), ed-ffi.scm (1.6), parser-macro.scm
	(1.6), test-parser.scm (1.7), xml-chars.scm (1.3), xml-output.scm
	(1.10), xml-parser.scm (1.17), Makefile.in (1.4), load.scm (1.9),
	parser-macro.scm (1.7), test-parser.scm (1.8), xml-chars.scm (1.4),
	xml-output.scm (1.11), xml-parser.scm (1.18): Update
	copyright/license statement.

2003-01-26 01:29  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: xml.pkg (1.13), load.scm (1.8): Update copyright/license
	statement.

2003-01-26 01:28  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-struct.scm (1.8): Make XML-INTERN be an alias for
	STRING->SYMBOL.

2003-01-22 21:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/io.scm (14.71): When TEST-FOR-IO-ON-CHANNEL returns
	HANGUP or ERROR, call CHANNEL-READ/CHANNEL-WRITE just as if it had
	returned an I/O-available result.

2003-01-22 15:30  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/io.scm (14.70): Use new I/O synchronization to avoid
	blocking the Scheme process when an output channel blocks.

2003-01-22 14:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/prosio.c (1.22), runtime/io.scm (14.69),
	runtime/thread.scm (1.38): Change calling interface for
	test-select-registry so that all of the returned mode information
	is passed back.

2003-01-22 13:43  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: make.scm (3.117), os2term.scm (1.24), process.scm (1.64),
	tterm.scm (1.36), win32.scm (1.17), xterm.scm (1.71): Use new I/O
	synchronization support in runtime system.

2003-01-22 13:43  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/io.scm (14.68): Use ERROR and HANGUP values returned by
	TEST-SELECT-DESCRIPTOR.

2003-01-22 13:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: osio.h (1.18), prosio.c (1.21), uxio.c (1.49): Pay
	attention to POLLERR and POLLHUP values returned by poll().

2003-01-21 21:04  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/dosprm.scm (1.45), runtime/io.scm (14.67),
	runtime/ntprm.scm (1.39), runtime/os2graph.scm (1.21),
	runtime/os2prm.scm (1.50), runtime/runtime.pkg (14.423),
	runtime/socket.scm (1.20), runtime/thread.scm (1.37),
	runtime/unxprm.scm (1.64), runtime/version.scm (14.211),
	runtime/x11graph.scm (1.54), swat/scheme/mit-xhooks.scm (1.6): Use
	new I/O synchronization primitives.  Requires microcode 14.11 or
	later.

2003-01-21 21:03  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: osio.h (1.17), prosio.c (1.20), uxio.c (1.48),
	version.h (11.187): Implement new primitives for I/O
	synchronization.  These new primitives have a uniform interface for
	all operating systems, and support detection of write-ready events
	as well as read-ready.	(Note that the Win32 and OS/2 primitives
	aren't yet written.)

2003-01-15 16:26  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-top.scm (1.285): Change default value of
	imail-mime-collapse-digest to #f.

2003-01-14 23:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/schmod.scm (1.61): Add indent methods for SFRI keywords.

2003-01-10 16:29  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/todo.txt (1.139): Add comment aout treating MIME digests as
	subfolders.

2003-01-10 15:24  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: bufcom.scm (1.109), doscom.scm (1.5), dosshell.scm (1.7),
	editor.scm (1.257), edtstr.scm (1.28), fileio.scm (1.160),
	process.scm (1.63), regexp.scm (1.80), regops.scm (1.90), rmail.scm
	(1.74), struct.scm (1.97): Eliminate last vestiges of
	UNWIND-PROTECT.

2003-01-10 15:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: artdebug.scm (1.32), debug.scm (1.64), editor.scm
	(1.256), edwin.pkg (1.284), evlcom.scm (1.67), intmod.scm (1.118):
	Rework code that starts the debugger.  The edwin variable
	DEBUGGER-START-ON-ERROR? has been removed, and the various
	DEBUG-ON-*-ERROR edwin variables have been generalized to take a
	'ASK value that prompts the user.  The prompting has been cleaned
	up, and the interface simplified.

2003-01-10 13:50  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: calias.scm (1.27), edtstr.scm (1.26), edtstr.scm (1.27),
	calias.scm (1.28): Order predicates for keys must also handle
	buttons.  Otherwise, the code that sorts key bindings will break.

2003-01-09 15:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/edtstr.scm (1.25): Eliminate unused procedure
	MAKE-MODIFIED-BUTTON.

2003-01-09 14:43  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/: ed-ffi.scm (1.20), imail.pkg (1.98), url.scm (1.13): Move
	URL support back to the runtime system.

2003-01-09 14:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/make.scm (14.88), imail/compile.scm (1.18): Move URL
	support back to the runtime system.

2003-01-09 14:36  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: ed-ffi.scm (1.34), runtime.pkg (14.422), runtime.sf
	(14.19), url.scm (1.13): Move URL support back to the runtime
	system.

2003-01-09 14:23  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/url.scm (1.12): Move URL support back to the runtime
	system.

2003-01-05 18:30  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/pruxdld.c (1.16): Fix broken multi-line string
	constant.

2003-01-03 16:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/output.scm (14.31): Eliminate trailing spaces after last
	item in row.

2003-01-03 16:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/output.scm (14.30): Fix fencepost error -- output must be
	less than width of output device.

2003-01-02 20:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: output.scm (14.29), runtime.pkg (14.421), savres.scm
	(14.41): Rename: WRITE-STRINGS-AS-TABLE ->
	WRITE-STRINGS-IN-COLUMNS.

2003-01-02 20:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/output.scm (14.28): Don't write column separators for
	empty cells in the table.

2003-01-01 21:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/savres.scm (14.40): Print ID strings in row-major order.

2003-01-01 21:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/make.scm (4.119): Don't print architecture name. 
	Upcase "LIAR" to emphasize that it is an acronym.

2003-01-01 20:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/savres.scm (14.39): New procedure WRITE-STRINGS-AS-TABLE
	is used to format the ID strings printed by IDENTIFY-WORLD.

2003-01-01 20:54  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/arith.scm (1.54): Fix thinko in previous change.

2003-01-01 20:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: runtime.pkg (14.420), savres.scm (14.37), output.scm
	(14.27), savres.scm (14.38): New procedure WRITE-STRINGS-AS-TABLE
	is used to format the ID strings printed by IDENTIFY-WORLD.

2003-01-01 00:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: arith.scm (1.53), runtime.pkg (14.419): Add predicate
	and guarantee for exact positive integers.

2002-12-31 21:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: arith.scm (1.52), runtime.pkg (14.418): Implement
	GUARANTEE-* for number types.

2002-12-31 21:25  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/input.scm (14.22), runtime/output.scm (14.26),
	runtime/port.scm (1.25), runtime/error.scm (14.59),
	runtime/stream.scm (14.14), sicp/compat.scm (1.10): Change
	GUARANTEE-*-PORT procedures to accept a second argument specifying
	the caller, and update all references.

2002-12-30 23:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/boot.c (9.111), runtime/savres.scm (14.36): Move
	license statement into runtime, and add copyright statement.

2002-12-26 22:47  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/load.scm (14.64), edwin/editor.scm (1.255),
	6001/edextra.scm (1.35): Change option processing to accept "--"
	option syntax, as required by GNU coding standards.  Older "-"
	syntax is preserved for compatibility.

2002-12-26 22:18  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/option.c (1.58), runtime/load.scm (14.63): Change
	option processing to accept "--" option syntax, as required by GNU
	coding standards.  Older "-" syntax is preserved for compatibility.

2002-12-26 22:17  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/boot.c (9.110): Add message at boot about legal issues.

2002-12-19 16:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/rexp.scm (1.21): Must loop after case-folding a character
	set or string.

2002-12-19 16:31  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/rexp.scm (1.20): Fix bug: typo in CASE-FOLD-CHAR-SET.

2002-12-15 00:23  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: xml.pkg (1.12), xml-output.scm (1.9), xml-parser.scm
	(1.16): Add new procedures: READ-XML READ-XML-FILE WRITE-XML-FILE

2002-12-13 13:55  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/mit-syntax.scm (14.10): Fix thinko in DEFINE-RECORD-TYPE.

2002-12-09 14:30  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/htmlmode.scm (1.7): Fix comment handling to use same
	strategy as Emacs.

2002-12-09 14:03  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-parser.scm (1.15): Add ability to specify handlers for
	processing instructions.  These handlers are invoked during
	parsing, and their results replace the processing instructions in
	the XML output tree.

2002-12-09 13:19  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-output.scm (1.8): Tweak formatting of DTD with both
	external and internal parts.

2002-12-09 13:17  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-output.scm (1.7): Don't rewrite & in entity values; it is
	assumed that value is already rewritten.

2002-12-09 01:04  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: vc.scm (1.81), edwin.pkg (1.283): Implement editor
	variable vc-cvs-stay-local which tells VC to trust the CVS
	timestamps when trying to see whether a file has been modified,
	rather than querying the repository.

2002-12-09 00:47  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-output.scm (1.6): Use new column-tracking feature of
	output ports to do a better job of indenting.

2002-12-09 00:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: runtime.pkg (14.417), io.scm (14.66), output.scm
	(14.25), genio.scm (1.17): Change output ports to track current
	column.  This is needed to do indentation right.

2002-12-08 12:58  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-parser.scm (1.14): Change output of parser to distinguish
	<foo></foo> from <foo/>.

2002-12-07 16:36  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: uenvir.scm (14.59), runtime.pkg (14.416): Implement
	MAKE-TOP-LEVEL-ENVIRONMENT.

2002-12-06 23:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-output.scm (1.5): Fix harmless typo.

2002-12-06 23:47  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-output.scm (1.4): Fold long start elements that have
	multiple attributes.

2002-12-06 23:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/: load.scm (1.7), xml.pkg (1.11), xml-output.scm (1.3),
	xml-parser.scm (1.13), xml-struct.scm (1.7): Don't discard XML
	comments; these are important to preserve when processing
	documents.

2002-11-26 21:08  Chris Hanson <cph@zurich.ai.mit.edu>

	* swat/c/tk3.2-custom/: tkEvent.c (1.2), tkWindow.c (1.2),
	tcl/tclUnix.h (1.2): Don't use $Header$.

2002-11-26 00:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: ansidecl.h (1.8), obstack.c (1.7), obstack.h (1.12),
	os2pm.scm (1.13), termcap.c (1.8), tparam.c (1.8), unexec.c (9.25):
	Update FSF address in a few more places.

2002-11-25 00:54  Chris Hanson <cph@zurich.ai.mit.edu>

	* win32/graphics.scm (1.19): Fix bug in translation of graphics
	drawing modes.

2002-11-22 16:44  Chris Hanson <cph@zurich.ai.mit.edu>

	* COPYING (1.5): Change "this program" to "MIT Scheme" in
	prescript.

2002-11-22 16:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* COPYING (1.4): Use updated version of GPL with correct address.

2002-11-20 23:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* etc/Clean.sh (1.10): Only unlink symlink if its target is the one
	we linked to.

2002-11-20 22:51  Chris Hanson <cph@zurich.ai.mit.edu>

	* etc/: Clean.sh (1.9), functions.sh (1.3): Only unlink symlink if
	its target is the one we linked to.

2002-11-20 22:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* etc/Clean.sh (1.8), edwin/Clean.sh (1.7): Don't use rm-old-pkg
	option by default.

2002-11-20 22:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/bchutl.c (1.14): Include <string.h> to provide
	strerror.

2002-11-20 15:49  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: bchutl.c (1.13), uxtop.c (1.27): Use strerror if
	available.

2002-11-20 15:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/configure.in (11.19): Add check for strerror.

2002-11-20 15:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/uxfs.c (1.24): Fix typo.

2002-11-20 14:45  Chris Hanson <cph@zurich.ai.mit.edu>

	* Clean.sh (1.5), Makefile.in (1.20), Makefile.std (1.12), Setup.sh
	(1.8), Tags.sh (1.2), configure.in (1.6), 6001/6001.cbf (1.8),
	6001/6001.pkg (1.15), 6001/6001.sf (1.14), 6001/arith.scm (1.11),
	6001/edextra.scm (1.34), 6001/floppy.scm (1.27), 6001/make.scm
	(15.35), 6001/nodefs.scm (1.13), 6001/pic-imag.scm (1.11),
	6001/pic-ops.scm (1.7), 6001/pic-read.scm (1.7), 6001/pic-reco.scm
	(1.9), 6001/picture.scm (1.31), compiler/Clean.sh (1.6),
	compiler/Setup.sh (1.4), compiler/Stage.sh (1.3), compiler/Tags.sh
	(1.2), compiler/configure (1.5), compiler/back/asmmac.scm (1.18),
	compiler/back/asutl.scm (1.4), compiler/back/bittop.scm (1.23),
	compiler/back/bitutl.scm (1.11), compiler/back/insseq.scm (4.5),
	compiler/back/lapgn1.scm (4.19), compiler/back/lapgn2.scm (1.22),
	compiler/back/lapgn3.scm (4.16), compiler/back/linear.scm (4.18),
	compiler/back/mermap.scm (1.6), compiler/back/regmap.scm (4.15),
	compiler/back/syerly.scm (1.13), compiler/back/symtab.scm (1.48),
	compiler/back/syntax.scm (1.30), compiler/base/asstop.scm (1.13),
	compiler/base/blocks.scm (4.16), compiler/base/cfg1.scm (4.8),
	compiler/base/cfg2.scm (4.5), compiler/base/cfg3.scm (4.6),
	compiler/base/constr.scm (1.5), compiler/base/contin.scm (4.10),
	compiler/base/crsend.scm (1.14), compiler/base/crstop.scm (1.14),
	compiler/base/ctypes.scm (4.17), compiler/base/debug.scm (4.17),
	compiler/base/enumer.scm (4.5), compiler/base/infnew.scm (4.13),
	compiler/base/lvalue.scm (4.26), compiler/base/macros.scm (4.29),
	compiler/base/make.scm (4.118), compiler/base/mvalue.scm (3.2),
	compiler/base/object.scm (4.10), compiler/base/pmerly.scm (1.10),
	compiler/base/pmlook.scm (1.10), compiler/base/pmpars.scm (1.8),
	compiler/base/proced.scm (4.24), compiler/base/refctx.scm (1.4),
	compiler/base/rvalue.scm (4.9), compiler/base/scode.scm (4.15),
	compiler/base/sets.scm (4.3), compiler/base/subprb.scm (4.9),
	compiler/base/switch.scm (4.27), compiler/base/toplev.scm (4.63),
	compiler/base/utils.scm (4.25), compiler/etc/asm.scm (1.4),
	compiler/etc/comcmp.scm (1.12), compiler/etc/comfiles.scm (1.7),
	compiler/etc/disload.scm (1.13), compiler/etc/stackp.scm (1.8),
	compiler/etc/xcbfdir.scm (1.10), compiler/fggen/canon.scm (1.23),
	compiler/fggen/declar.scm (1.7), compiler/fggen/fggen.scm (4.38),
	compiler/fgopt/blktyp.scm (4.17), compiler/fgopt/closan.scm (4.31),
	compiler/fgopt/conect.scm (4.7), compiler/fgopt/contan.scm (4.11),
	compiler/fgopt/delint.scm (1.5), compiler/fgopt/desenv.scm (4.6),
	compiler/fgopt/envopt.scm (1.11), compiler/fgopt/folcon.scm (4.10),
	compiler/fgopt/offset.scm (4.10), compiler/fgopt/operan.scm (4.9),
	compiler/fgopt/order.scm (4.18), compiler/fgopt/outer.scm (4.7),
	compiler/fgopt/param.scm (1.5), compiler/fgopt/reord.scm (1.3),
	compiler/fgopt/reteqv.scm (1.3), compiler/fgopt/reuse.scm (1.9),
	compiler/fgopt/sideff.scm (1.10), compiler/fgopt/simapp.scm (4.10),
	compiler/fgopt/simple.scm (4.8), compiler/fgopt/subfre.scm (1.9),
	compiler/fgopt/varind.scm (1.6), compiler/machines/C/compiler.cbf
	(1.4), compiler/machines/C/compiler.pkg (1.15),
	compiler/machines/C/compiler.sf (1.10),
	compiler/machines/C/cout.scm (1.22), compiler/machines/C/ctop.scm
	(1.14), compiler/machines/C/cutl.scm (1.3),
	compiler/machines/C/decls.scm (1.7), compiler/machines/C/lapgen.scm
	(1.15), compiler/machines/C/machin.scm (1.9),
	compiler/machines/C/make.scm (1.4), compiler/machines/C/rgspcm.scm
	(1.4), compiler/machines/C/rules1.scm (1.9),
	compiler/machines/C/rules2.scm (1.4),
	compiler/machines/C/rules3.scm (1.12),
	compiler/machines/C/rules4.scm (1.3),
	compiler/machines/C/rulfix.scm (1.6),
	compiler/machines/C/rulflo.scm (1.8),
	compiler/machines/C/rulrew.scm (1.5),
	compiler/machines/alpha/assmd.scm (1.5),
	compiler/machines/alpha/coerce.scm (1.4),
	compiler/machines/alpha/compiler.cbf (1.4),
	compiler/machines/alpha/compiler.pkg (1.18),
	compiler/machines/alpha/compiler.sf (1.11),
	compiler/machines/alpha/dassm1.scm (1.5),
	compiler/machines/alpha/dassm2.scm (1.5),
	compiler/machines/alpha/dassm3.scm (1.3),
	compiler/machines/alpha/decls.scm (1.9),
	compiler/machines/alpha/inerly.scm (1.7),
	compiler/machines/alpha/insmac.scm (1.7),
	compiler/machines/alpha/instr1.scm (1.7),
	compiler/machines/alpha/instr2.scm (1.5),
	compiler/machines/alpha/instr3.scm (1.5),
	compiler/machines/alpha/lapgen.scm (1.10),
	compiler/machines/alpha/lapopt.scm (1.3),
	compiler/machines/alpha/machin.scm (1.9),
	compiler/machines/alpha/make.scm (1.5),
	compiler/machines/alpha/rgspcm.scm (1.3),
	compiler/machines/alpha/rules1.scm (1.5),
	compiler/machines/alpha/rules2.scm (1.4),
	compiler/machines/alpha/rules3.scm (1.11),
	compiler/machines/alpha/rules4.scm (1.5),
	compiler/machines/alpha/rulfix.scm (1.6),
	compiler/machines/alpha/rulflo.scm (1.7),
	compiler/machines/alpha/rulrew.scm (1.4),
	compiler/machines/bobcat/assmd.scm (1.40),
	compiler/machines/bobcat/coerce.scm (1.12),
	compiler/machines/bobcat/compiler.cbf (1.4),
	compiler/machines/bobcat/compiler.pkg (1.55),
	compiler/machines/bobcat/compiler.sf (1.23),
	compiler/machines/bobcat/dassm1.scm (4.23),
	compiler/machines/bobcat/dassm2.scm (4.26),
	compiler/machines/bobcat/dassm3.scm (4.10),
	compiler/machines/bobcat/decls.scm (4.40),
	compiler/machines/bobcat/flinstr1.scm (1.5),
	compiler/machines/bobcat/flinstr2.scm (1.5),
	compiler/machines/bobcat/inerly.scm (1.12),
	compiler/machines/bobcat/insmac.scm (1.133),
	compiler/machines/bobcat/instr1.scm (1.69),
	compiler/machines/bobcat/instr2.scm (1.22),
	compiler/machines/bobcat/instr3.scm (1.21),
	compiler/machines/bobcat/instr4.scm (1.7),
	compiler/machines/bobcat/insutl.scm (1.10),
	compiler/machines/bobcat/lapgen.scm (4.54),
	compiler/machines/bobcat/lapopt.scm (1.3),
	compiler/machines/bobcat/machin.scm (4.35),
	compiler/machines/bobcat/make.scm-68020 (4.90),
	compiler/machines/bobcat/make.scm-68040 (4.91),
	compiler/machines/bobcat/mc68ktgl.scm (1.4),
	compiler/machines/bobcat/rgspcm.scm (4.4),
	compiler/machines/bobcat/rules1.scm (4.40),
	compiler/machines/bobcat/rules2.scm (4.16),
	compiler/machines/bobcat/rules3.scm (4.44),
	compiler/machines/bobcat/rules4.scm (4.16),
	compiler/machines/bobcat/rulrew.scm (1.8),
	compiler/machines/i386/assmd.scm (1.7),
	compiler/machines/i386/coerce.scm (1.4),
	compiler/machines/i386/compiler.cbf (1.5),
	compiler/machines/i386/compiler.pkg (1.30),
	compiler/machines/i386/compiler.sf (1.19),
	compiler/machines/i386/dassm1.scm (1.14),
	compiler/machines/i386/dassm2.scm (1.13),
	compiler/machines/i386/dassm3.scm (1.11),
	compiler/machines/i386/decls.scm (1.12),
	compiler/machines/i386/inerly.scm (1.8),
	compiler/machines/i386/insmac.scm (1.18),
	compiler/machines/i386/instr1.scm (1.17),
	compiler/machines/i386/instr2.scm (1.11),
	compiler/machines/i386/instrf.scm (1.19),
	compiler/machines/i386/insutl.scm (1.12),
	compiler/machines/i386/lapgen.scm (1.32),
	compiler/machines/i386/lapopt.scm (1.7),
	compiler/machines/i386/machin.scm (1.20),
	compiler/machines/i386/make.scm (1.7),
	compiler/machines/i386/pc-make.scm (1.3),
	compiler/machines/i386/rgspcm.scm (1.5),
	compiler/machines/i386/rules1.scm (1.20),
	compiler/machines/i386/rules2.scm (1.10),
	compiler/machines/i386/rules3.scm (1.39),
	compiler/machines/i386/rules4.scm (1.9),
	compiler/machines/i386/rulfix.scm (1.35),
	compiler/machines/i386/rulflo.scm (1.26),
	compiler/machines/i386/rulrew.scm (1.15),
	compiler/machines/mips/assmd.scm (1.6),
	compiler/machines/mips/coerce.scm (1.3),
	compiler/machines/mips/compiler.cbf (1.4),
	compiler/machines/mips/compiler.pkg (1.25),
	compiler/machines/mips/compiler.sf-big (1.13),
	compiler/machines/mips/compiler.sf-little (1.13),
	compiler/machines/mips/dassm1.scm (1.8),
	compiler/machines/mips/dassm2.scm (1.8),
	compiler/machines/mips/dassm3.scm (1.5),
	compiler/machines/mips/decls.scm (1.13),
	compiler/machines/mips/inerly.scm (1.7),
	compiler/machines/mips/insmac.scm (1.7),
	compiler/machines/mips/instr1.scm (1.10),
	compiler/machines/mips/instr2a.scm (1.8),
	compiler/machines/mips/instr2b.scm (1.7),
	compiler/machines/mips/instr3.scm (1.6),
	compiler/machines/mips/lapgen.scm (1.19),
	compiler/machines/mips/lapopt.scm (1.3),
	compiler/machines/mips/machin.scm (1.16),
	compiler/machines/mips/make.scm-big (4.90),
	compiler/machines/mips/make.scm-little (4.90),
	compiler/machines/mips/mips.scm (1.5),
	compiler/machines/mips/rgspcm.scm (1.3),
	compiler/machines/mips/rules1.scm (1.8),
	compiler/machines/mips/rules2.scm (1.4),
	compiler/machines/mips/rules3.scm (1.21),
	compiler/machines/mips/rules4.scm (1.5),
	compiler/machines/mips/rulfix.scm (1.12),
	compiler/machines/mips/rulflo.scm (1.11),
	compiler/machines/mips/rulrew.scm (1.8),
	compiler/machines/sparc/assmd.scm (1.5),
	compiler/machines/sparc/cf.h-sparc (1.3),
	compiler/machines/sparc/cmpaux-sparc.m4 (1.3),
	compiler/machines/sparc/cmpint-sparc.h (1.3),
	compiler/machines/sparc/coerce.scm (1.3),
	compiler/machines/sparc/decls.scm (1.7),
	compiler/machines/sparc/inerly.scm (1.7),
	compiler/machines/sparc/insmac.scm (1.6),
	compiler/machines/sparc/instr1.scm (1.5),
	compiler/machines/sparc/instr2a.scm (1.5),
	compiler/machines/sparc/instr2b.scm (1.5),
	compiler/machines/sparc/instr3.scm (1.5),
	compiler/machines/sparc/lapgen.scm (1.6),
	compiler/machines/sparc/lapopt.scm (1.3),
	compiler/machines/sparc/machin.scm (1.4),
	compiler/machines/sparc/make.scm (1.4),
	compiler/machines/sparc/rgspcm.scm (1.3),
	compiler/machines/sparc/rules1.scm (1.3),
	compiler/machines/sparc/rules2.scm (1.3),
	compiler/machines/sparc/rules3.scm (1.5),
	compiler/machines/sparc/rules4.scm (1.3),
	compiler/machines/sparc/rulfix.scm (1.3),
	compiler/machines/sparc/rulflo.scm (1.5),
	compiler/machines/sparc/rulrew.scm (1.3),
	compiler/machines/spectrum/assmd.scm (1.34),
	compiler/machines/spectrum/coerce.scm (1.7),
	compiler/machines/spectrum/compiler.cbf (1.4),
	compiler/machines/spectrum/compiler.pkg (1.55),
	compiler/machines/spectrum/compiler.sf (1.23),
	compiler/machines/spectrum/dassm1.scm (4.23),
	compiler/machines/spectrum/dassm2.scm (4.24),
	compiler/machines/spectrum/dassm3.scm (1.4),
	compiler/machines/spectrum/decls.scm (4.38),
	compiler/machines/spectrum/inerly.scm (1.7),
	compiler/machines/spectrum/insmac.scm (1.7),
	compiler/machines/spectrum/instr1.scm (1.7),
	compiler/machines/spectrum/instr2.scm (1.12),
	compiler/machines/spectrum/instr3.scm (1.6),
	compiler/machines/spectrum/lapgen.scm (4.51),
	compiler/machines/spectrum/lapopt.scm (1.16),
	compiler/machines/spectrum/machin.scm (4.31),
	compiler/machines/spectrum/make.scm (4.91),
	compiler/machines/spectrum/rgspcm.scm (4.5),
	compiler/machines/spectrum/rules1.scm (4.37),
	compiler/machines/spectrum/rules2.scm (4.16),
	compiler/machines/spectrum/rules3.scm (4.45),
	compiler/machines/spectrum/rules4.scm (4.14),
	compiler/machines/spectrum/rulfix.scm (4.51),
	compiler/machines/spectrum/rulflo.scm (4.43),
	compiler/machines/spectrum/rulrew.scm (1.14),
	compiler/machines/vax/assmd.scm (4.10),
	compiler/machines/vax/coerce.scm (1.6),
	compiler/machines/vax/compiler.cbf (1.7),
	compiler/machines/vax/compiler.pkg (1.27),
	compiler/machines/vax/compiler.sf (1.14),
	compiler/machines/vax/dassm1.scm (4.10),
	compiler/machines/vax/dassm2.scm (4.16),
	compiler/machines/vax/dassm3.scm (1.5),
	compiler/machines/vax/decls.scm (4.16),
	compiler/machines/vax/dsyn.scm (1.13),
	compiler/machines/vax/inerly.scm (1.11),
	compiler/machines/vax/insmac.scm (1.18),
	compiler/machines/vax/instr1.scm (1.11),
	compiler/machines/vax/instr2.scm (1.12),
	compiler/machines/vax/instr3.scm (1.15),
	compiler/machines/vax/insutl.scm (4.5),
	compiler/machines/vax/lapgen.scm (4.19),
	compiler/machines/vax/lapopt.scm (1.3),
	compiler/machines/vax/machin.scm (4.14),
	compiler/machines/vax/make.scm (4.90),
	compiler/machines/vax/rgspcm.scm (4.4),
	compiler/machines/vax/rules1.scm (4.9),
	compiler/machines/vax/rules2.scm (4.6),
	compiler/machines/vax/rules3.scm (4.15),
	compiler/machines/vax/rules4.scm (4.6),
	compiler/machines/vax/rulfix.scm (1.9),
	compiler/machines/vax/rulrew.scm (1.4), compiler/rtlbase/regset.scm
	(1.5), compiler/rtlbase/rgraph.scm (4.9),
	compiler/rtlbase/rtlcfg.scm (4.11), compiler/rtlbase/rtlcon.scm
	(4.31), compiler/rtlbase/rtlexp.scm (4.21),
	compiler/rtlbase/rtline.scm (4.12), compiler/rtlbase/rtlobj.scm
	(4.13), compiler/rtlbase/rtlreg.scm (4.10),
	compiler/rtlbase/rtlty1.scm (4.24), compiler/rtlbase/rtlty2.scm
	(4.14), compiler/rtlbase/valclass.scm (1.6),
	compiler/rtlgen/fndblk.scm (4.13), compiler/rtlgen/fndvar.scm
	(1.8), compiler/rtlgen/opncod.scm (4.71),
	compiler/rtlgen/rgcomb.scm (4.22), compiler/rtlgen/rgproc.scm
	(4.15), compiler/rtlgen/rgretn.scm (4.15),
	compiler/rtlgen/rgrval.scm (4.24), compiler/rtlgen/rgstmt.scm
	(4.18), compiler/rtlgen/rtlgen.scm (4.31),
	compiler/rtlopt/ralloc.scm (1.19), compiler/rtlopt/rcompr.scm
	(1.16), compiler/rtlopt/rcse1.scm (4.25), compiler/rtlopt/rcse2.scm
	(4.15), compiler/rtlopt/rcseep.scm (4.8),
	compiler/rtlopt/rcseht.scm (4.14), compiler/rtlopt/rcserq.scm
	(4.8), compiler/rtlopt/rcsesr.scm (4.5), compiler/rtlopt/rdebug.scm
	(1.5), compiler/rtlopt/rdflow.scm (1.5), compiler/rtlopt/rerite.scm
	(1.5), compiler/rtlopt/rinvex.scm (1.11), compiler/rtlopt/rlife.scm
	(1.62), compiler/rtlopt/rtlcsm.scm (1.3), cref/Makefile.in (1.3),
	cref/anfile.scm (1.8), cref/conpkg.scm (1.15), cref/cref.cbf (1.4),
	cref/cref.pkg (1.11), cref/cref.sf (1.16), cref/forpkg.scm (1.11),
	cref/make.scm (1.26), cref/mset.scm (1.3), cref/object.scm (1.15),
	cref/redpkg.scm (1.27), cref/toplev.scm (1.19), cref/triv.pkg
	(1.8), edwin/Clean.sh (1.6), edwin/Makefile.in (1.5),
	edwin/abbrev.scm (1.7), edwin/ansi.scm (1.9), edwin/argred.scm
	(1.34), edwin/artdebug.scm (1.31), edwin/autold.scm (1.63),
	edwin/autosv.scm (1.35), edwin/basic.scm (1.141), edwin/bios.scm
	(1.6), edwin/bufcom.scm (1.108), edwin/buffer.scm (1.188),
	edwin/buffrm.scm (1.60), edwin/bufinp.scm (1.9), edwin/bufmnu.scm
	(1.132), edwin/bufout.scm (1.14), edwin/bufset.scm (1.13),
	edwin/bufwfs.scm (1.21), edwin/bufwin.scm (1.311), edwin/bufwiu.scm
	(1.35), edwin/bufwmc.scm (1.19), edwin/c-mode.scm (1.61),
	edwin/calias.scm (1.26), edwin/cinden.scm (1.21), edwin/class.scm
	(1.73), edwin/clscon.scm (1.9), edwin/clsmac.scm (1.11),
	edwin/comatch.scm (1.5), edwin/comhst.scm (1.8), edwin/comint.scm
	(1.31), edwin/comman.scm (1.87), edwin/compile.scm (1.15),
	edwin/comred.scm (1.124), edwin/comtab.scm (1.73), edwin/comwin.scm
	(1.148), edwin/curren.scm (1.145), edwin/dabbrev.scm (1.5),
	edwin/debian-changelog.scm (1.7), edwin/debug.scm (1.63),
	edwin/debuge.scm (1.55), edwin/decls.scm (1.72), edwin/dired.scm
	(1.191), edwin/diros2.scm (1.5), edwin/dirunx.scm (1.14),
	edwin/dirw32.scm (1.5), edwin/display.scm (1.8), edwin/docstr.scm
	(1.6), edwin/dos.scm (1.54), edwin/doscom.scm (1.4),
	edwin/dosfile.scm (1.39), edwin/dosproc.scm (1.10),
	edwin/dosshell.scm (1.6), edwin/ed-ffi.scm (1.53), edwin/editor.scm
	(1.254), edwin/edtfrm.scm (1.92), edwin/edtstr.scm (1.24),
	edwin/edwin.cbf (1.5), edwin/edwin.ldr (1.74), edwin/edwin.pkg
	(1.282), edwin/edwin.sf (1.30), edwin/evlcom.scm (1.66),
	edwin/eystep.scm (1.7), edwin/filcom.scm (1.224), edwin/fileio.scm
	(1.159), edwin/fill.scm (1.71), edwin/grpops.scm (1.29),
	edwin/hlpcom.scm (1.124), edwin/htmlmode.scm (1.6), edwin/image.scm
	(1.138), edwin/info.scm (1.138), edwin/input.scm (1.103),
	edwin/intmod.scm (1.117), edwin/iserch.scm (1.24),
	edwin/javamode.scm (1.12), edwin/key-w32.scm (1.4),
	edwin/key-x11.scm (1.6), edwin/keymap.scm (1.18),
	edwin/keyparse.scm (1.4), edwin/kilcom.scm (1.73), edwin/kmacro.scm
	(1.45), edwin/lincom.scm (1.125), edwin/linden.scm (1.127),
	edwin/loadef.scm (1.46), edwin/lspcom.scm (1.161), edwin/macros.scm
	(1.73), edwin/make.scm (3.116), edwin/malias.scm (1.6),
	edwin/manual.scm (1.17), edwin/midas.scm (1.23), edwin/modefs.scm
	(1.161), edwin/modes.scm (1.36), edwin/modlin.scm (1.24),
	edwin/modwin.scm (1.43), edwin/motcom.scm (1.48), edwin/motion.scm
	(1.89), edwin/mousecom.scm (1.6), edwin/nntp.scm (1.25),
	edwin/notify.scm (1.21), edwin/nvector.scm (1.9), edwin/occur.scm
	(1.6), edwin/os2.scm (1.52), edwin/os2com.scm (1.6),
	edwin/os2term.scm (1.23), edwin/outline.scm (1.10),
	edwin/pasmod.scm (1.52), edwin/paths.scm (1.17), edwin/print.scm
	(1.21), edwin/process.scm (1.62), edwin/prompt.scm (1.199),
	edwin/pwedit.scm (1.9), edwin/pwparse.scm (1.2), edwin/rcsparse.scm
	(1.5), edwin/reccom.scm (1.15), edwin/regcom.scm (1.23),
	edwin/regexp.scm (1.79), edwin/regops.scm (1.89), edwin/rename.scm
	(1.9), edwin/replaz.scm (1.81), edwin/rfc822.scm (3.4),
	edwin/ring.scm (1.13), edwin/rmail.scm (1.73), edwin/rmailsrt.scm
	(1.14), edwin/rmailsum.scm (1.37), edwin/schmod.scm (1.60),
	edwin/scrcom.scm (1.9), edwin/screen.scm (1.119), edwin/search.scm
	(1.156), edwin/sendmail.scm (1.79), edwin/sercom.scm (1.66),
	edwin/shell.scm (1.25), edwin/simple.scm (1.55), edwin/snr.scm
	(1.62), edwin/sort.scm (1.9), edwin/strpad.scm (1.9),
	edwin/strtab.scm (1.48), edwin/struct.scm (1.96), edwin/syntax.scm
	(1.90), edwin/tagutl.scm (1.60), edwin/techinfo.scm (1.7),
	edwin/telnet.scm (1.16), edwin/termcap.scm (1.8), edwin/texcom.scm
	(1.47), edwin/things.scm (1.89), edwin/tparse.scm (1.76),
	edwin/tterm.scm (1.35), edwin/tximod.scm (1.26), edwin/txtprp.scm
	(1.24), edwin/undo.scm (1.60), edwin/unix.scm (1.111),
	edwin/utils.scm (1.52), edwin/utlwin.scm (1.61), edwin/vc.scm
	(1.80), edwin/verilog.scm (1.10), edwin/vhdl.scm (1.10),
	edwin/webster.scm (1.6), edwin/win32.scm (1.16), edwin/win32com.scm
	(1.9), edwin/wincom.scm (1.133), edwin/window.scm (1.161),
	edwin/winout.scm (1.15), edwin/winren.scm (1.7), edwin/xcom.scm
	(1.22), edwin/xform.scm (1.13), edwin/xmodef.scm (1.4),
	edwin/xterm.scm (1.70), etc/Clean.sh (1.7), etc/Setup.sh (1.7),
	etc/Stage.sh (1.4), etc/Tags.sh (1.2), etc/build-bands.sh (1.2),
	etc/compile.scm (1.5), etc/compile.sh (1.3), etc/functions.sh
	(1.2), etc/optiondb.scm (1.10), imail/Makefile.in (1.4),
	imail/compile.scm (1.17), imail/ed-ffi.scm (1.19),
	imail/imail-browser.scm (1.9), imail/imail-core.scm (1.147),
	imail/imail-file.scm (1.82), imail/imail-imap.scm (1.196),
	imail/imail-rmail.scm (1.71), imail/imail-summary.scm (1.49),
	imail/imail-top.scm (1.284), imail/imail-umail.scm (1.52),
	imail/imail-util.scm (1.40), imail/imail.pkg (1.97),
	imail/imap-response.scm (1.46), imail/imap-syntax.scm (1.19),
	imail/load.scm (1.40), imail/print.sh (1.10), imail/url.scm (1.12),
	microcode/Clean.sh (1.2), microcode/Setup.sh (1.6),
	microcode/acconfig.h (11.5), microcode/array.c (9.47),
	microcode/array.h (9.37), microcode/artutl.c (1.17),
	microcode/avltree.c (1.6), microcode/avltree.h (1.5),
	microcode/bchdmp.c (9.91), microcode/bchdrn.c (1.11),
	microcode/bchdrn.h (1.11), microcode/bchgcc.h (9.64),
	microcode/bchgcl.c (9.55), microcode/bchmmg.c (9.102),
	microcode/bchpur.c (9.73), microcode/bchutl.c (1.12),
	microcode/bignmint.h (1.7), microcode/bignum.c (9.50),
	microcode/bignum.h (9.32), microcode/bigprm.c (1.7),
	microcode/bintopsb.c (9.75), microcode/bitstr.c (9.64),
	microcode/bitstr.h (1.11), microcode/bkpt.c (9.33),
	microcode/bkpt.h (9.35), microcode/bltdef.h (1.5), microcode/boot.c
	(9.109), microcode/breakup.c (9.26), microcode/char.c (9.34),
	microcode/cmpgc.h (1.33), microcode/cmpint.c (1.99),
	microcode/cmpint.h (10.10), microcode/cmptype.h (1.4),
	microcode/comlin.c (1.10), microcode/comlin.h (1.8),
	microcode/compinit.c (1.5), microcode/comutl.c (1.32),
	microcode/configure.in (11.18), microcode/confshared.h (11.4),
	microcode/const.h (9.47), microcode/copyrigh.c (1.4),
	microcode/critsec.h (1.5), microcode/daemon.c (9.32),
	microcode/debug.c (9.56), microcode/default.h (9.46),
	microcode/dfloat.c (1.7), microcode/dmpwrld.c (9.42),
	microcode/dstack.h (1.10), microcode/dump.c (9.41),
	microcode/edwin.h (1.10), microcode/error.c (1.8),
	microcode/errors.h (9.45), microcode/extern.c (9.39),
	microcode/extern.h (9.63), microcode/fasdump.c (9.67),
	microcode/fasl.h (9.39), microcode/fasload.c (9.95),
	microcode/fft.c (9.34), microcode/fhooks.c (9.36),
	microcode/findprim.c (9.56), microcode/fixnum.c (9.45),
	microcode/fixobj.h (9.39), microcode/flonum.c (9.44),
	microcode/foreign.c (1.4), microcode/foreign.h (1.4),
	microcode/future.c (9.30), microcode/futures.h (9.31),
	microcode/gc.h (9.35), microcode/gccode.h (9.59),
	microcode/gcloop.c (9.50), microcode/gctype.c (9.35),
	microcode/generic.c (9.40), microcode/gpio.c (1.12),
	microcode/history.h (9.32), microcode/hooks.c (9.64),
	microcode/hppacach.c (1.14), microcode/hppacach.h (1.7),
	microcode/hppanwca.c (1.6), microcode/hunk.c (9.30),
	microcode/image.c (9.35), microcode/image.h (9.26),
	microcode/intercom.c (9.34), microcode/intern.c (9.58),
	microcode/interp.c (9.97), microcode/interp.h (9.49),
	microcode/intext.c (1.6), microcode/intext.h (1.6),
	microcode/intprm.c (1.10), microcode/intrpt.h (1.22),
	microcode/liarc.h (1.20), microcode/list.c (9.33), microcode/load.c
	(9.40), microcode/locks.h (9.27), microcode/lookprm.c (1.20),
	microcode/lookup.c (9.69), microcode/lookup.h (9.56),
	microcode/memmag.c (9.70), microcode/memmag.h (1.9),
	microcode/missing.c (9.34), microcode/mul.c (9.36), microcode/nt.h
	(1.10), microcode/ntapi.h (1.14), microcode/ntasutl.asm (1.7),
	microcode/ntenv.c (1.20), microcode/ntfile.c (1.14),
	microcode/ntfs.c (1.29), microcode/ntfs.h (1.6), microcode/ntgui.c
	(1.29), microcode/ntgui.h (1.9), microcode/ntio.c (1.25),
	microcode/ntio.h (1.12), microcode/ntproc.c (1.9),
	microcode/ntproc.h (1.3), microcode/ntscmlib.h (1.10),
	microcode/ntscreen.c (1.48), microcode/ntscreen.h (1.21),
	microcode/ntsig.c (1.23), microcode/ntsock.c (1.14),
	microcode/ntsys.c (1.10), microcode/ntsys.h (1.9),
	microcode/ntterm.h (1.5), microcode/nttop.c (1.31),
	microcode/nttop.h (1.5), microcode/nttrap.c (1.24),
	microcode/nttrap.h (1.6), microcode/nttterm.c (1.5),
	microcode/nttty.c (1.9), microcode/object.h (9.52),
	microcode/option.c (1.57), microcode/option.h (1.13),
	microcode/os.h (1.8), microcode/os2.c (1.9), microcode/os2.h (1.9),
	microcode/os2api.h (1.13), microcode/os2conio.c (1.11),
	microcode/os2cthrd.c (1.11), microcode/os2cthrd.h (1.8),
	microcode/os2ctty.c (1.5), microcode/os2ctty.h (1.3),
	microcode/os2env.c (1.15), microcode/os2file.c (1.4),
	microcode/os2fs.c (1.15), microcode/os2io.c (1.9),
	microcode/os2io.h (1.5), microcode/os2msg.c (1.15),
	microcode/os2msg.h (1.16), microcode/os2pipe.c (1.9),
	microcode/os2pm.c (1.34), microcode/os2pm.h (1.14),
	microcode/os2pm.scm (1.12), microcode/os2pmcon.c (1.27),
	microcode/os2pmcon.h (1.5), microcode/os2pmcon.rc (1.6),
	microcode/os2proc.c (1.8), microcode/os2proc.h (1.3),
	microcode/os2sock.c (1.19), microcode/os2term.c (1.5),
	microcode/os2thrd.c (1.7), microcode/os2thrd.h (1.5),
	microcode/os2top.c (1.22), microcode/os2tty.c (1.3),
	microcode/os2xcpt.c (1.14), microcode/osctty.h (1.5),
	microcode/osenv.h (1.11), microcode/osfile.h (1.4),
	microcode/osfs.h (1.11), microcode/osio.h (1.16),
	microcode/osproc.h (1.11), microcode/ospty.h (1.5),
	microcode/osscheme.c (1.13), microcode/osscheme.h (1.12),
	microcode/ossig.h (1.5), microcode/osterm.h (1.12),
	microcode/ostop.h (1.6), microcode/ostty.c (1.5), microcode/ostty.h
	(1.6), microcode/outf.c (1.13), microcode/outf.h (1.6),
	microcode/ppband.c (9.51), microcode/prbfish.c (1.13),
	microcode/prename.h (1.10), microcode/prgdbm.c (1.4),
	microcode/prim.c (9.40), microcode/prim.h (9.48), microcode/prims.h
	(9.51), microcode/primutl.c (9.75), microcode/prmcon.c (1.6),
	microcode/prmcon.h (1.5), microcode/prmcrypt.c (1.4),
	microcode/prmd5.c (1.8), microcode/prmhash.c (11.5),
	microcode/prntenv.c (1.11), microcode/prntfs.c (1.18),
	microcode/prntio.c (1.14), microcode/pros2fs.c (1.19),
	microcode/pros2io.c (1.10), microcode/pros2pm.c (1.22),
	microcode/prosenv.c (1.18), microcode/prosfile.c (1.10),
	microcode/prosfs.c (1.17), microcode/prosio.c (1.19),
	microcode/prosproc.c (1.20), microcode/prospty.c (1.5),
	microcode/prosterm.c (1.17), microcode/prostty.c (1.8),
	microcode/pruxdld.c (1.15), microcode/pruxenv.c (1.20),
	microcode/pruxfs.c (9.57), microcode/pruxio.c (1.9),
	microcode/pruxsock.c (1.21), microcode/psbmap.h (9.46),
	microcode/psbtobin.c (9.60), microcode/ptrvec.c (1.4),
	microcode/purify.c (9.64), microcode/purutl.c (9.53),
	microcode/regex.c (1.21), microcode/regex.h (1.8),
	microcode/returns.h (9.44), microcode/rgxprim.c (1.14),
	microcode/sample.c (9.27), microcode/scheme.h (9.40),
	microcode/scode.h (9.28), microcode/sdata.h (9.41),
	microcode/sgraph.h (1.8), microcode/sgraph_a.c (1.17),
	microcode/sgx.c (1.10), microcode/sgx11.c (1.5), microcode/stack.h
	(9.43), microcode/starbase.c (1.8), microcode/starbasx.c (1.7),
	microcode/step.c (9.37), microcode/storage.c (9.59),
	microcode/string.c (9.48), microcode/syntax.c (1.26),
	microcode/syntax.h (1.11), microcode/syscall.h (1.14),
	microcode/sysprim.c (9.49), microcode/term.c (1.17),
	microcode/transact.c (1.6), microcode/trap.h (9.50),
	microcode/tterm.c (1.15), microcode/types.h (9.39),
	microcode/usrdef.h (9.45), microcode/utabmd.scm (9.85),
	microcode/utabmd.sh (1.3), microcode/utils.c (9.84), microcode/ux.c
	(1.22), microcode/ux.h (1.75), microcode/uxctty.c (1.15),
	microcode/uxenv.c (1.22), microcode/uxfile.c (1.11),
	microcode/uxfs.c (1.23), microcode/uxio.c (1.47), microcode/uxio.h
	(1.6), microcode/uxproc.c (1.28), microcode/uxproc.h (1.7),
	microcode/uxselect.h (1.7), microcode/uxsig.c (1.38),
	microcode/uxsig.h (1.7), microcode/uxsock.c (1.29),
	microcode/uxsock.h (1.11), microcode/uxterm.c (1.29),
	microcode/uxterm.h (1.6), microcode/uxtop.c (1.26),
	microcode/uxtop.h (1.4), microcode/uxtrap.c (1.36),
	microcode/uxtrap.h (1.31), microcode/uxtty.c (1.11),
	microcode/uxutil.c (1.8), microcode/uxutil.h (1.4),
	microcode/uxyp.c (1.4), microcode/vector.c (9.40),
	microcode/version.h (11.186), microcode/wabbit.c (1.10),
	microcode/wind.c (1.7), microcode/winder.h (9.27),
	microcode/wsize.c (9.35), microcode/x11.h (1.18),
	microcode/x11base.c (1.78), microcode/x11color.c (1.6),
	microcode/x11graph.c (1.42), microcode/x11term.c (1.28),
	microcode/xdebug.c (9.36), microcode/zones.h (9.27),
	microcode/cmpauxmd/asmcvt.c (1.3), microcode/cmpauxmd/c.c (1.14),
	microcode/cmpauxmd/hppa.m4 (1.41), microcode/cmpauxmd/i386.m4
	(1.60), microcode/cmpauxmd/m4-dos (1.3),
	microcode/cmpauxmd/makefile (1.8), microcode/cmpauxmd/mc68k.m4
	(1.29), microcode/cmpauxmd/mips.m4 (1.17),
	microcode/cmpauxmd/vax.m4 (1.6), microcode/cmpintmd/c.h (1.8),
	microcode/cmpintmd/hppa.h (1.53), microcode/cmpintmd/i386.h (1.36),
	microcode/cmpintmd/mc68k.h (1.37), microcode/cmpintmd/mips.h
	(1.24), microcode/cmpintmd/vax.h (1.10),
	microcode/makegen/Makefile.in.in (1.21),
	microcode/makegen/files-core.scm (1.3),
	microcode/makegen/files-gc-bch.scm (1.3),
	microcode/makegen/files-gc-std.scm (1.3),
	microcode/makegen/files-optional.scm (1.4),
	microcode/makegen/files-os-prim.scm (1.3),
	microcode/makegen/files-other.scm (1.3),
	microcode/makegen/files-unix.scm (1.3), microcode/makegen/m4.sh
	(1.3), microcode/makegen/makegen.scm (1.4),
	microcode/makegen/makeinit.sh (1.9), microcode/ntutl/bch-p-nt.lst
	(1.7), microcode/ntutl/config.h (1.5), microcode/ntutl/makefile
	(1.29), microcode/ntutl/makefile.wcc (1.18),
	microcode/ntutl/scheme16.c (1.12), microcode/ntutl/scheme31.c
	(1.11), microcode/ntutl/scheme32.c (1.18),
	microcode/ntutl/scm-p-nt.lst (1.7), microcode/os2utl/config.h
	(1.5), microcode/os2utl/makefile (1.16),
	microcode/os2utl/makefile.cmn (1.14), microcode/os2utl/makefile.emx
	(1.10), microcode/os2utl/makefile.gcc (1.8),
	microcode/os2utl/makefile.vac (1.8), microcode/os2utl/makefile.wcc
	(1.9), microcode/os2utl/mkos2pm.scm (1.3), pcsample/load.scm (1.7),
	pcsample/pcs.cbf (1.4), pcsample/pcs.pkg (1.4), pcsample/pcs.sf
	(1.4), pcsample/pcsample.c (1.7), pcsample/pcsample.scm (1.4),
	pcsample/pcsboot.scm (1.3), pcsample/pcscobl.c (1.3),
	pcsample/pcscobl.scm (1.3), pcsample/pcsdisp.scm (1.4),
	pcsample/pcsdld.c (1.6), pcsample/pcsintrp.scm (1.3),
	pcsample/pcsiproc.c (1.3), pcsample/pcsiproc.scm (1.3),
	pcsample/pribinut.scm (1.3), rcs/compile.scm (1.5), rcs/format.scm
	(1.4), rcs/load.scm (1.4), rcs/logmer.scm (1.28), rcs/mklogs.scm
	(1.23), rcs/nparse.scm (1.4), rcs/object.scm (1.6), rcs/rcs.pkg
	(1.8), runtime/Makefile.in (1.7), runtime/advice.scm (14.18),
	runtime/apply.scm (1.6), runtime/apropos.scm (1.6),
	runtime/arith.scm (1.51), runtime/bitstr.scm (14.5),
	runtime/blowfish.scm (1.25), runtime/boole.scm (14.5),
	runtime/boot.scm (14.14), runtime/char.scm (14.14),
	runtime/chrset.scm (14.17), runtime/chrsyn.scm (1.6),
	runtime/codwlk.scm (14.5), runtime/conpar.scm (14.40),
	runtime/contin.scm (14.11), runtime/cpoint.scm (14.6),
	runtime/cpress.scm (1.13), runtime/crypto.scm (14.15),
	runtime/datime.scm (14.34), runtime/dbgcmd.scm (14.17),
	runtime/dbgutl.scm (14.22), runtime/debug.scm (14.44),
	runtime/defstr.scm (14.41), runtime/dosdir.scm (1.11),
	runtime/dosprm.scm (1.44), runtime/dosproc.scm (1.4),
	runtime/dospth.scm (1.42), runtime/dragon4.scm (1.16),
	runtime/ed-ffi.scm (1.33), runtime/emacs.scm (14.30),
	runtime/equals.scm (14.10), runtime/error.scm (14.58),
	runtime/events.scm (14.6), runtime/fileio.scm (1.20),
	runtime/fixart.scm (1.9), runtime/format.scm (14.7),
	runtime/framex.scm (14.20), runtime/gc.scm (14.17),
	runtime/gcdemn.scm (14.9), runtime/gcfinal.scm (14.4),
	runtime/gcnote.scm (14.15), runtime/gcstat.scm (14.7),
	runtime/gdatab.scm (14.7), runtime/gdbm.scm (1.4),
	runtime/gencache.scm (1.3), runtime/geneqht.scm (1.3),
	runtime/generic.scm (1.3), runtime/genio.scm (1.16),
	runtime/genmult.scm (1.3), runtime/gensym.scm (14.7),
	runtime/gentag.scm (1.3), runtime/global.scm (14.58),
	runtime/graphics.scm (1.22), runtime/hash.scm (14.7),
	runtime/hashtb.scm (1.24), runtime/histry.scm (14.7),
	runtime/infstr.scm (1.16), runtime/infutl.scm (1.68),
	runtime/input.scm (14.21), runtime/intrpt.scm (14.23),
	runtime/io.scm (14.65), runtime/krypt.scm (1.13),
	runtime/kryptdum.scm (1.3), runtime/lambda.scm (14.18),
	runtime/lambdx.scm (14.11), runtime/list.scm (14.31),
	runtime/load.scm (14.62), runtime/make.scm (14.87),
	runtime/mime-codec.scm (14.12), runtime/mit-syntax.scm (14.9),
	runtime/msort.scm (14.10), runtime/ntdir.scm (1.3),
	runtime/ntprm.scm (1.38), runtime/numint.scm (1.7),
	runtime/numpar.scm (14.18), runtime/option.scm (14.42),
	runtime/optiondb.scm (1.15), runtime/ordvec.scm (1.3),
	runtime/os2ctype.scm (1.4), runtime/os2dir.scm (1.6),
	runtime/os2graph.scm (1.20), runtime/os2prm.scm (1.49),
	runtime/os2winp.scm (1.19), runtime/output.scm (14.24),
	runtime/packag.scm (14.41), runtime/parse.scm (14.38),
	runtime/parser-buffer.scm (1.5), runtime/partab.scm (14.6),
	runtime/pathnm.scm (14.35), runtime/poplat.scm (14.5),
	runtime/port.scm (1.24), runtime/pp.scm (14.44), runtime/prgcop.scm
	(1.8), runtime/process.scm (1.27), runtime/prop1d.scm (14.7),
	runtime/prop2d.scm (14.4), runtime/qsort.scm (14.6),
	runtime/queue.scm (14.6), runtime/random.scm (14.25),
	runtime/rbtree.scm (1.8), runtime/record.scm (1.30),
	runtime/recslot.scm (1.8), runtime/regexp.scm (1.10),
	runtime/rep.scm (14.58), runtime/rexp.scm (1.19),
	runtime/rgxcmp.scm (1.122), runtime/runtime.cbf (1.4),
	runtime/runtime.pkg (14.415), runtime/runtime.sf (14.18),
	runtime/savres.scm (14.35), runtime/scan.scm (14.7),
	runtime/scode.scm (14.18), runtime/scomb.scm (14.21),
	runtime/sdata.scm (14.4), runtime/sfile.scm (14.33),
	runtime/site.scm.dos (1.15), runtime/site.scm.unix (1.16),
	runtime/socket.scm (1.19), runtime/starbase.scm (1.18),
	runtime/stream.scm (14.13), runtime/string.scm (14.48),
	runtime/strnin.scm (14.9), runtime/strott.scm (14.10),
	runtime/strout.scm (14.16), runtime/symbol.scm (1.8),
	runtime/syncproc.scm (1.9), runtime/syntactic-closures.scm (14.11),
	runtime/syntax-check.scm (14.3), runtime/syntax-output.scm (14.6),
	runtime/syntax-rules.scm (14.2), runtime/syntax-transforms.scm
	(14.2), runtime/sysclk.scm (14.5), runtime/sysmac.scm (14.11),
	runtime/system.scm (14.14), runtime/thread.scm (1.36),
	runtime/tscript.scm (1.5), runtime/ttyio.scm (1.13),
	runtime/tvector.scm (1.3), runtime/udata.scm (14.22),
	runtime/uenvir.scm (14.58), runtime/uerror.scm (14.51),
	runtime/unicode.scm (1.3), runtime/unpars.scm (14.51),
	runtime/unsyn.scm (14.29), runtime/unxdir.scm (14.13),
	runtime/unxprm.scm (1.63), runtime/unxpth.scm (14.27),
	runtime/uproc.scm (1.12), runtime/urtrap.scm (14.14),
	runtime/usrint.scm (1.18), runtime/utabs.scm (14.15),
	runtime/vector.scm (14.22), runtime/version.scm (14.210),
	runtime/where.scm (14.12), runtime/wind.scm (14.7),
	runtime/wrkdir.scm (14.9), runtime/wttree.scm (1.11),
	runtime/x11graph.scm (1.53), runtime/xeval.scm (1.11),
	runtime/ystep.scm (1.4), runtime-check/Clean.sh (1.4),
	runtime-check/Setup.sh (1.6), runtime-check/runtime.cbf (1.2),
	sf/butils.scm (4.12), sf/cgen.scm (4.6), sf/chtype.scm (4.5),
	sf/copy.scm (4.7), sf/emodel.scm (4.5), sf/free.scm (4.5),
	sf/gconst.scm (4.28), sf/gimprt.scm (4.3), sf/lsets.scm (4.4),
	sf/make.scm (4.42), sf/object.scm (4.16), sf/pardec.scm (4.15),
	sf/pthmap.scm (4.6), sf/reduct.scm (4.11), sf/sf.cbf (1.4),
	sf/sf.pkg (4.18), sf/sf.sf (4.12), sf/subst.scm (4.18),
	sf/table.scm (4.6), sf/tables.scm (4.4), sf/toplev.scm (4.25),
	sf/usicon.scm (4.6), sf/usiexp.scm (4.42), sf/xform.scm (4.12),
	sicp/compat.scm (1.9), sicp/genenv.scm (1.4), sicp/graphics.scm
	(1.6), sicp/sbuild.scm (1.6), sicp/stream.scm (1.3),
	sicp/strmac.scm (1.4), sicp/studen.scm (1.12), sos/Makefile.in
	(1.4), sos/class.scm (1.13), sos/compile.scm (1.6), sos/ed-ffi.scm
	(1.4), sos/instance.scm (1.15), sos/load.scm (1.12), sos/macros.scm
	(1.15), sos/method.scm (1.12), sos/microbench.scm (1.3),
	sos/printer.scm (1.3), sos/slot.scm (1.8), sos/sos.pkg (1.12),
	star-parser/Makefile.in (1.3), star-parser/compile.scm (1.6),
	star-parser/ed-ffi.scm (1.6), star-parser/load.scm (1.13),
	star-parser/matcher.scm (1.30), star-parser/parser.pkg (1.19),
	star-parser/parser.scm (1.33), star-parser/shared.scm (1.24),
	star-parser/test-parser.scm (1.4), swat/scheme/swat.sf (1.5),
	wabbit/load.scm (1.4), wabbit/wabbit.cbf (1.3), wabbit/wabbit.pkg
	(1.3), wabbit/wabbit.scm (1.3), wabbit/wabbit.sf (1.5),
	win32/clipbrd.scm (1.6), win32/dib.scm (1.6), win32/ffimacro.scm
	(1.9), win32/graphics.scm (1.18), win32/make.scm (1.12),
	win32/module.scm (1.5), win32/protect.scm (1.4), win32/wf_user.scm
	(1.11), win32/win32.cbf (1.4), win32/win32.pkg (1.16),
	win32/win32.sf (1.10), win32/win_ffi.scm (1.10), win32/wingdi.scm
	(1.4), win32/winnt.scm (1.4), win32/winuser.scm (1.4),
	win32/wt_user.scm (1.7), win32/dibutils/dibutils.c (1.5),
	win32/dibutils/dibutils.def (1.4), win32/dibutils/dibutils.h (1.5),
	win32/dibutils/makefile.msc (1.5), win32/dibutils/makefile.wcc
	(1.5), xml/Makefile.in (1.3), xml/compile.scm (1.9), xml/ed-ffi.scm
	(1.5), xml/load.scm (1.6), xml/parser-macro.scm (1.5),
	xml/test-parser.scm (1.6), xml/xml-chars.scm (1.2),
	xml/xml-output.scm (1.2), xml/xml-parser.scm (1.12),
	xml/xml-struct.scm (1.6), xml/xml.pkg (1.10): Update license text
	to GNU standard.

2002-11-20 13:19  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/parse.scm (14.37.2.1): Beginning of rewriting the parser
	to cross-compile to a system in which the empty list is true.

2002-11-20 10:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/tterm.c (1.14): Load <termios.h> prior to <curses.h> as
	it is needed on solaris.

2002-11-19 11:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/uxfs.c (1.22): Use statfs only on linux and hp-ux
	systems.

2002-11-12 15:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* etc/usermap (1.1): Add usermap for use with cvs2cl.

2002-10-26 00:24  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: unix.scm (1.110), dosfile.scm (1.38): Add default modes
	for .inc and .xml files.

2002-10-22 22:04  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/version.h (11.185): Update version to reflect recent
	changes.

2002-10-22 22:03  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/boot.c (9.108): Rewrite loop in
	Prim_microcode_library_path to work around bug in IBM C compiler
	3.6.5.

2002-10-21 22:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: os2env.c (1.13), os2utl/config.h (1.4), os2env.c
	(1.14): Fix problem with newer version of IBM C compiler.

2002-10-21 11:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/infutl.scm (1.67): Add code to catch and ignore errors
	when loading uncompressed debugging information files.

2002-10-06 22:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/socket.scm (1.18): Add optional LINE-TRANSLATION argument
	to TCP-SERVER-CONNECTION-ACCEPT.

2002-09-30 22:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/lspcom.scm (1.160): Fix bug: callers of
	CURRENT-DEFINITION-START assume that the returned value is always a
	mark, but if there was no definition, it was returning #F.  (Thanks
	to Michael Vanier's TA.)

2002-09-06 00:03  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/process.scm (1.61): Don't initial M-x shell-command prompt
	history to most recent input.  Instead make it blank and let the
	user use M-p.

2002-09-05 11:49  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/interp.c (9.96): Fix typo -- can't put parentheses
	around compound statement.

2002-08-20 22:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: configure.in (11.17), ux.c (1.21), cmpauxmd/i386.m4
	(1.59): Add support for running under valgrind.

2002-08-16 12:58  Chris Hanson <cph@zurich.ai.mit.edu>

	* COPYING (1.3): Update exception statement to use FSF's wording.

2002-08-13 22:55  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/sort.scm (1.8): Fix bug in field-sorting commands: if there
	was no linear whitespace on the line, it failed to correctly detect
	the end of the field.

2002-08-12 14:03  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/debian-changelog.scm (1.6): Fix bug: must not signal error
	if only one entry in changelog and no "local variables:" at end.

2002-07-08 13:25  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/gcfinal.scm (14.3): Fix two bugs:  (1) Remove an item
	from the finalizer prior to running its finalization procedure. 
	(2) In REMOVE-ALL-FROM-GC-FINALIZER!, don't run the finalization
	procedure if the key object has been dropped.

2002-07-03 00:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: interp.h (9.48), interp.c (9.95), extern.h (9.62):
	Stylistic updates.

2002-07-02 22:36  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/interp.h (9.47): Stylistic updates.

2002-07-02 22:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: cmpint.c (1.98), intercom.c (9.33), liarc.h (1.19),
	nttrap.c (1.23), os2xcpt.c (1.13), osscheme.c (1.12), prim.h
	(9.47), prims.h (9.50), prmcon.c (1.5), utils.c (9.83), uxtrap.c
	(1.35): Eliminate `Regs' macro.

2002-07-02 16:51  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: cmpintmd/hppa.h (1.52), cmpauxmd/c.c (1.13):
	Eliminate the following macros:
	
		Env
		Val
		Expression
		Return
		Fetch_Expression
		Fetch_Env
		Fetch_Return
		Store_Expression
		Store_Env

2002-07-02 16:48  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: bchmmg.c (9.101), bchpur.c (9.72), bkpt.c (9.32),
	bkpt.h (9.34), boot.c (9.107), cmpint.c (1.97), cmpint.h (10.9),
	debug.c (9.55), dmpwrld.c (9.41), fasload.c (9.94), fhooks.c
	(9.35), futures.h (9.30), history.h (9.31), hooks.c (9.63),
	intercom.c (9.32), interp.c (9.94), interp.h (9.46), liarc.h
	(1.18), memmag.c (9.69), nttrap.c (1.22), os2xcpt.c (1.12), prims.h
	(9.49), prmcon.c (1.4), purify.c (9.63), returns.h (9.43), stack.h
	(9.42), step.c (9.36), term.c (1.16), utils.c (9.82), uxtrap.c
	(1.34): Eliminate the following macros:
	
		Env
		Val
		Expression
		Return
		Fetch_Expression
		Fetch_Env
		Fetch_Return
		Store_Expression
		Store_Env

2002-07-02 15:03  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: bchmmg.c (9.100), bchpur.c (9.71), fasload.c (9.93),
	history.h (9.30), hooks.c (9.62), interp.h (9.45), memmag.c (9.68),
	nttrap.c (1.21), os2xcpt.c (1.11), purify.c (9.62), stack.h (9.41),
	utils.c (9.81), uxtrap.c (1.33): Eliminate references to `History'.

2002-07-02 14:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: bchmmg.c (9.99), bkpt.c (9.31), boot.c (9.106),
	cmpint.c (1.96), cmpint.h (10.8), debug.c (9.54), default.h (9.45),
	fasload.c (9.92), hooks.c (9.61), interp.h (9.44), liarc.h (1.17),
	memmag.c (9.67), nttrap.c (1.20), os2xcpt.c (1.10), sdata.h (9.40),
	stack.h (9.40), step.c (9.35), sysprim.c (9.48), utils.c (9.80),
	uxtrap.c (1.32), xdebug.c (9.35): Eliminate references to
	Stack_Pointer.

2002-07-02 14:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: cmpauxmd/alpha.m4 (1.2), cmpauxmd/hppa.m4 (1.40),
	cmpauxmd/i386.m4 (1.58), cmpauxmd/mc68k.m4 (1.28), cmpauxmd/mips.m4
	(1.16), cmpauxmd/sun3.s (1.4), cmpauxmd/sun3-gcc.s (1.3),
	cmpauxmd/sun3-nfp.s (1.4), cmpauxmd/vax.m4 (1.5), cmpintmd/alpha.h
	(1.7), bkpt.h (9.33), extern.h (9.61), interp.c (9.93), interp.h
	(9.43), liarc.h (1.16), stack.h (9.39), storage.c (9.58): Eliminate
	"import" and "export" of registers.  The marginal extra performance
	associated by this isn't worth the extra complexity in the code.

2002-06-28 14:25  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/load.scm (14.61): Give LOAD-LIBRARY-OBJECT-FILE an
	optional argument NOISY? that controls whether the loading message
	is displayed.  By default, the message isn't displayed (as opposed
	to previous behavior).

2002-06-28 14:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/crypto.scm (14.14): Restucture MD5- procedures to force
	loading of non-mhash MD5 support if needed.

2002-06-28 14:20  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: fileio.scm (1.158), make.scm (3.115): Require MD5
	availability to support encryption.

2002-06-25 23:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/version.scm (14.209), win32/make.scm (1.11): Update
	version for post-7.7.1 changes.

2002-06-25 23:33  Chris Hanson <cph@zurich.ai.mit.edu>

	* win32/graphics.scm (1.17): Add operation to test for open
	graphics descriptor.

2002-06-25 23:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/mit-syntax.scm (14.8): Changes to support some basic SRFI
	features; specifically, SRFIs 0, 8, 9, 23, and 30.

2002-06-25 23:26  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: x11graph.scm (1.52), runtime.pkg (14.414), os2graph.scm
	(1.19): Add operation to test for open graphics descriptor.

2002-06-20 22:04  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/mit-syntax.scm (14.7): Fix pagination.

2002-06-17 20:58  Chris Hanson <cph@zurich.ai.mit.edu>

	* COPYING (1.2): Add exemption permitting use with OpenSSL.

2002-06-17 12:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/version.scm (14.208): Update version for 7.7.1 release.

2002-06-17 01:18  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: ntsock.c (1.13), ntapi.h (1.13), version.h (11.184):
	Implement server_channel_n_read, which is required by the runtime
	system to use server sockets.

2002-06-15 19:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/ntscreen.c (1.47): Initialize "length" field of
	structure prior to call.  Thanks to Lawrence Wood for the bug fix.

2002-06-04 16:43  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-summary.scm (1.48): Fix bug: expunge could generate
	errors due to mistaken overwriting of the summary-buffer mark for a
	deleted message.

2002-04-24 15:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: uenvir.scm (14.57), runtime.pkg (14.413): Use lambda
	abstraction rather than bypassing it.

2002-04-24 15:20  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/lambda.scm (14.17): Implement LAMBDA-NAMES-VECTOR.

2002-04-23 09:47  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/ntsock.c (1.12): Add missing call to transaction_begin.

2002-04-17 11:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/mit-syntax.scm (14.6): Don't reserve names in top-level
	environments.  The revised report requires that top-level
	definitions act like assignments when the name is already bound.

2002-04-16 20:29  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntactic-closures.scm (14.10): Fix history procedures to
	specially handle null history.	This occasionally comes up with
	syntactic keywords.

2002-03-29 15:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: bchdmp.c (9.90.4.1), bchgcl.c (9.54.4.1), bchmmg.c
	(9.98.8.1), boot.c (9.105.8.1), confshared.h (11.3.2.1), const.h
	(9.46.8.1), debug.c (9.53.8.1), fasl.h (9.38.12.1), fasload.c
	(9.91.4.1), gccode.h (9.58.8.1), gctype.c (9.34.12.1), interp.c
	(9.92.8.1), lookup.h (9.55.8.1), memmag.c (9.66.8.1), ppband.c
	(9.50.8.1), purify.c (9.61.4.1), types.h (9.38.8.1), wabbit.c
	(1.9.4.1): Eliminate references to TC_NULL in favor of TC_FALSE. 
	Add symbolic definitions for datum values of TC_CONSTANT.

2002-03-25 22:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/todo.txt (1.138): If EOF encountered while reading server
	response, signal an error.  This prevents the uninterruptible
	infinite loop when the network goes down while the connection is
	open.

2002-03-25 22:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imap-response.scm (1.45): If EOF encountered while reading
	server response, signal an error.  This prevents the
	uninterruptible infinite loop when the network goes down while the
	connection is open.

2002-03-25 11:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/: imail.pkg (1.96), imail-file.scm (1.81), imail-rmail.scm
	(1.70), imail-top.scm (1.283), imail-umail.scm (1.51), load.scm
	(1.39), todo.txt (1.137): Change M-o command to act like o if the
	output file is in a known format.

2002-03-19 12:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fgopt/closan.scm (4.30): Tweak comment.

2002-03-14 23:07  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/configure.in (11.16): Broaden pattern used to match
	FreeBSD versions.

2002-03-14 20:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* cref/toplev.scm (1.18): Fix missed reference in last change.

2002-03-13 23:58  Chris Hanson <cph@zurich.ai.mit.edu>

	* cref/: toplev.scm (1.17), redpkg.scm (1.26): Allow end user to
	specify operating-system type, in order to do cross compilation.

2002-03-13 23:44  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/packag.scm (14.40): Change PACKAGE-SET-PATHNAME to accept
	an optional argument that specifies the operating-system type. 
	This is useful for cross-compilation.

2002-03-12 15:33  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/version.scm (14.207): Update version number for release.

2002-03-11 16:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/cmpauxmd/i386.m4 (1.57): Use pushad/popad rather than
	pusha/popa.  Latter don't work properly on Windows, and former
	aren't implemented by GCC.

2002-03-06 15:07  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/buffer.scm (1.187): Change the following to allow their
	BUFFER argument to be any object accepted by ->BUFFER:
	
		DEFINE-VARIABLE-LOCAL-VALUE!
		UNDEFINE-VARIABLE-LOCAL-VALUE!
		VARIABLE-LOCAL-VALUE?
		SET-VARIABLE-LOCAL-VALUE!

2002-03-06 15:05  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: dos.scm (1.53), edwin.pkg (1.281), kilcom.scm (1.72),
	os2.scm (1.51), xterm.scm (1.69): Rewrite mechanism that controls
	whether PRIMARY or CLIPBOARD selection is used on X.  Now cut and
	paste are separately configurable, and the defaults are different
	for each.  This should provide better behavior on older systems
	while making the default more usable on newer ones.

2002-03-01 23:31  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-output.scm (14.5): Don't output bare block
	declarations at top level; always wrap them in an open block. 
	Otherwise, SF won't act on the declarations, just passing them
	through to the compiler.

2002-03-01 23:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* etc/compile.scm (1.4): The "star-parser" directory must be
	compiled prior to the "imail" directory.

2002-03-01 12:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: syntax-output.scm (14.4), syntactic-closures.scm
	(14.9): Fix up various problems in the name management.  This now
	appears to work properly.

2002-03-01 12:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: scomb.scm (14.20), runtime.pkg (14.412): Add procedures
	to get a list of subexpressions of an scode combinator.

2002-03-01 00:43  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: syntactic-closures.scm (14.8), syntax-output.scm
	(14.3): Rewrite renaming code to allocate temporary uninterned
	symbols during expansion, then map them to interned symbols in a
	post pass.  Mapping algorithm avoids renaming where possible,
	keeping original names of identifiers in outermost frames in cases
	of conflict.

2002-02-28 22:18  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: make.scm (14.86), option.scm (14.41), optiondb.scm
	(1.14), runtime.pkg (14.411): Hash-table abstraction is now always
	loaded.  It's no longer necessary to use LOAD-OPTION prior to use.

2002-02-28 22:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: mit-syntax.scm (14.5), syntax-output.scm (14.2):
	Rewrite the declaration processor to make it reusable for alpha
	substitution.

2002-02-25 13:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/fileio.scm (1.157): Fix another problem with NAME->VARIABLE
	being passed a string.

2002-02-22 11:07  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-top.scm (1.282): Show MIME message/delivery-status
	parts inline.  Simplify the MIME inline/outline decision logic.

2002-02-22 10:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-top.scm (1.281): Add alternate Unicode charsets from
	RFC-1641.

2002-02-22 00:14  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/vax/rulfix.scm (1.8): Eliminate non-hygienic
	macros.

2002-02-22 00:04  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/vax/: lapgen.scm (4.18), rules3.scm (4.14):
	Eliminate non-hygienic macros.

2002-02-22 00:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/vax/: assmd.scm (4.9), dassm1.scm (4.9),
	dassm2.scm (4.15): Eliminate non-hygienic macros.

2002-02-21 23:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/spectrum/: rulfix.scm (4.50), rulflo.scm
	(4.42): Eliminate non-hygienic macros.

2002-02-21 23:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/spectrum/rules3.scm (4.44): Eliminate
	non-hygienic macros.

2002-02-21 23:45  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/spectrum/: instr3.scm (1.5), lapgen.scm (4.50):
	Eliminate non-hygienic macros.

2002-02-21 23:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/spectrum/instr1.scm (1.6): Eliminate
	non-hygienic macros.

2002-02-21 23:34  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/spectrum/: assmd.scm (1.33), dassm1.scm (4.22),
	dassm2.scm (4.23): Eliminate non-hygienic macros.

2002-02-21 23:16  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/sparc/rulflo.scm (1.4): Eliminate non-hygienic
	macros.

2002-02-21 23:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/sparc/: lapgen.scm (1.5), rules3.scm (1.4):
	Eliminate non-hygienic macros.

2002-02-21 23:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/sparc/: instr2a.scm (1.4), instr2b.scm (1.4),
	instr3.scm (1.4): Eliminate non-hygienic macros.

2002-02-21 23:05  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/: mips/rulflo.scm (1.10), sparc/assmd.scm
	(1.4), sparc/instr1.scm (1.4): Eliminate non-hygienic macros.

2002-02-21 23:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/mips/: mips.scm (1.4), rules3.scm (1.20):
	Eliminate non-hygienic macros.

2002-02-21 22:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/mips/: instr2b.scm (1.6), instr3.scm (1.5),
	lapgen.scm (1.18): Eliminate non-hygienic macros.

2002-02-21 22:49  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/mips/: instr1.scm (1.9), instr2a.scm (1.7):
	Eliminate non-hygienic macros.

2002-02-21 22:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/: bobcat/rules3.scm (4.43), mips/assmd.scm
	(1.5), mips/dassm1.scm (1.7), mips/dassm2.scm (1.7): Eliminate
	non-hygienic macros.

2002-02-21 22:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/bobcat/: lapgen.scm (4.53), machin.scm (4.34):
	Eliminate non-hygienic macros.

2002-02-21 22:27  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/bobcat/: instr3.scm (1.20), instr4.scm (1.6):
	Eliminate non-hygienic macros.

2002-02-21 22:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/bobcat/instr2.scm (1.21): Eliminate
	non-hygienic macros.

2002-02-21 22:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/bobcat/: dassm2.scm (4.25), flinstr1.scm (1.4),
	flinstr2.scm (1.4): Eliminate non-hygienic macros.

2002-02-21 22:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/: alpha/rulflo.scm (1.6), bobcat/assmd.scm
	(1.39), bobcat/dassm1.scm (4.22): Eliminate non-hygienic macros.

2002-02-21 22:06  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/alpha/: lapgen.scm (1.9), rules3.scm (1.10):
	Eliminate non-hygienic macros.

2002-02-21 22:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/alpha/: instr2.scm (1.4), instr3.scm (1.4):
	Eliminate non-hygienic macros.

2002-02-21 21:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/alpha/instr1.scm (1.6): Eliminate non-hygienic
	macros.

2002-02-21 20:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntactic-closures.scm (14.7): If a synthetic identifier
	is bound at top level, rename it to a special name so that it
	doesn't conflict with other non-EQ? identifiers.

2002-02-21 20:33  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/rgxcmp.scm (1.121), runtime/parser-buffer.scm (1.4),
	sf/object.scm (4.15): Don't close the identifier of a definition.

2002-02-21 13:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/info.scm (1.137): Fix FIND-DIR-NODE-FILES, which was
	returning the pathname list in reverse order.

2002-02-21 13:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/hlpcom.scm (1.123): Update copyright statement.

2002-02-19 16:27  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: syntactic-closures.scm (14.5), syntactic-closures.scm
	(14.6): In STRIP-SYNTACTIC-CLOSURES, don't copy the argument unless
	it has embedded syntactic closures.

2002-02-19 14:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/mit-syntax.scm (14.4): Fix typo in previous change.

2002-02-19 14:08  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/mit-syntax.scm (14.3): Fix some missing syntax: FLUID-LET
	must allow (access ...) as LHS in binding.  Named LET must allow
	unassigned bindings.  RHS of syntax binding must allow arbitrary
	procedure-valued expression, which is treated as a non-hygienic
	macro expander.

2002-02-19 07:47  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-top.scm (1.280): Add "unknown-8bit" to list of known
	character sets.

2002-02-16 01:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/alpha/: dassm1.scm (1.4), dassm2.scm (1.4):
	Eliminate non-hygienic macros.

2002-02-16 01:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/: C/rulfix.scm (1.5), C/rulflo.scm (1.7),
	alpha/assmd.scm (1.4): Eliminate non-hygienic macros.

2002-02-16 01:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/C/: lapgen.scm (1.14), rules3.scm (1.11):
	Eliminate non-hygienic macros.

2002-02-15 22:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/vax/dsyn.scm (1.12): Eliminate non-hygienic
	macros.

2002-02-15 22:34  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/: vax/instr2.scm (1.11), vax/instr1.scm (1.10),
	vax/insmac.scm (1.17), spectrum/instr2.scm (1.11): Eliminate
	non-hygienic macros.

2002-02-15 22:31  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/vax/: instr3.scm (1.14), instr2.scm (1.10):
	Eliminate non-hygienic macros.

2002-02-14 17:03  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/: back/asmmac.scm (1.17), back/syntax.scm (1.29),
	machines/alpha/insmac.scm (1.6), machines/bobcat/insmac.scm
	(1.132), machines/i386/insmac.scm (1.17), machines/mips/insmac.scm
	(1.6), machines/sparc/insmac.scm (1.5),
	machines/spectrum/insmac.scm (1.6), machines/vax/insmac.scm (1.16):
	Change most instruction-set macros to use reverse syntactic closure
	style, and propagate changes down through the maze of supporting
	procedures.

2002-02-14 10:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/: back/asmmac.scm (1.16), base/pmpars.scm (1.7),
	base/macros.scm (4.28), machines/i386/insmac.scm (1.16),
	machines/bobcat/insmac.scm (1.131): Make sure that all expressions
	are properly closed.

2002-02-14 00:05  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/hlpcom.scm (1.122): Fix bug: name->foo procedures no longer
	accept string arguments.

2002-02-13 20:24  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/back/asmmac.scm (1.15): Make sure that all expressions
	are properly closed.

2002-02-13 13:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/i386/insmac.scm (1.15): Make sure that all
	expressions are properly closed.

2002-02-13 13:45  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/bobcat/insmac.scm (1.130): Eliminate
	non-hygienic macros.

2002-02-13 00:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/alpha/insmac.scm (1.5): Eliminate non-hygienic
	macros.

2002-02-12 20:18  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/clsmac.scm (1.10): Fix bug: WITH-INSTANCE-VARIABLES should
	have used MAKE-UNMAPPED-MACRO-REFERENCE-TRAP rather than
	MAKE-MACRO-REFERENCE-TRAP.

2002-02-12 20:06  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/xeval.scm (1.10): Rename MAKE-NULL-TOP-LEVEL-ENVIRONMENT
	to MAKE-ROOT-TOP-LEVEL-ENVIRONMENT.  Eliminate alias for
	EXTEND-INTERPRETER-ENVIRONMENT.

2002-02-12 20:04  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/mit-syntax.scm (14.2): Modify CASE syntactic keyword to
	generate better code for tests.

2002-02-12 20:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/uenvir.scm (14.56), runtime/runtime.pkg (14.410),
	runtime/option.scm (14.40), imail/fake-env.scm (1.6),
	compiler/etc/disload.scm (1.12), edwin/intmod.scm (1.116),
	swat/scheme/load.scm (1.9): Rename MAKE-NULL-TOP-LEVEL-ENVIRONMENT
	to MAKE-ROOT-TOP-LEVEL-ENVIRONMENT.  Eliminate alias for
	EXTEND-INTERPRETER-ENVIRONMENT.

2002-02-12 16:17  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: uenvir.scm (14.55), syntactic-closures.scm (14.4):
	Don't signal error from ENVIRONMENT-LOOKUP-MACRO if name is
	unbound.

2002-02-12 10:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: uenvir.scm (14.54), runtime.pkg (14.409): Add aliases:
	
	interpreter-environment?	  => top-level-environment?
	extend-interpreter-environment	  => extend-top-level-environment
	make-null-interpreter-environment =>
	make-null-top-level-environment

2002-02-12 00:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/i386/: instr1.scm (1.16), instr2.scm (1.10),
	instrf.scm (1.18), lapgen.scm (1.31), rules3.scm (1.38), rulfix.scm
	(1.34), rulflo.scm (1.25): Eliminate non-hygienic macros.

2002-02-11 19:31  Chris Hanson <cph@zurich.ai.mit.edu>

	* win32/ffimacro.scm (1.8): Don't close the identifier of a
	definition.

2002-02-11 19:30  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: syntactic-closures.scm (14.3), make.scm (14.85),
	runtime.pkg (14.408): Implement REVERSE-SYNTACTIC-ENVIRONMENTS. 
	Add bindings for SYSTEM-GLOBAL-SYNTAX-TABLE and
	EXTEND-IC-ENVIRONMENT to ease upgrading.

2002-02-11 19:29  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/pmpars.scm (1.6): Eliminate non-hygienic macros.

2002-02-11 19:25  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/: back/asmmac.scm (1.14), base/macros.scm (4.27),
	base/pmpars.scm (1.5), machines/i386/assmd.scm (1.6),
	machines/i386/dassm1.scm (1.13), machines/i386/dassm2.scm (1.12),
	machines/i386/dassm3.scm (1.10), machines/i386/insmac.scm (1.14):
	Eliminate non-hygienic macros.

2002-02-10 01:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: sysmac.scm (14.10), defstr.scm (14.40): Don't close the
	identifier of a definition.

2002-02-09 01:17  Chris Hanson <cph@zurich.ai.mit.edu>

	* sf/object.scm (4.14): Don't close the identifier of a definition.

2002-02-09 01:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: arith.scm (1.50), graphics.scm (1.21), infstr.scm
	(1.15), parse.scm (14.37), port.scm (1.23), rgxcmp.scm (1.120),
	starbase.scm (1.17), sysmac.scm (14.9), vector.scm (14.21): Don't
	close the identifier of a definition.

2002-02-09 00:55  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/buffer.scm (1.186), edwin/calias.scm (1.25),
	edwin/dosproc.scm (1.9), edwin/macros.scm (1.72), edwin/search.scm
	(1.155), edwin/tterm.scm (1.34), edwin/xcom.scm (1.21),
	6001/arith.scm (1.10): Don't close the identifier of a definition.

2002-02-09 00:41  Chris Hanson <cph@zurich.ai.mit.edu>

	* sf/toplev.scm (4.24), sos/macros.scm (1.14),
	compiler/base/macros.scm (4.26): Use CLOSE-SYNTAX where possible.

2002-02-09 00:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/clsmac.scm (1.9), runtime/defstr.scm (14.39): Use
	CLOSE-SYNTAX where possible.

2002-02-08 12:31  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntactic-closures.scm (14.2): Change renaming algorithm
	to treat synthetic identifiers differently from symbols.  The new
	algorithm implements an EQ?-isomorphic map between identifiers and
	renamed symbols.

2002-02-07 22:54  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/: back/asmmac.scm (1.13), fggen/canon.scm (1.22),
	fggen/fggen.scm (4.37), base/macros.scm (4.25): Eliminate
	non-hygienic macros.

2002-02-07 22:31  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/cfg1.scm (4.7): Eliminate instances of FALSE.

2002-02-07 22:15  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/: C/compiler.pkg (1.14), alpha/compiler.pkg
	(1.17), bobcat/compiler.pkg (1.54), mips/compiler.pkg (1.24),
	spectrum/compiler.pkg (1.54), vax/compiler.pkg (1.26): Add missing
	macro imports.

2002-02-07 22:12  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/: spectrum/compiler.pkg (1.53),
	vax/compiler.pkg (1.25): Eliminate non-hygienic macros.

2002-02-07 22:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/: i386/compiler.pkg (1.29), C/compiler.pkg
	(1.13), alpha/compiler.pkg (1.16), bobcat/compiler.pkg (1.53),
	mips/compiler.pkg (1.23): Eliminate non-hygienic macros.

2002-02-07 22:06  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/: back/asmmac.scm (1.12), base/cfg1.scm (4.6),
	base/macros.scm (4.24), base/scode.scm (4.14), base/utils.scm
	(4.24), etc/comcmp.scm (1.11), fggen/canon.scm (1.21),
	fggen/fggen.scm (4.36), rtlbase/rtlcfg.scm (4.10),
	rtlbase/rtlreg.scm (4.9), rtlbase/valclass.scm (1.5): Eliminate
	non-hygienic macros.

2002-02-07 22:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-check.scm (14.2): Fix error message in
	PARSE-MIT-LAMBDA-LIST.

2002-02-07 00:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/: back/asmmac.scm (1.11), back/lapgn3.scm (4.15),
	base/crsend.scm (1.13), base/lvalue.scm (4.25): Eliminate
	non-hygienic macros.

2002-02-05 12:34  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/utabmd.scm (9.84): Fix bug: top-level syntax definition
	was being loaded into global environment.

2002-02-04 01:26  Chris Hanson <cph@zurich.ai.mit.edu>

	* win32/ffimacro.scm (1.7): Fix fatal bug in previous revision.

2002-02-02 23:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/load.scm (1.11), win32/make.scm (1.10), xml/load.scm (1.5):
	Update version to reflect changes for new syntax engine.

2002-02-02 23:34  Chris Hanson <cph@zurich.ai.mit.edu>

	* 6001/make.scm (15.34), cref/make.scm (1.25), imail/load.scm
	(1.38): Update version to reflect changes for new syntax engine.

2002-02-02 23:31  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/make.scm (4.117), edwin/make.scm (3.114): Update
	version to reflect changes for new syntax engine.

2002-02-02 22:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* 6001/arith.scm (1.9), compiler/base/constr.scm (1.4),
	compiler/base/macros.scm (4.23),
	compiler/machines/i386/compiler.pkg (1.28), edwin/buffer.scm
	(1.185), edwin/buffrm.scm (1.59), edwin/bufwin.scm (1.310),
	edwin/calias.scm (1.24), edwin/clscon.scm (1.8), edwin/clsmac.scm
	(1.8), edwin/comman.scm (1.86), edwin/comwin.scm (1.147),
	edwin/dosproc.scm (1.8), edwin/edtfrm.scm (1.91), edwin/edwin.pkg
	(1.280), edwin/macros.scm (1.71), edwin/modes.scm (1.35),
	edwin/modwin.scm (1.42), edwin/regexp.scm (1.78), edwin/schmod.scm
	(1.59), edwin/search.scm (1.154), edwin/syntax.scm (1.89),
	edwin/tterm.scm (1.33), edwin/utils.scm (1.51), edwin/utlwin.scm
	(1.60), edwin/window.scm (1.160), edwin/xcom.scm (1.20),
	edwin/xform.scm (1.12), microcode/os2pm.scm (1.11),
	microcode/utabmd.scm (9.83), microcode/cmpintmd/i386.h (1.35),
	runtime/apply.scm (1.5), runtime/arith.scm (1.49),
	runtime/debug.scm (14.43), runtime/defstr.scm (14.38),
	runtime/ed-ffi.scm (1.32), runtime/error.scm (14.57),
	runtime/graphics.scm (1.20), runtime/illdef.scm (1.6),
	runtime/infstr.scm (1.14), runtime/list.scm (14.30),
	runtime/macros.scm (1.7), runtime/make.scm (14.84),
	runtime/mit-syntax.scm (14.1), runtime/os2winp.scm (1.18),
	runtime/parse.scm (14.36), runtime/parser-buffer.scm (1.3),
	runtime/port.scm (1.22), runtime/recslot.scm (1.7),
	runtime/rgxcmp.scm (1.119), runtime/runtime.pkg (14.407),
	runtime/scomb.scm (14.19), runtime/starbase.scm (1.16),
	runtime/string.scm (14.47), runtime/syntab.scm (14.10),
	runtime/syntactic-closures.scm (14.1), runtime/syntax-check.scm
	(14.1), runtime/syntax-output.scm (14.1), runtime/syntax-rules.scm
	(14.1), runtime/syntax-transforms.scm (14.1), runtime/syntax.scm
	(14.53), runtime/sysmac.scm (14.8), runtime/unsyn.scm (14.28),
	runtime/vector.scm (14.20), runtime/version.scm (14.206),
	sf/make.scm (4.41), sf/object.scm (4.13), sf/sf.pkg (4.17),
	sf/toplev.scm (4.23), sos/class.scm (1.12), sos/instance.scm
	(1.14), sos/macros.scm (1.13), star-parser/compile.scm (1.5),
	star-parser/load.scm (1.12), star-parser/matcher.scm (1.29),
	star-parser/parser.pkg (1.18), star-parser/parser.scm (1.32),
	star-parser/shared.scm (1.23), star-parser/synchk.scm (1.2),
	swat/scheme/control-floating-errors.scm (1.4), swat/scheme/load.scm
	(1.8), swat/scheme/mit-xhooks.scm (1.5), swat/scheme/scc-macros.scm
	(1.4), wabbit/test-wabbit.scm (1.4), win32/ffimacro.scm (1.6),
	win32/win32.sf (1.9), win32/win_ffi.scm (1.9): Merge
	hygienic-macros branch into trunk.

2002-02-01 22:58  Chris Hanson <cph@zurich.ai.mit.edu>

	* swat/scheme/: load.scm (1.7.2.1), scc-macros.scm (1.3.2.1):
	Eliminate non-hygienic macros.

2002-02-01 22:54  Chris Hanson <cph@zurich.ai.mit.edu>

	* swat/scheme/: control-floating-errors.scm (1.3.2.1),
	mit-xhooks.scm (1.4.2.1): Eliminate non-hygienic macros.

2002-02-01 22:50  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/macros.scm (1.70.2.1), wabbit/test-wabbit.scm (1.3.2.1):
	Eliminate non-hygienic macros.

2002-02-01 22:50  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/edwin.pkg (1.279.2.2): Eliminate CANONICALIZE-NAME.

2002-02-01 22:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/comman.scm (1.85.6.3): Extend MAKE-VARIABLE to accept
	arguments that initialize the remaining record fields.

2002-02-01 22:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/comman.scm (1.85.6.2): Extend MAKE-VARIABLE to accept
	arguments that initialize the remaining record fields.

2002-02-01 20:27  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: comman.scm (1.85.6.1), modes.scm (1.34.6.1): Eliminate
	CANONICALIZE-NAME.

2002-02-01 15:20  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: tterm.scm (1.32.2.1), utils.scm (1.50.2.1), xcom.scm
	(1.19.2.1): Eliminate non-hygienic macros.

2002-02-01 15:15  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: search.scm (1.153.2.1), syntax.scm (1.88.2.1): Eliminate
	non-hygienic macros.

2002-02-01 15:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/regexp.scm (1.77.2.1): Eliminate non-hygienic macros.

2002-02-01 15:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: buffer.scm (1.184.2.1), calias.scm (1.23.2.1),
	dosproc.scm (1.7.2.1): Eliminate non-hygienic macros.

2002-02-01 14:55  Chris Hanson <cph@zurich.ai.mit.edu>

	* win32/: win_ffi.scm (1.8.2.1), ffimacro.scm (1.5.2.1): Eliminate
	non-hygienic macros.

2002-02-01 14:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* sf/toplev.scm (4.22.2.2), sf/sf.pkg (4.16.2.2), win32/win32.sf
	(1.8.2.1): Rip out remaining pathname-map stuff.  It's nearly
	impossible to make this work right.

2002-02-01 12:14  Chris Hanson <cph@zurich.ai.mit.edu>

	* 6001/arith.scm (1.8.2.1), microcode/os2pm.scm (1.10.2.1),
	microcode/utabmd.scm (9.82.2.1): Eliminate non-hygienic macros.

2002-02-01 00:44  Chris Hanson <cph@zurich.ai.mit.edu>

	* sf/object.scm (4.12.2.1): Eliminate non-hygienic macros.

2002-02-01 00:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: sysmac.scm (14.7.2.1), vector.scm (14.19.2.1):
	Eliminate non-hygienic macros.

2002-02-01 00:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: scomb.scm (14.18.2.1), starbase.scm (1.15.2.1),
	string.scm (14.46.2.1): Eliminate non-hygienic macros.

2002-01-31 23:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: recslot.scm (1.6.2.1), rgxcmp.scm (1.118.2.1):
	Eliminate non-hygienic macros.

2002-01-31 23:48  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: parser-buffer.scm (1.2.2.1), port.scm (1.21.2.1):
	Eliminate non-hygienic macros.

2002-01-31 23:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/parse.scm (14.35.2.1): Eliminate non-hygienic macros.

2002-01-31 23:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/os2winp.scm (1.17.2.1): Eliminate non-hygienic macros.

2002-01-31 23:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: list.scm (14.29.2.1), make.scm (14.83.2.5): Eliminate
	non-hygienic macros.

2002-01-31 23:19  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: graphics.scm (1.19.2.1), infstr.scm (1.13.2.1):
	Eliminate non-hygienic macros.

2002-01-31 23:14  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: debug.scm (14.42.2.1), error.scm (14.56.2.1): Eliminate
	non-hygienic macros.

2002-01-31 23:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/apply.scm (1.4.2.1): Eliminate non-hygienic macros.

2002-01-31 22:12  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/arith.scm (1.48.2.1): Eliminate non-hygienic macros.

2002-01-31 00:48  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/macros.scm (1.12.2.2): Fix thinko with reversed arguments to
	IDENTIFIER=?.

2002-01-31 00:44  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-output.scm (1.1.2.8): Add back optimization that
	renames LAMBDA expressions bound by top-level definitions.

2002-01-31 00:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/: compile.scm (1.4.6.1), load.scm (1.11.6.1),
	matcher.scm (1.28.2.1), parser.pkg (1.17.2.1), parser.scm
	(1.31.2.1), shared.scm (1.22.2.1), synchk.scm (1.1.6.1): Update for
	new syntax engine.

2002-01-31 00:12  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-output.scm (1.1.2.7): Add back optimization that
	renames LAMBDA expressions bound by top-level definitions.

2002-01-29 15:49  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: utabmd.sh (1.2), utabmd.sh (1.1.2.2): Use
	SCHEME_COMPILER variable to allow end-user override.

2002-01-29 15:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: utabmd.sh (1.1), makegen/Makefile.in.in (1.20),
	makegen/Makefile.in.in (1.17.2.3), utabmd.sh (1.1.2.1): Use
	SCHEME_COMPILER variable to allow end-user override.

2002-01-29 15:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/makegen/: Makefile.in.in (1.19), Makefile.in.in
	(1.17.2.2): Use SCHEME_COMPILER variable to allow end-user
	override.

2002-01-29 01:12  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: configure.in (11.15), configure.in (11.13.2.2): In
	socklen_t test, must include <sys/types.h> also.

2002-01-29 01:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/confshared.h (11.1.2.2): Don't use <stdbool.h>; it is
	incompatible with older versions of ncurses.

2002-01-29 01:00  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: tterm.c (1.13), tterm.c (1.12.2.1): Undefine false
	and true prior to including <curses.h>, to work around bug in
	recent versions of ncurses.

2002-01-29 00:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/confshared.h (11.3): Don't use <stdbool.h>; it is
	incompatible with older versions of ncurses.

2002-01-29 00:16  Chris Hanson <cph@zurich.ai.mit.edu>

	* etc/compile.sh (1.2), Makefile.in (1.19): Add shell script with
	environment variable that can be used to override the default
	Scheme compiler.

2002-01-29 00:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: configure.in (11.13.2.1), confshared.h (11.1.2.1):
	Fix problem: don't define true and false if <stdbool.h> exists,
	because the GNU version of <stdbool.h> breaks in that case. 
	Instead just use <stdbool.h> to make the definitions.

2002-01-28 23:58  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: confshared.h (11.2), configure.in (11.14): Fix
	problem: don't define true and false if <stdbool.h> exists, because
	the GNU version of <stdbool.h> breaks in that case.  Instead just
	use <stdbool.h> to make the definitions.

2002-01-28 23:14  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/xterm.scm (1.68): Add support for cut/paste to "clipboard",
	which seems to be new standard.

2002-01-28 20:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* etc/compile.sh (1.1): file compile.sh was initially added on
	branch release-7-6.

2002-01-28 20:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* etc/compile.sh (1.1.2.1), Makefile.in (1.18.2.1): Add shell
	script with environment variable that can be used to override the
	default Scheme compiler.

2002-01-28 15:24  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/version.scm (14.205): Update release version to reflect
	that next release will be 7.7.0 rather than 7.6.1.

2002-01-27 01:34  Chris Hanson <cph@zurich.ai.mit.edu>

	* win32/dibutils/: makefile.wcc (1.4), makefile.msc (1.4),
	makefile.msc (1.3.2.1), makefile.wcc (1.3.2.1): Fix typo.

2002-01-26 23:18  Chris Hanson <cph@zurich.ai.mit.edu>

	* etc/optiondb.scm (1.8.2.1): Fix bug: package name for SOS was
	wrong.

2002-01-26 23:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/version.scm (14.202.2.1): Update version number for
	release.

2002-01-26 08:07  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: defstr.scm (14.37.2.5), runtime.pkg (14.406.2.9),
	syntactic-closures.scm (1.1.2.13): Rename
	GENERATE-SYNTHETIC-IDENTIFIER to MAKE-SYNTHETIC-IDENTIFIER.

2002-01-26 08:06  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntactic-closures.scm (1.1.2.12): Don't elide syntactic
	closure when the form being closed is an identifier, because the
	closure might be a synthetic identifier.

2002-01-22 13:44  Chris Hanson <cph@zurich.ai.mit.edu>

	* etc/: optiondb.scm (1.9), optiondb.scm (1.8.6.1): Fix bug:
	package name for SOS was wrong.

2002-01-22 13:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/: class.scm (1.11.2.1), instance.scm (1.13.2.1), macros.scm
	(1.12.2.1): Initial rewrite of macros to use syntactic closures. 
	Code compiles and a few simple expressions have been tested.

2002-01-22 12:36  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/runtime.pkg (14.406.2.8): Export PARSE-MIT-LAMBDA-LIST.

2002-01-22 12:03  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntactic-closures.scm (1.1.2.11): Change
	MAKE-SYNTACTIC-CLOSURE to avoid closing more things.  This will
	reduce consing and simplify debugging of macros.

2002-01-22 11:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: syntactic-closures.scm (1.1.2.10), runtime.pkg
	(14.406.2.7): Delete unused definition of
	MAKE-SYNTACTIC-CLOSURE-LIST.  Add new procedure CLOSE-SYNTAX. 
	Change STRIP-SYNTACTIC-CLOSURES; it doesn't need to traverse
	vectors.

2002-01-22 00:51  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-check.scm (1.1.2.2): Allow arbitrary
	pattern-matching elements in SYNTAX-MATCH?.

2002-01-19 00:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/ed-ffi.scm (1.31.2.1): Change list to delete old files
	and add new ones.

2002-01-19 00:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-output.scm (1.1.2.6): Enhance
	OUTPUT/TOP-LEVEL-SEQUENCE to avoid making open blocks for simple
	expressions.

2002-01-19 00:31  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntactic-closures.scm (1.1.2.9): Simplify structure of
	top-level entry points to syntax engine.

2002-01-18 21:18  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/bufwin.scm (1.309.6.2): Fix bug: BUFFER-WINDOW/SET-BUFFER!
	must not call SET-NEW-COORDINATES! unless the window has a known
	size.

2002-01-18 20:33  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: clscon.scm (1.7.6.1), clscon.scm (1.7.6.2): Mak sure that
	structure-type names are in the numerical order.

2002-01-18 16:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: buffrm.scm (1.58.6.1), bufwin.scm (1.309.6.1), clsmac.scm
	(1.7.2.2), comwin.scm (1.146.6.1), edtfrm.scm (1.90.6.1), edwin.pkg
	(1.279.2.1), modwin.scm (1.41.6.1), utlwin.scm (1.59.6.1),
	window.scm (1.159.6.1), xform.scm (1.11.2.1): Implement
	WITH-INSTANCE-VARIABLES as a compiler item, using internal features
	of the syntax engine.  Rename => to ==> to avoid conflict with =>
	keyword used by COND; rename USUAL=> to USUAL==> for consistency.

2002-01-18 16:30  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/defstr.scm (14.37.2.4): Fix thinko in NAMED option.

2002-01-18 16:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/runtime.pkg (14.406.2.6): Export ILL-FORMED-SYNTAX.

2002-01-18 16:19  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-rules.scm (1.1.2.2): Add declarations to prevent
	compiler warnings.

2002-01-18 15:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/clsmac.scm (1.7.2.1): Mostly rewrite this using new syntax.
	 But WITH-INSTANCE-VARIABLES not rewritten -- it is a terrible
	kludge and pretty hopeless.

2002-01-18 14:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/schmod.scm (1.58.2.1): Add indentation rules for new
	syntax.

2002-01-18 12:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: runtime.pkg (14.406.2.5), syntactic-closures.scm
	(1.1.2.8), syntax-output.scm (1.1.2.5): Export
	CALL-WITH-SYNTAX-ERROR-PROCEDURE, and generalize the argument
	structure to the error procedure.

2002-01-18 12:54  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/runtime.pkg (14.406.2.4): Export SYNTAX-MATCH? for use in
	macros.

2002-01-18 00:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: syntax-transforms.scm (1.1.2.2), syntactic-closures.scm
	(1.1.2.7), make.scm (14.83.2.4), mit-syntax.scm (1.1.2.11): Fix
	runtime code generated for top-level macro transformers.  These
	were being stored in the environment as procedures when they were
	supposed to be stored as expander items.

2002-01-18 00:34  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/macros.scm (4.22.2.3): Fix typo in DEFINE-EXPORT.

2002-01-17 23:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/mit-syntax.scm (1.1.2.10): Fix thinko in binding of
	syntactic keywords.

2002-01-17 23:08  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/unsyn.scm (14.27.2.1): Fix broken unsyntaxing of
	DEFINE-SYNTAX.

2002-01-17 22:29  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/macros.scm (4.22.2.2): Convert the PACKAGE macro to
	RSC format.

2002-01-17 22:24  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/constr.scm (1.3.6.1): Add USUAL-INTEGRATIONS
	declaration.

2002-01-17 22:18  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/mit-syntax.scm (1.1.2.9): Allow INTEGRATE-EXTERNAL
	declaration to take pathname objects as well as strings.

2002-01-17 16:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/defstr.scm (14.37.2.3): Make sure that the ACCESS keyword
	is closed in the right environment.

2002-01-17 16:30  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-transforms.scm (1.1): file syntax-transforms.scm
	was initially added on branch hygienic-macros.

2002-01-17 16:30  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: make.scm (14.83.2.3), mit-syntax.scm (1.1.2.8),
	runtime.pkg (14.406.2.3), syntax-transforms.scm (1.1.2.1): Move the
	TRANSFORMER->EXPANDER procedures into a separate file that is
	loaded early during the cold load.  These are needed by any
	top-level macro definitions in the runtime system.

2002-01-17 16:22  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/make.scm (14.83.2.2): Eliminate use of CASE in cold load.
	 New syntaxer expands this into calls to MEMV, which isn't
	available.

2002-01-17 16:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-output.scm (1.1.2.4): Rework the handling of
	definitions, LAMBDA bodies, and LETREC.  This now emits code using
	open blocks and internal definitions, because the compiler (and SF)
	expect it to be in that form.

2002-01-17 15:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: mit-syntax.scm (1.1.2.7), syntactic-closures.scm
	(1.1.2.6), syntax-output.scm (1.1.2.3): Rework the handling of
	definitions, LAMBDA bodies, and LETREC.  This now emits code using
	open blocks and internal definitions, because the compiler (and SF)
	expect it to be in that form.

2002-01-17 12:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: mit-syntax.scm (1.1.2.6), syntactic-closures.scm
	(1.1.2.5): Fix harmless typo.

2002-01-17 11:54  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-output.scm (1.1.2.2): Fix thinko in generation of
	LETREC code.

2002-01-17 11:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: mit-syntax.scm (1.1.2.5), syntactic-closures.scm
	(1.1.2.4): Rework the handling of LET-SYNTAX and LETREC-SYNTAX so
	that definitions appearing in their bodies are defined in the
	enclosing definition environment rather than internally.

2002-01-16 20:49  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/mit-syntax.scm (1.1.2.4): Allow INTEGRATE-EXTERNAL
	declaration to specify multiple files.

2002-01-16 20:47  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: syntactic-closures.scm (1.1.2.3), mit-syntax.scm
	(1.1.2.3): Add delay to processing of declaration texts, so that
	they can contain forward references to definitions.

2002-01-16 18:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/: base/macros.scm (4.22.2.1), machines/i386/compiler.pkg
	(1.27.2.1): Eliminate dependence of DEFINE-EXPORT on now-obsolete
	PARSE-DEFINE-SYNTAX.

2002-01-16 18:07  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: mit-syntax.scm (1.1.2.2), runtime.pkg (14.406.2.2),
	syntactic-closures.scm (1.1.2.2): Rework handling of bodies to
	prevent premature reference to internal definitions.  Add
	bootstrapping kludge that converts old-style macro transformers
	into items on the fly.	Implement "reversed" syntactic-closure
	transformers.

2002-01-16 18:03  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/defstr.scm (14.37.2.2): Fix bugs: Slot default wasn't
	being closed right; type-name and tag-expression were being
	reversed.

2002-01-15 15:51  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/cmpintmd/i386.h (1.34.2.1): Eliminate unneeded
	declaration of `ia32_cpuid_needed'.

2002-01-15 15:48  Chris Hanson <cph@zurich.ai.mit.edu>

	* sf/: make.scm (4.40.2.1), sf.pkg (4.16.2.1), toplev.scm
	(4.22.2.1): Changes needed to support new syntax engine.

2002-01-15 15:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-rules.scm (1.1): file syntax-rules.scm was
	initially added on branch hygienic-macros.

2002-01-15 15:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntactic-closures.scm (1.1): file syntactic-closures.scm
	was initially added on branch hygienic-macros.

2002-01-15 15:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-check.scm (1.1): file syntax-check.scm was
	initially added on branch hygienic-macros.

2002-01-15 15:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax-output.scm (1.1): file syntax-output.scm was
	initially added on branch hygienic-macros.

2002-01-15 15:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/mit-syntax.scm (1.1): file mit-syntax.scm was initially
	added on branch hygienic-macros.

2002-01-15 15:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: defstr.scm (14.37.2.1), illdef.scm (1.5.2.1),
	macros.scm (1.6.2.1), make.scm (14.83.2.1), mit-syntax.scm
	(1.1.2.1), runtime.pkg (14.406.2.1), syntab.scm (14.9.2.1),
	syntactic-closures.scm (1.1.2.1), syntax-check.scm (1.1.2.1),
	syntax-output.scm (1.1.2.1), syntax-rules.scm (1.1.2.1), syntax.scm
	(14.52.2.1), version.scm (14.204.2.1): Initial integration of new
	syntax engine.	Complete rewrite of DEFINE-STRUCTURE expander.

2002-01-14 11:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/makegen/Makefile.in.in (1.17.2.1): Fix default target;
	it wasn't including everything.

2002-01-14 11:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/cmpauxmd/i386.m4 (1.50.6.1): Add explicit cache
	synchronization support to work around a bug in the Athlon.  Remove
	support for DOS and HACK_SEGMENT_REGS.

2002-01-14 11:54  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/make.scm (4.115.2.1),
	compiler/machines/i386/dassm3.scm (1.6.2.1),
	compiler/machines/i386/instr1.scm (1.11.2.1),
	compiler/machines/i386/lapgen.scm (1.27.2.1),
	compiler/machines/i386/rules3.scm (1.34.2.1),
	microcode/cmpintmd/i386.h (1.32.2.1), microcode/version.h
	(11.181.2.1): Add explicit cache synchronization support to work
	around a bug in the Athlon.

2002-01-11 21:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/todo.txt (1.136): Add note about Hal's suggestion to
	overload o to subsume M-o.

2002-01-11 21:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: defstr.scm (14.37), make.scm (14.83), record.scm
	(1.29), runtime.pkg (14.406): Move runtime support for
	DEFINE-STRUCTURE into "record.scm", in order to simplify the boot
	sequence.  This allows "defstr.scm" to move late into the boot
	sequence and to use the record abstraction without complicated
	tricks.

2002-01-09 00:11  Chris Hanson <cph@zurich.ai.mit.edu>

	* sf/: toplev.scm (4.22), sf.pkg (4.16): Change remaining
	"syntax-table" references to "environment".  Delete unused
	procedure SF/SET-FILE-SYNTAX-TABLE!.

2002-01-08 00:06  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/urtrap.scm (14.13): Fix naming issue right (?).

2002-01-08 00:03  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/urtrap.scm (14.12): If reference trap has no name, print
	its number.

2002-01-07 00:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/uenvir.scm (14.53): Must do reference-trap mapping when
	looking things up in compiled-code environments.

2002-01-06 23:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/debug.scm (1.62): Don't ever list bindings for packages.

2002-01-06 23:30  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/debug.scm (1.61): Fix problem: only one of the places that
	prints bindings knew about syntactic keywords.

2002-01-06 23:26  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/urtrap.scm (14.11): Change representation of reference
	trap to show kind name rather than number.

2002-01-06 23:12  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/debug.scm (1.60): Use new environment-abstraction design to
	clean up debugger access to environments.

2002-01-06 22:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: error.scm (14.56), runtime.pkg (14.405), uenvir.scm
	(14.52): Redesign way that macros are integrated into environments.
	 Syntactic keywords are now considered bound, but ordinary
	variable-reference operations signal errors on those bindings; but
	each of the definition operations can be used to modify either kind
	of binding.
	
	New procedure ENVIRONMENT-DEFINABLE? can be used to determine if a
	definition is allowed on a particular environment; currently it is
	false on compiled-code environments.
	
	New procedures ENVIRONMENT-REFERENCE-TYPE and
	ENVIRONMENT-SAFE-LOOKUP provide very flexible mechanisms for
	determining what is contained in an environment or binding without
	generating errors.

2002-01-05 01:16  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/dbgutl.scm (14.21): Handle case where binding is a
	syntactic keyword.

2002-01-05 01:15  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: xeval.scm (1.8), xeval.scm (1.9): Rename
	ENVIRONMENT-WHICH-BINDS to ENVIRONMENT-THAT-BINDS.

2002-01-05 00:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/unpars.scm (14.50): Don't unparse environments specially.

2002-01-04 01:05  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: runtime.pkg (14.404), uenvir.scm (14.51): New procedure
	GUARANTEE-ENVIRONMENT.

2001-12-28 23:16  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax.scm (14.52): Oops... last revision deleted a
	little too much.

2001-12-23 23:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax.scm (14.51): Eliminate deep-binding FLUID-LET.

2001-12-23 23:15  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/etc/comcmp.scm (1.10), runtime/unsyn.scm (14.27),
	runtime/syntax.scm (14.50): Eliminate references to UNASSIGNED?.

2001-12-23 13:33  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/lookprm.c (1.19): Fix missing string line terminators.

2001-12-23 13:28  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/lookprm.c (1.18): Fix missing string line terminators.

2001-12-23 12:20  Chris Hanson <cph@zurich.ai.mit.edu>

	* 6001/arith.scm (1.8), compiler/back/asmmac.scm (1.10),
	compiler/back/lapgn3.scm (4.14), compiler/base/crsend.scm (1.12),
	compiler/base/lvalue.scm (4.24), compiler/base/macros.scm (4.22),
	compiler/base/scode.scm (4.13), compiler/base/utils.scm (4.23),
	compiler/etc/comcmp.scm (1.9), compiler/fggen/canon.scm (1.20),
	compiler/fggen/fggen.scm (4.35), compiler/machines/alpha/inerly.scm
	(1.6), compiler/machines/alpha/insmac.scm (1.4),
	compiler/machines/bobcat/inerly.scm (1.11),
	compiler/machines/bobcat/insmac.scm (1.129),
	compiler/machines/i386/assmd.scm (1.5),
	compiler/machines/i386/dassm1.scm (1.12),
	compiler/machines/i386/dassm2.scm (1.11),
	compiler/machines/i386/dassm3.scm (1.9),
	compiler/machines/i386/inerly.scm (1.7),
	compiler/machines/i386/insmac.scm (1.13),
	compiler/machines/i386/instr1.scm (1.15),
	compiler/machines/i386/instr2.scm (1.9),
	compiler/machines/i386/instrf.scm (1.17),
	compiler/machines/i386/lapgen.scm (1.30),
	compiler/machines/i386/rules3.scm (1.37),
	compiler/machines/i386/rulfix.scm (1.33),
	compiler/machines/i386/rulflo.scm (1.24),
	compiler/machines/mips/inerly.scm (1.6),
	compiler/machines/mips/insmac.scm (1.5),
	compiler/machines/sparc/inerly.scm (1.6),
	compiler/machines/sparc/insmac.scm (1.4),
	compiler/machines/spectrum/inerly.scm (1.6),
	compiler/machines/spectrum/insmac.scm (1.5),
	compiler/machines/spectrum/instr2.scm (1.10),
	compiler/machines/vax/dsyn.scm (1.11),
	compiler/machines/vax/inerly.scm (1.10),
	compiler/machines/vax/insmac.scm (1.15),
	compiler/machines/vax/instr1.scm (1.9),
	compiler/machines/vax/instr2.scm (1.9),
	compiler/machines/vax/instr3.scm (1.13),
	compiler/rtlbase/rtlreg.scm (4.8), compiler/rtlbase/valclass.scm
	(1.4), edwin/buffer.scm (1.184), edwin/calias.scm (1.23),
	edwin/clsmac.scm (1.7), edwin/dosproc.scm (1.7), edwin/macros.scm
	(1.70), edwin/regexp.scm (1.77), edwin/search.scm (1.153),
	edwin/syntax.scm (1.88), edwin/tterm.scm (1.32), edwin/utils.scm
	(1.50), edwin/xcom.scm (1.19), microcode/os2pm.scm (1.10),
	microcode/utabmd.scm (9.82), runtime/apply.scm (1.4),
	runtime/arith.scm (1.48), runtime/debug.scm (14.42),
	runtime/defstr.scm (14.36), runtime/error.scm (14.55),
	runtime/graphics.scm (1.19), runtime/infstr.scm (1.13),
	runtime/list.scm (14.29), runtime/make.scm (14.82),
	runtime/os2winp.scm (1.17), runtime/parse.scm (14.35),
	runtime/parser-buffer.scm (1.2), runtime/port.scm (1.21),
	runtime/recslot.scm (1.6), runtime/rgxcmp.scm (1.118),
	runtime/runtime.pkg (14.403), runtime/scomb.scm (14.18),
	runtime/starbase.scm (1.15), runtime/string.scm (14.46),
	runtime/sysmac.scm (14.7), runtime/vector.scm (14.19),
	sf/object.scm (4.12), sos/class.scm (1.11), sos/instance.scm
	(1.13), sos/load.scm (1.10), sos/macros.scm (1.12), sos/sos.pkg
	(1.11), star-parser/matcher.scm (1.28), star-parser/parser.pkg
	(1.17), star-parser/parser.scm (1.31),
	swat/scheme/control-floating-errors.scm (1.3), swat/scheme/load.scm
	(1.7), swat/scheme/mit-xhooks.scm (1.4), swat/scheme/scc-macros.scm
	(1.3), swat/scheme/uitk-macros.scm (1.2), wabbit/test-wabbit.scm
	(1.3), win32/dib.scm (1.5), win32/ffimacro.scm (1.5),
	win32/make.scm (1.9), win32/win32.pkg (1.15), win32/win32.sf (1.8),
	win32/win_ffi.scm (1.8), win32/wingdi.scm (1.3), win32/winnt.scm
	(1.3), win32/winuser.scm (1.3), win32/wt_user.scm (1.6): Eliminate
	all references to SYNTAX-TABLE/DEFINE.	Wrap all macros with new
	procedure NON-HYGIENIC-MACRO-TRANSFORMER; this will serve as a
	marker for identifying macros that need to be rewritten.

2001-12-21 23:00  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: edwin.ldr (1.73), macros.scm (1.69): Store macro
	definitions in environments rather than in syntax tables.

2001-12-21 22:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/: base/macros.scm (4.21), machines/i386/compiler.sf
	(1.18), machines/i386/compiler.pkg (1.27): Store macro definitions
	in environments rather than in syntax tables.

2001-12-21 22:17  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: syntax.scm (14.49), unsyn.scm (14.26), urtrap.scm
	(14.10), runtime.pkg (14.402): Fix problem: DEFINE-SYNTAX was
	expanding into a fixed reference trap in which the SCode lambda was
	inserted; it must instead expand into an expression that evaluates
	the lambda and wraps it in a reference trap.

2001-12-21 13:41  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: clsmac.scm (1.6), edwin.pkg (1.279), macros.scm (1.68):
	Store macro definitions in environments rather than in syntax
	tables.

2001-12-21 13:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/defstr.scm (14.35), runtime/make.scm (14.81),
	runtime/runtime.pkg (14.401), sf/pardec.scm (4.14), sf/sf.pkg
	(4.15): Store macro definitions in environments rather than in
	syntax tables.

2001-12-21 13:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* sf/toplev.scm (4.21): Eliminate reference to SYNTAX-TABLE?.

2001-12-21 13:31  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/toplev.scm (4.62): Eliminate reference to
	GUARANTEE-SYNTAX-TABLE.

2001-12-21 13:28  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/vax/dsyn.scm (1.10): Store macro definitions in
	environments rather than in syntax tables.

2001-12-21 13:27  Chris Hanson <cph@zurich.ai.mit.edu>

	* sf/toplev.scm (4.20): Eliminate references to MAKE-SYNTAX-TABLE.

2001-12-21 13:22  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: macros.scm (1.6), make.scm (14.80), runtime.pkg
	(14.400), syntab.scm (14.9), syntax.scm (14.48), sysmac.scm (14.6),
	uenvir.scm (14.50), unsyn.scm (14.25), urtrap.scm (14.9): Store
	macro definitions in environments rather than in syntax tables.

2001-12-21 13:18  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/lookup.c (9.68): Fix bug: looking up a macro returns
	the trap, not the transformer.

2001-12-21 00:17  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: make.scm (14.79), runtime.pkg (14.399), syntax.scm
	(14.47), uenvir.scm (14.49): Change DEFINE-SYNTAX so that it emits
	code to define the macro at run time when written at top level.

2001-12-20 23:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/errors.h (9.44), microcode/lookprm.c (1.17),
	microcode/lookup.c (9.67), microcode/sdata.h (9.39),
	microcode/trap.h (9.49), microcode/utabmd.scm (9.81),
	microcode/version.h (11.183), runtime/error.scm (14.54),
	runtime/runtime.pkg (14.398), runtime/uenvir.scm (14.48),
	runtime/uerror.scm (14.50), runtime/urtrap.scm (14.8): Implement
	support for storing macro transformers in environments.

2001-12-20 20:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: make.scm (14.78), runtime.pkg (14.397): Fix problem:
	this file was being syntaxed in the (RUNTIME) package but loaded
	into the () package; it needed on the macros in (RUNTIME).  Also
	add this file to the package description, so that its bindings are
	visible.

2001-12-20 20:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/global.scm (14.57): Fix comment.

2001-12-20 16:45  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/: back/lapgn3.scm (4.13), base/crsend.scm (1.11),
	base/lvalue.scm (4.23), base/scode.scm (4.12), base/utils.scm
	(4.22), fggen/canon.scm (1.19), fggen/fggen.scm (4.34),
	machines/C/lapgen.scm (1.13), machines/C/rules3.scm (1.10),
	machines/C/rulfix.scm (1.4), machines/C/rulflo.scm (1.6),
	machines/alpha/dassm1.scm (1.3), machines/alpha/dassm2.scm (1.3),
	machines/alpha/instr1.scm (1.5), machines/alpha/instr2.scm (1.3),
	machines/alpha/instr3.scm (1.3), machines/alpha/lapgen.scm (1.8),
	machines/alpha/rules3.scm (1.9), machines/alpha/rulflo.scm (1.5),
	machines/bobcat/assmd.scm (1.38), machines/bobcat/dassm1.scm
	(4.21), machines/bobcat/dassm2.scm (4.24),
	machines/bobcat/flinstr1.scm (1.3), machines/bobcat/flinstr2.scm
	(1.3), machines/bobcat/instr2.scm (1.20),
	machines/bobcat/instr3.scm (1.19), machines/bobcat/instr4.scm
	(1.5), machines/bobcat/lapgen.scm (4.52),
	machines/bobcat/machin.scm (4.33), machines/bobcat/rules3.scm
	(4.42), machines/i386/assmd.scm (1.4), machines/i386/dassm1.scm
	(1.11), machines/i386/dassm2.scm (1.10), machines/i386/dassm3.scm
	(1.8), machines/i386/instr1.scm (1.14), machines/i386/instr2.scm
	(1.8), machines/i386/instrf.scm (1.16), machines/i386/lapgen.scm
	(1.29), machines/i386/rules3.scm (1.36), machines/i386/rulfix.scm
	(1.32), machines/i386/rulflo.scm (1.23), machines/mips/assmd.scm
	(1.4), machines/mips/dassm1.scm (1.6), machines/mips/dassm2.scm
	(1.6), machines/mips/instr1.scm (1.8), machines/mips/instr2a.scm
	(1.6), machines/mips/instr2b.scm (1.5), machines/mips/instr3.scm
	(1.4), machines/mips/lapgen.scm (1.17), machines/mips/mips.scm
	(1.3), machines/mips/rules3.scm (1.19), machines/mips/rulflo.scm
	(1.9), machines/sparc/assmd.scm (1.3), machines/sparc/instr1.scm
	(1.3), machines/sparc/instr2a.scm (1.3), machines/sparc/instr2b.scm
	(1.3), machines/sparc/instr3.scm (1.3), machines/sparc/lapgen.scm
	(1.4), machines/sparc/rules3.scm (1.3), machines/sparc/rulflo.scm
	(1.3), machines/spectrum/assmd.scm (1.32),
	machines/spectrum/dassm1.scm (4.21), machines/spectrum/dassm2.scm
	(4.22), machines/spectrum/instr1.scm (1.5),
	machines/spectrum/instr2.scm (1.9), machines/spectrum/instr3.scm
	(1.4), machines/spectrum/lapgen.scm (4.49),
	machines/spectrum/rules3.scm (4.43), machines/spectrum/rulfix.scm
	(4.49), machines/spectrum/rulflo.scm (4.41), machines/vax/assmd.scm
	(4.8), machines/vax/dassm1.scm (4.8), machines/vax/dassm2.scm
	(4.14), machines/vax/instr2.scm (1.8), machines/vax/instr3.scm
	(1.12), machines/vax/lapgen.scm (4.17), machines/vax/rules3.scm
	(4.13), machines/vax/rulfix.scm (1.7), rtlbase/rtlreg.scm (4.7),
	machines/alpha/assmd.scm (1.3): Eliminate MACRO special form.

2001-12-20 16:28  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax.scm (14.46), 6001/arith.scm (1.7): Eliminate MACRO
	special form.

2001-12-20 16:25  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/class.scm (1.10), swat/scheme/mit-xhooks.scm (1.3),
	wabbit/test-wabbit.scm (1.2), edwin/buffer.scm (1.183),
	edwin/calias.scm (1.22), edwin/dosproc.scm (1.6), edwin/schmod.scm
	(1.58), edwin/search.scm (1.152), edwin/tterm.scm (1.31): Eliminate
	MACRO special form.

2001-12-20 16:22  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/apply.scm (1.3), runtime/arith.scm (1.47),
	runtime/graphics.scm (1.18), runtime/infstr.scm (1.12),
	runtime/list.scm (14.28), runtime/vector.scm (14.18),
	runtime/scomb.scm (14.17), runtime/starbase.scm (1.14),
	sf/object.scm (4.11): Eliminate MACRO special form.

2001-12-20 16:20  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/make.scm (14.77): Eliminate references to
	THE-ENVIRONMENT.

2001-12-20 15:51  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/utils.scm (4.21), compiler/etc/comcmp.scm (1.8),
	compiler/machines/i386/instr1.scm (1.13),
	compiler/machines/i386/instr2.scm (1.7),
	compiler/machines/i386/instrf.scm (1.15),
	compiler/machines/spectrum/instr2.scm (1.8),
	compiler/machines/vax/instr1.scm (1.8),
	compiler/machines/vax/instr2.scm (1.7),
	compiler/machines/vax/instr3.scm (1.11), edwin/regexp.scm (1.76),
	edwin/search.scm (1.151), edwin/syntax.scm (1.87), edwin/utils.scm
	(1.49), microcode/os2pm.scm (1.9), microcode/utabmd.scm (9.80),
	runtime/arith.scm (1.46), runtime/debug.scm (14.41),
	runtime/error.scm (14.53), runtime/os2winp.scm (1.16),
	runtime/parse.scm (14.34), runtime/recslot.scm (1.5),
	runtime/rgxcmp.scm (1.117), runtime/syntax.scm (14.45),
	sos/instance.scm (1.12), star-parser/matcher.scm (1.27),
	star-parser/parser.scm (1.30),
	swat/scheme/control-floating-errors.scm (1.2), win32/win_ffi.scm
	(1.7): Eliminate DEFINE-MACRO special form.

2001-12-20 15:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax.scm (14.44): Eliminate definition of SCODE-QUOTE.

2001-12-20 15:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/unsyn.scm (14.24): Fix over-long lines.

2001-12-20 13:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/make.scm (14.76): Eliminate references to
	THE-ENVIRONMENT.

2001-12-20 13:47  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/back/syntax.scm (1.28), sf/usiexp.scm (4.41): Eliminate
	references to THE-ENVIRONMENT.

2001-12-20 13:04  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fggen/canon.scm (1.18), runtime/infutl.scm (1.66),
	runtime/syntax.scm (14.43), sf/gconst.scm (4.27): Eliminate
	references to MAKE-ENVIRONMENT.

2001-12-20 13:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/etc/disload.scm (1.11), edwin/schmod.scm (1.57),
	runtime/macros.scm (1.5), runtime/unsyn.scm (14.23),
	runtime/runtime.pkg (14.396): Eliminate references to
	MAKE-ENVIRONMENT.

2001-12-20 11:28  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/scode.scm (4.11), compiler/fggen/canon.scm (1.17),
	compiler/fggen/fggen.scm (4.33), cref/anfile.scm (1.7),
	runtime/codwlk.scm (14.4), runtime/illdef.scm (1.5),
	runtime/prgcop.scm (1.7), runtime/runtime.pkg (14.395),
	runtime/scode.scm (14.17), runtime/unsyn.scm (14.22),
	runtime/xeval.scm (1.7), sf/cgen.scm (4.5), sf/chtype.scm (4.4),
	sf/copy.scm (4.6), sf/free.scm (4.4), sf/object.scm (4.10),
	sf/sf.sf (4.11), sf/subst.scm (4.17), sf/xform.scm (4.11),
	sos/macros.scm (1.11): Eliminate IN-PACKAGE and USING-SYNTAX
	special forms.

2001-12-20 11:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* 6001/make.scm (15.33), compiler/rtlopt/rdebug.scm (1.4),
	edwin/artdebug.scm (1.30), edwin/debug.scm (1.59), edwin/kmacro.scm
	(1.44), edwin/schmod.scm (1.56), imail/fake-env.scm (1.5),
	pcsample/load.scm (1.6), runtime/pp.scm (14.43),
	runtime/runtime.pkg (14.394), runtime/syntax.scm (14.42),
	runtime/thread.scm (1.35), star-parser/shared.scm (1.22),
	swat/scheme/load.scm (1.6), swat/scheme/mit-xhooks.scm (1.2),
	win32/wt_user.scm (1.5): Eliminate IN-PACKAGE and USING-SYNTAX
	special forms.

2001-12-20 01:51  Chris Hanson <cph@zurich.ai.mit.edu>

	* sicp/studen.scm (1.11), runtime/syntax.scm (14.41),
	runtime/runtime.pkg (14.393), runtime/syntab.scm (14.8): Eliminate
	references to SYNTAX-TABLE-DEFINE and SYNTAX-TABLE-REF.

2001-12-20 01:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml.pkg (1.9), runtime/runtime.pkg (14.392),
	runtime/syntax.scm (14.40): Eliminate references to
	SYSTEM-GLOBAL-SYNTAX-TABLE.

2001-12-20 01:43  Chris Hanson <cph@zurich.ai.mit.edu>

	* swat/scheme/scc-macros.scm (1.2), win32/ffimacro.scm (1.4),
	xml/ed-ffi.scm (1.4): Eliminate references to
	SYSTEM-GLOBAL-SYNTAX-TABLE.

2001-12-20 01:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/load.scm (1.9), star-parser/ed-ffi.scm (1.5),
	star-parser/parser.pkg (1.16), star-parser/matcher.scm (1.26),
	star-parser/parser.scm (1.29): Eliminate references to
	SYSTEM-GLOBAL-SYNTAX-TABLE.

2001-12-20 01:34  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/defstr.scm (14.34), runtime/macros.scm (1.4),
	sf/pardec.scm (4.13), sf/toplev.scm (4.19), sicp/strmac.scm (1.3):
	Eliminate references to SYSTEM-GLOBAL-SYNTAX-TABLE.

2001-12-20 01:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* rcs/compile.scm (1.4): Eliminate references to
	SYSTEM-GLOBAL-SYNTAX-TABLE.

2001-12-20 00:04  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/i386/compiler.sf (1.17): Fix bug: compiler was
	being syntaxed in wrong environment.

2001-12-19 23:14  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/macros.scm (4.20): Fix missing bindings for
	UCODE-PRIMITIVE and UCODE-TYPE.

2001-12-19 22:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/: macros.scm (4.18), macros.scm (4.19): Fix problem
	caused by SCode-manipulating macro being closed in compiler
	environment.

2001-12-19 22:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* cref/cref.sf (1.15): Fix dangling reference to
	SF/SET-DEFAULT-SYNTAX-TABLE!.

2001-12-19 22:27  Chris Hanson <cph@zurich.ai.mit.edu>

	* win32/win32.pkg (1.14): Eliminate references to
	SYNTAX-TABLE/SYSTEM-INTERNAL.

2001-12-19 22:23  Chris Hanson <cph@zurich.ai.mit.edu>

	* 6001/: 6001.sf (1.13), pic-ops.scm (1.6), pic-read.scm (1.6),
	pic-reco.scm (1.8), picture.scm (1.30): Eliminate references to
	SYNTAX-TABLE/SYSTEM-INTERNAL.

2001-12-19 22:16  Chris Hanson <cph@zurich.ai.mit.edu>

	* 6001/6001.pkg (1.14): Eliminate references to
	SYNTAX-TABLE/SYSTEM-INTERNAL.

2001-12-19 22:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/instance.scm (1.11): Eliminate references to
	SYNTAX-TABLE/SYSTEM-INTERNAL.

2001-12-19 22:04  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/: base/switch.scm (4.26), machines/C/compiler.pkg
	(1.12), machines/C/decls.scm (1.6), machines/alpha/compiler.pkg
	(1.15), machines/alpha/compiler.sf (1.10), machines/alpha/decls.scm
	(1.8), machines/bobcat/compiler.pkg (1.52),
	machines/bobcat/compiler.sf (1.22), machines/bobcat/decls.scm
	(4.39), machines/i386/compiler.pkg (1.26),
	machines/i386/compiler.sf (1.16), machines/i386/decls.scm (1.11),
	machines/mips/compiler.pkg (1.22), machines/mips/compiler.sf-big
	(1.12), machines/mips/compiler.sf-little (1.12),
	machines/mips/decls.scm (1.12), machines/sparc/decls.scm (1.6),
	machines/spectrum/compiler.pkg (1.52),
	machines/spectrum/compiler.sf (1.22), machines/spectrum/decls.scm
	(4.37), machines/vax/compiler.pkg (1.24), machines/vax/compiler.sf
	(1.13), machines/vax/decls.scm (4.15): Eliminate
	COMPILER:ENABLE-EXPANSION-DECLARATIONS? and the associated
	early-expansion macros.  This hasn't been used in a while and
	there's no clear way to make it work when environments and syntax
	tables are unified.

2001-12-19 21:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/: back/syerly.scm (1.12), machines/alpha/inerly.scm
	(1.5), machines/bobcat/inerly.scm (1.10), machines/i386/inerly.scm
	(1.6), machines/mips/inerly.scm (1.5), machines/sparc/inerly.scm
	(1.5), machines/spectrum/inerly.scm (1.5), machines/vax/inerly.scm
	(1.9): Remove unused definitions of DEFINE-EARLY-TRANSFORMER.  Move
	bindings for EARLY-TRANSFORMERS and EARLY-INSTRUCTIONS to
	"back/syerly.scm".

2001-12-19 21:03  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/: alpha/inerly.scm (1.4), i386/inerly.scm
	(1.5), mips/inerly.scm (1.4), sparc/inerly.scm (1.4),
	spectrum/inerly.scm (1.4): Remove unused EQ-SUBSET? definitions.

2001-12-19 16:55  Chris Hanson <cph@zurich.ai.mit.edu>

	* win32/win32.sf (1.7): Eliminate references to
	SYNTAX-TABLE/SYSTEM-INTERNAL.

2001-12-19 16:51  Chris Hanson <cph@zurich.ai.mit.edu>

	* wabbit/wabbit.sf (1.4), win32/win32.sf (1.6), sf/sf.sf (4.10):
	Eliminate references to SYNTAX-TABLE/SYSTEM-INTERNAL.

2001-12-19 16:47  Chris Hanson <cph@zurich.ai.mit.edu>

	* 6001/6001.sf (1.12), pcsample/pcs.sf (1.3), runtime/runtime.sf
	(14.17), swat/scheme/swat.cbf (1.2), swat/scheme/swat.sf (1.4):
	Eliminate references to SYNTAX-TABLE/SYSTEM-INTERNAL.

2001-12-19 16:41  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: runtime.pkg (14.391), sysmac.scm (14.5): Eliminate
	references to SYNTAX-TABLE/SYSTEM-INTERNAL.

2001-12-19 16:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/: back/asmmac.scm (1.9), base/macros.scm (4.17),
	machines/C/compiler.pkg (1.11), machines/C/compiler.sf (1.9),
	machines/C/decls.scm (1.5), machines/alpha/compiler.pkg (1.14),
	machines/alpha/compiler.sf (1.9), machines/alpha/decls.scm (1.7),
	machines/alpha/inerly.scm (1.3), machines/alpha/insmac.scm (1.3),
	machines/alpha/lapgen.scm (1.7), machines/alpha/rules1.scm (1.4),
	machines/alpha/rules2.scm (1.3), machines/alpha/rules3.scm (1.8),
	machines/alpha/rules4.scm (1.4), machines/alpha/rulfix.scm (1.5),
	machines/alpha/rulflo.scm (1.4), machines/bobcat/compiler.pkg
	(1.51), machines/bobcat/compiler.sf (1.21),
	machines/bobcat/decls.scm (4.38), machines/bobcat/inerly.scm (1.9),
	machines/bobcat/insmac.scm (1.128), machines/i386/compiler.pkg
	(1.25), machines/i386/compiler.sf (1.15), machines/i386/decls.scm
	(1.10), machines/i386/inerly.scm (1.4), machines/i386/insmac.scm
	(1.12), machines/mips/compiler.pkg (1.21),
	machines/mips/compiler.sf-big (1.11),
	machines/mips/compiler.sf-little (1.11), machines/mips/decls.scm
	(1.11), machines/mips/inerly.scm (1.3), machines/mips/insmac.scm
	(1.4), machines/sparc/decls.scm (1.5), machines/sparc/inerly.scm
	(1.3), machines/sparc/insmac.scm (1.3),
	machines/spectrum/compiler.pkg (1.51),
	machines/spectrum/compiler.sf (1.21), machines/spectrum/decls.scm
	(4.36), machines/spectrum/inerly.scm (1.3),
	machines/spectrum/insmac.scm (1.4), machines/vax/compiler.pkg
	(1.23), machines/vax/compiler.sf (1.12), machines/vax/decls.scm
	(4.14), machines/vax/dsyn.scm (1.9), machines/vax/inerly.scm (1.8),
	machines/vax/insmac.scm (1.14): Remove explicit references to
	syntax tables.

2001-12-19 15:49  Chris Hanson <cph@zurich.ai.mit.edu>

	* sos/compile.scm (1.5), sos/ed-ffi.scm (1.3), sos/instance.scm
	(1.10), sos/sos.pkg (1.10), runtime/option.scm (14.39),
	swat/scheme/other/unhash-testing.scm (1.2): Eliminate references to
	SYNTAX-TABLE/SYSTEM-INTERNAL.

2001-12-19 14:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: cmpauxmd/i386.m4 (1.56), cmpintmd/i386.h (1.34):
	Change cache serialization to do condition testing once when Scheme
	is started rather each time a closure is created.

2001-12-19 00:26  Chris Hanson <cph@zurich.ai.mit.edu>

	* sf/: toplev.scm (4.18), sf.pkg (4.14): Delete
	SF/SET-DEFAULT-SYNTAX-TABLE!.

2001-12-19 00:25  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: artdebug.scm (1.29), comred.scm (1.123), debug.scm
	(1.58), editor.scm (1.253), evlcom.scm (1.65), filcom.scm (1.223),
	intmod.scm (1.115), schmod.scm (1.55): Excise syntax tables from
	the REPL.

2001-12-19 00:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/error.scm (14.52), runtime/load.scm (14.60),
	runtime/packag.scm (14.39), runtime/rep.scm (14.57),
	runtime/runtime.pkg (14.390), runtime/syntax.scm (14.39),
	runtime/usrint.scm (1.17), 6001/nodefs.scm (1.12): Excise syntax
	tables from the REPL.

2001-12-18 23:18  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/uenvir.scm (14.47): Reimplement
	EXTEND-INTERPRETER-ENVIRONMENT and
	MAKE-NULL-INTERPRETER-ENVIRONMENT so that they don't use EVAL, and
	so that they take optional arguments specifying bindings to be
	defined in the newly-allocated environment.

2001-12-18 23:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax.scm (14.37), sf/sf.pkg (4.13), runtime/runtime.pkg
	(14.389), runtime/global.scm (14.56), runtime/syntax.scm (14.38):
	Move SYNTAXER/DEFAULT-ENVIRONMENT into the syntaxer.

2001-12-18 23:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* sf/usicon.scm (4.5), sos/load.scm (1.8): Change references to
	LOCAL-ASSIGNMENT and LEXICAL-* to instead use procedures in the
	environment abstraction.

2001-12-18 22:31  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/unpars.scm (14.49): Change references to LOCAL-ASSIGNMENT
	and LEXICAL-* to instead use procedures in the environment
	abstraction.

2001-12-18 20:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/autold.scm (1.62): Use default syntax table for LOAD.

2001-12-18 20:54  Chris Hanson <cph@zurich.ai.mit.edu>

	* cref/redpkg.scm (1.25): Change order of names in renaming export
	declaration; now first name is always the destination and second is
	always the source.

2001-12-18 20:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/winren.scm (1.6): Rename references to SCode variable
	abstraction.  Eliminate special hack in "rename.scm"; instead use
	new packaging feature to link different names.

2001-12-18 20:49  Chris Hanson <cph@zurich.ai.mit.edu>

	* swat/scheme/load.scm (1.5), compiler/etc/disload.scm (1.10):
	Change references to LOCAL-ASSIGNMENT and LEXICAL-* to instead use
	procedures in the environment abstraction.

2001-12-18 20:45  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/autold.scm (1.61), edwin/debug.scm (1.57), edwin/evlcom.scm
	(1.64), edwin/macros.scm (1.67), xml/compile.scm (1.8): Change
	references to LOCAL-ASSIGNMENT and LEXICAL-* to instead use
	procedures in the environment abstraction.

2001-12-18 20:44  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/xform.scm (1.11): Rename references to SCode variable
	abstraction.

2001-12-18 20:43  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: edwin.pkg (1.278), rename.scm (1.8): Rename references to
	SCode variable abstraction.  Eliminate special hack in
	"rename.scm"; instead use new packaging feature to link different
	names.

2001-12-18 20:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/dired.scm (1.190): Eliminate unnecessary use of
	LEXICAL-UNREFERENCEABLE?.

2001-12-18 20:41  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/clsmac.scm (1.5): Rename references to SCode variable
	abstraction.

2001-12-18 20:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/uerror.scm (14.49): Use ENVIRONMENT-DEFINE in place of
	LOCAL-ASSIGNMENT.

2001-12-18 20:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: runtime.pkg (14.388), syntab.scm (14.7), syntax.scm
	(14.36), uenvir.scm (14.46): Implement ENVIRONMENT-DEFINE and
	ENVIRONMENT-ASSIGNED?.	Change ENVIRONMENT-LOOKUP to signal an
	error if the variable is unassigned.  Move ENVIRONMENT-SYNTAX-TABLE
	and SET-ENVIRONMENT-SYNTAX-TABLE! into the syntax-table
	abstraction.

2001-12-18 17:23  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: xform.scm (1.10), edwin.pkg (1.277): Rename references to
	SCode variable abstraction.

2001-12-18 17:17  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/load.scm (14.59): Allow syntax table to be explicitly
	defaulted.

2001-12-18 17:16  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: autold.scm (1.59), autold.scm (1.60): Use default syntax
	table for LOAD.

2001-12-18 17:12  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: c-mode.scm (1.60), htmlmode.scm (1.5), javamode.scm
	(1.11), midas.scm (1.22), pasmod.scm (1.51), schmod.scm (1.54),
	syntax.scm (1.86), texcom.scm (1.46), tximod.scm (1.25),
	verilog.scm (1.9), vhdl.scm (1.9): Use MAKE-CHAR-SYNTAX-TABLE
	rather than MAKE-SYNTAX-TABLE.

2001-12-18 16:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/edwin.sf (1.29): Eliminate reference to
	SYNTAX-TABLE/SYSTEM-INTERNAL.

2001-12-18 16:55  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/sysmac.scm (14.4): Attach syntax table to (RUNTIME)
	environment.

2001-12-18 16:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/edwin.sf (1.28): Eliminate references to EDWIN-SYNTAX-TABLE
	and CLASS-SYNTAX-TABLE.

2001-12-18 16:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail.pkg (1.95): (RUNTIME URL) package must inherit from
	(RUNTIME).

2001-12-18 16:34  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: autold.scm (1.58), clsmac.scm (1.4), decls.scm (1.71),
	dosshell.scm (1.5), ed-ffi.scm (1.52), edwin.pkg (1.276),
	filcom.scm (1.222), fileio.scm (1.156), macros.scm (1.66):
	Eliminate references to EDWIN-SYNTAX-TABLE and CLASS-SYNTAX-TABLE.

2001-12-18 16:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/compile.scm (1.16): Eliminate references to syntax tables.

2001-12-18 16:30  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/toplev.scm (4.61): Use GUARANTEE-SYNTAX-TABLE.

2001-12-18 16:28  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/ed-ffi.scm (1.18): Eliminate references to syntax tables.

2001-12-18 16:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/load.scm (14.58): Default syntax table must be
	ENVIRONMENT-SYNTAX-TABLE of load environment.

2001-12-18 15:50  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/intmod.scm (1.114), runtime/uenvir.scm (14.45),
	runtime/runtime.pkg (14.387): Rename EXTEND-IC-ENVIRONMENT to
	EXTEND-INTERPRETER-ENVIRONMENT.

2001-12-18 15:49  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/uenvir.scm (14.44): Don't generate syntax tables
	automatically in EXTEND-IC-ENVIRONMENT.

2001-12-18 15:47  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntab.scm (14.6): Extend syntax-table abstraction so
	that it works on environments as well as syntax tables.

2001-12-18 15:47  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/syntax.scm (14.35): Use GUARANTEE-SYNTAX-TABLE.

2001-12-18 15:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/urtrap.scm (14.7): Create procedures to generate
	unassigned and unbound objects.

2001-12-18 15:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/symbol.scm (1.7): Replace magic code by reference to
	MAKE-UNMAPPED-UNBOUND-REFERENCE-TRAP.

2001-12-18 15:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: packag.scm (14.38), runtime.pkg (14.386): Create
	procedure to generate unassigned objects.

2001-12-18 14:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/packag.scm (14.37): Guarantee that source binding of an
	import is defined.  Source binding of an export is always defined
	by the package description.

2001-12-18 14:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* cref/redpkg.scm (1.24): Don't ever mark the source binding of a
	link as new.  This was an attempt to work around problems with the
	linker, but the problem is in the linker and not here; the linker
	should automatically generate the source binding if it is missing.

2001-12-18 13:39  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: bitstr.scm (14.4), blowfish.scm (1.24), boole.scm
	(14.4), boot.scm (14.13), ed-ffi.scm (1.31), equals.scm (14.9),
	fixart.scm (1.8), global.scm (14.55), lambdx.scm (14.10), make.scm
	(14.75), msort.scm (14.9), ntprm.scm (1.37), os2prm.scm (1.48),
	qsort.scm (14.5), queue.scm (14.5), runtime.pkg (14.385), sfile.scm
	(14.32), symbol.scm (1.6), syntax.scm (14.34), udata.scm (14.21),
	unxprm.scm (1.62), vector.scm (14.17): Restructure packaging so
	that all runtime-system packages inherit from the (RUNTIME)
	package.  We will use the latter as a place to attach the syntax
	from SYNTAX-TABLE/SYSTEM-INTERNAL.

2001-12-18 13:27  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/make.scm (14.74): Fix typo in comment.

2001-12-17 17:05  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/cmpauxmd/i386.m4 (1.55): Athlon model 2 is OK as well.

2001-12-17 15:27  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/cmpauxmd/i386.m4 (1.54): Fine tune the code that
	decides when to use CPUID.  For now, use it only for Athlon model
	1, 2, 3, or 4 processors.  According to AMD, the model 6 is OK, and
	perhaps the model 7 as well.  The model 4 is known to be bad, and
	models 1, 2, and 3 are probably bad too.  No Intel processors are
	known to be bad.

2001-12-17 14:41  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/cmpauxmd/i386.m4 (1.53): Fix: ia32_cache_synchronize is
	supposed to be an ordinary C procedure, not an "entry point" for
	"cmpint.c".

2001-12-17 14:29  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/cmpauxmd/i386.m4 (1.52): Use ".586p" rather than
	".386p"; otherwise the CPUID instruction isn't recognized.

2001-12-17 13:03  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/makegen/Makefile.in.in (1.18): Fix default target; it
	wasn't including everything.

2001-12-17 12:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* 6001/6001.pkg (1.13), compiler/machines/C/compiler.sf (1.8),
	compiler/machines/alpha/compiler.sf (1.8),
	compiler/machines/bobcat/compiler.sf (1.20),
	compiler/machines/i386/compiler.sf (1.14),
	compiler/machines/mips/compiler.sf-big (1.10),
	compiler/machines/mips/compiler.sf-little (1.10),
	compiler/machines/spectrum/compiler.sf (1.20),
	compiler/machines/vax/compiler.sf (1.11), cref/Makefile.in (1.2),
	cref/cref.sf (1.14), cref/make.scm (1.24), cref/redpkg.scm (1.23),
	cref/toplev.scm (1.16), edwin/Clean.sh (1.5), edwin/edwin.sf
	(1.27), edwin/make.scm (3.113), imail/Makefile.in (1.3),
	imail/clean.sh (1.4), imail/imail.pkg (1.94), runtime/make.scm
	(14.73), runtime/packag.scm (14.36), runtime/runtime.pkg (14.384),
	runtime/sfile.scm (14.31), runtime/version.scm (14.204),
	runtime-check/Clean.sh (1.3), runtime-check/Setup.sh (1.5),
	sf/butils.scm (4.11), sf/make.scm (4.40), sf/sf.pkg (4.12),
	sos/Makefile.in (1.3), star-parser/Makefile.in (1.2),
	xml/Makefile.in (1.2): Change package system to conditionalize
	everything according to the operating-system type.  All output
	files are now OS-specific, e.g.  "runtime.pkg" produces output
	files "runtime-unx.{pkd,fre,crf}".  Package files can now use the
	conditionalization variable OS-TYPE.

2001-12-16 23:41  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: filcom.scm (1.221), make.scm (3.112): Allow syntax-table
	information to be left out of FFI tables.  This simplifies
	transition to new system in which syntax information is stored in
	environments.

2001-12-16 23:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/version.scm (14.203): Update to reflect that things have
	changed since the 7.6.0 release.

2001-12-16 01:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/make.scm (4.116), compiler/machines/i386/dassm3.scm
	(1.7), compiler/machines/i386/instr1.scm (1.12),
	compiler/machines/i386/lapgen.scm (1.28),
	compiler/machines/i386/rules3.scm (1.35), microcode/bchdmp.c
	(9.90), microcode/bchgcl.c (9.54), microcode/bintopsb.c (9.74),
	microcode/cmpgc.h (1.32), microcode/cmpint.c (1.95),
	microcode/fasdump.c (9.66), microcode/fasload.c (9.91),
	microcode/gcloop.c (9.49), microcode/nttrap.c (1.19),
	microcode/os2xcpt.c (1.9), microcode/purify.c (9.61),
	microcode/purutl.c (9.52), microcode/uxtrap.c (1.31),
	microcode/version.h (11.182), microcode/wabbit.c (1.9),
	microcode/cmpauxmd/i386.m4 (1.51), microcode/cmpintmd/alpha.h
	(1.6), microcode/cmpintmd/i386.h (1.33): Add explicit cache
	synchronization support to work around a bug in the Athlon.

2001-12-16 00:54  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/make.scm (4.115.4.1), microcode/version.h
	(11.181.4.2): Add explicit cache synchronization support to work
	around a bug in the Athlon.

2001-12-16 00:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/i386/rules3.scm (1.34.4.3): Use new
	compiled-code hook to executes the CPUID instruction out of line
	only on those processors that need it.

2001-12-16 00:43  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/cmpintmd/i386.h (1.32.4.2), microcode/cmpauxmd/i386.m4
	(1.50.8.2), compiler/machines/i386/lapgen.scm (1.27.4.1): Add
	asm_conditionally_serialize, a compiled-code hook that executes the
	CPUID instruction for some processors.

2001-12-15 21:45  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/i386/rules3.scm (1.34.4.2): Use a different
	code sequence for CPUID; see if it gets better performance.

2001-12-15 21:05  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/i386/dassm3.scm (1.6.4.1): Add CPUID
	instruction.

2001-12-14 16:29  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/version.h (11.181.4.1): Update version number for IA-32
	cache synchronization.

2001-12-14 16:27  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: os2xcpt.c (1.8.4.1), purify.c (9.60.4.1), purutl.c
	(9.51.4.1), uxtrap.c (1.30.4.1), wabbit.c (1.8.4.1): Eliminate
	stupid -1 offset in MANIFEST_CLOSURE_END.

2001-12-14 16:24  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: cmpint.c (1.94.4.1), fasdump.c (9.65.4.1), fasload.c
	(9.90.4.1), gcloop.c (9.48.4.1), nttrap.c (1.18.4.1): Eliminate
	stupid -1 offset in MANIFEST_CLOSURE_END.

2001-12-14 16:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: cmpintmd/alpha.h (1.5.8.1), bchdmp.c (9.89.4.1),
	bchgcl.c (9.53.4.1), bintopsb.c (9.73.4.1), cmpgc.h (1.31.4.1):
	Eliminate stupid -1 offset in MANIFEST_CLOSURE_END.

2001-12-14 15:22  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/i386/rules3.scm (1.34.4.1): Invoke CPUID
	instruction after allocating a closure, in order to synchronize the
	I/D caches.  This is a temporary kludge for proof of concept; it
	will be replaced by more efficient code.

2001-12-14 15:21  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/machines/i386/instr1.scm (1.11.4.1): Add support for
	CPUID instruction.

2001-12-14 15:20  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/cmpintmd/i386.h (1.32.4.1): Add support for cache
	synchronization.

2001-12-14 15:19  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/cmpauxmd/i386.m4 (1.50.8.1): Add support for CPUID
	instruction.  Remove support for DOS and HACK_SEGMENT_REGS.

2001-12-11 00:48  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/: base/switch.scm (4.25.2.1), fggen/canon.scm
	(1.16.2.1): Eliminate COMPILER:AVOID-SCODE?.

2001-12-11 00:36  Chris Hanson <cph@zurich.ai.mit.edu>

	* sicp/genenv.scm (1.3.2.1): Eliminate use of MAKE-ENVIRONMENT.

2001-12-10 13:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/fake-env.scm (1.4.2.2), edwin/intmod.scm (1.113.2.1):
	Rename EXTEND-IC-ENVIRONMENT to EXTEND-INTERPRETER-ENVIRONMENT.

2001-12-10 13:55  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/etc/disload.scm (1.9.2.1): Eliminate use of
	MAKE-ENVIRONMENT.

2001-12-10 13:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/utils.scm (4.20.2.1): Eliminate rule for
	MAKE-ENVIRONMENT.

2001-12-10 13:41  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/unsyn.scm (14.21.2.1), runtime/macros.scm (1.3.2.1),
	edwin/schmod.scm (1.53.2.1), runtime/infutl.scm (1.65.2.1):
	Eliminate rule for MAKE-ENVIRONMENT.

2001-12-10 13:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/fake-env.scm (1.4.2.1): Eliminate use of MAKE-ENVIRONMENT.

2001-12-06 22:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/lookup.c (9.66): Must call MAP_TO_UNASSIGNED on value
	of definition when creating a new binding.

2001-12-04 21:07  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: config.guess (11.2), config.sub (11.2): Update
	autoconf config.* files.

2001-12-03 13:12  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/: imail-top.scm (1.279), load.scm (1.37): Change
	imail-forward to (by default) ask whether to forward all headers.

2001-11-27 11:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/Makefile.in (1.6): URL support no longer in runtime
	system; remove reference.

2001-11-26 23:20  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/makegen/Makefile.in.in (1.17): Change default target so
	that it doesn't try to generate "utabmd.bin".  The "all" target
	remains unchanged.

2001-11-26 21:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* cref/redpkg.scm (1.22): Make another attempt to fix the problem
	with imports.  The previous fix didn't work when the analysis
	information was absent.

2001-11-26 14:11  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/msort.scm (14.8): Tweak merge sort to be stable.

2001-11-20 20:27  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/unicode.scm (1.2): Change WELL-FORMED-CODE-POINTS-LIST?
	to require that the argument be a proper list.

2001-11-19 23:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/shared.scm (1.21): Optimizer wasn't deleting unused
	procedure-valued bindings if the procedure had side-effects.  The
	bug fix to make top-level failure continuations do backtracking
	prevented them from being substituted properly; the substitution
	predicate was extended to allow this.  Also, some valuable
	substitutions weren't being seen because the optimizers were being
	run in a fixed order.  After the peephole optimization is done, it
	reveals more possibilities for substitution.  So now the optimizers
	are re-run until nothing more can be done.

2001-11-19 23:07  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/: matcher.scm (1.25), parser.scm (1.28): Top-level
	failure continuations must do backtracking.

2001-11-19 15:19  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-imap.scm (1.195): Change imap-url-mailbox to always
	be a string.  The root "mailbox" is "", and the root container is
	"/".  Both of these are handled specially when converting the URL
	to a string.
	
	This fixes the bug that allowed the malformed container URL
	"imap://localhost//".

2001-11-17 23:58  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-imap.scm (1.194): Change file naming for cache files,
	so that it satisfies more stringent Windows requirements.  Make
	sure that directory structure exists before locking a folder.

2001-11-17 23:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-imap.scm (1.193): Change file naming for cache files,
	so that it satisfies more stringent Windows requirements.  Make
	sure that directory structure exists before locking a folder.

2001-11-15 00:26  Chris Hanson <cph@zurich.ai.mit.edu>

	* cref/redpkg.scm (1.21): Fix bug: imported bindings in package
	extensions weren't being constructed.

2001-11-14 16:11  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/version.scm (14.202): Update version number for 7.6.0
	release.

2001-11-14 15:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/shared.scm (1.20): Fix some problems in the pointer
	optimization: pointers were being incorrect elided across lambda
	expressions, and external pointer bindings were being elided.  The
	latter is fixed by introducing a mechanism to distinguish internal
	identifiers, which eliminates the need for the WITH-POINTER kludge.

2001-11-14 15:16  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/: shared.scm (1.19), matcher.scm (1.24), parser.scm
	(1.27): Fix some problems in the pointer optimization: pointers
	were being incorrect elided across lambda expressions, and external
	pointer bindings were being elided.  The latter is fixed by
	introducing a mechanism to distinguish internal identifiers, which
	eliminates the need for the WITH-POINTER kludge.

2001-11-14 13:27  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/shared.scm (1.18): Change naming of peephole
	optimizer.  Fold all optimization into GENERATE-EXTERNAL-PROCEDURE.

2001-11-14 13:15  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/: shared.scm (1.17), matcher.scm (1.23), parser.scm
	(1.26): Change naming of peephole optimizer.  Fold all optimization
	into GENERATE-EXTERNAL-PROCEDURE.

2001-11-14 13:03  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/shared.scm (1.16): Add optimizer to elide unnecessary
	buffer-pointer assignments.

2001-11-11 01:05  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/load.scm (1.36), xml/load.scm (1.4): Runtime support for
	*PARSER now integrated into the runtime system.

2001-11-11 01:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/: buffer.scm (1.12), unicode.scm (1.7): Move unicode
	support into runtime system.

2001-11-11 00:58  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/unicode.scm (1.1), runtime/ed-ffi.scm (1.30),
	runtime/runtime.pkg (14.383), star-parser/parser.pkg (1.15),
	star-parser/compile.scm (1.4), star-parser/ed-ffi.scm (1.4): Move
	unicode support into runtime system.

2001-11-11 00:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/rexp.scm (1.18): Fix typo.

2001-11-11 00:51  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: parser-buffer.scm (1.1), runtime.pkg (14.382),
	ed-ffi.scm (1.29): Move parser-buffer abstraction into runtime
	system.

2001-11-11 00:45  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/shared.scm (1.15): Reorganize code for presentation
	style -- no change in function.  Add comments explaining how new
	optimizer works.  Split up some large procedures into smaller
	focused pieces.  Reorder code to improve readability.

2001-11-10 01:31  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/: matcher.scm (1.22), parser.scm (1.25): Add comment
	explaining the WITH-POINTER kludge.

2001-11-09 16:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/: load.scm (1.11), matcher.scm (1.20), parser.scm
	(1.23), shared.scm (1.14), parser.scm (1.24), matcher.scm (1.21):
	Implement substitution optimizer, which does a kind of data-flow
	analysis to eliminate unnecessary lambda expressions.

2001-11-09 16:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/compile.scm (1.7): Need SOS loaded for proper compilation.

2001-11-06 00:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-imap.scm (1.192): Add locking mechanism for the IMAP
	folder cache.  There is one lock per folder, and the lock is held
	only while the folder cache is being read and/or written.  IMAIL
	will try three times to obtain the lock, waiting one second between
	retries; thereafter it ignores the cache until the lock becomes
	available.

2001-11-05 23:48  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/todo.txt (1.135): Add locking mechanism for the IMAP folder
	cache.	There is one lock per folder, and the lock is held only
	while the folder cache is being read and/or written.  IMAIL will
	try three times to obtain the lock, waiting one second between
	retries; thereafter it ignores the cache until the lock becomes
	available.

2001-11-05 23:44  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/: imail-imap.scm (1.191), imail-top.scm (1.278), imail.pkg
	(1.93): Add locking mechanism for the IMAP folder cache.  There is
	one lock per folder, and the lock is held only while the folder
	cache is being read and/or written.  IMAIL will try three times to
	obtain the lock, waiting one second between retries; thereafter it
	ignores the cache until the lock becomes available.

2001-11-05 16:32  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/: url.scm (1.11), load.scm (1.35): Make sure *PARSER is
	loaded for IMAIL.  It's not necessary to load it just for the URL
	file.

2001-11-05 16:23  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/compile.scm (1.15), runtime/ed-ffi.scm (1.28),
	runtime/runtime.pkg (14.381), runtime/version.scm (14.201): Move
	URL support back to IMAIL from the runtime system.

2001-11-05 16:19  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail.pkg (1.91), imail/ed-ffi.scm (1.17), imail/imail.pkg
	(1.92), imail/load.scm (1.34), runtime/optiondb.scm (1.13),
	runtime/url.scm (1.11): Move URL support back to IMAIL from the
	runtime system.

2001-11-05 16:05  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/url.scm (1.10): Move this back to IMAIL from the runtime
	system.  Unlike anything else in the runtime system, it requires
	*PARSER to compile, and I'm not ready to add that dependency.

2001-11-05 15:19  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/load.scm (1.3): Add missing option dependencies.

2001-11-05 14:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/make.scm (4.115): Many changes to closure analysis
	require incrementing version number.

2001-11-05 13:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fgopt/closan.scm (4.29): Add long explanation of the
	analysis.

2001-11-05 13:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fgopt/closan.scm (4.28): Stylistic changes.

2001-11-05 13:12  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fgopt/closan.scm (4.27): Three fixes that together
	resolve the problem of compiling the XML parser.  (1)
	FOR-EACH-CALLEE! claimed to examine all of the callees, but it
	wasn't looking at procedures called from descendant blocks that had
	been disowned.	(2) When removing dependent constraints, due to
	closure, constraints that had indirect dependencies on the
	now-closed procedure weren't being removed.  (3) When adding
	undrifting constraints due to closure contagion, it's wrong to
	constrain the invocation block of a trivial closure.

2001-11-03 00:16  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fgopt/closan.scm (4.26): Use new names for
	LIST-TRANSFORM- procedures; eliminate private definition for
	LIST-TRANSFORM-NEGATIVE!.  Open up definition of FOR-EACH-CALLEE!
	so that it can be experimented with.  Change implementation of
	undrifting conditions so that they can have multiple dependencies.

2001-11-02 12:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/schmod.scm (1.53): Add indentation bindings for new names
	in runtime system.

2001-11-02 12:08  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: uenvir.scm (14.42), uenvir.scm (14.43): Fix bug:
	ENVIRONMENT-BOUND? wasn't examining ancestors of compiled-code
	environment frames.

2001-11-02 09:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fgopt/closan.scm (4.25): Rearrange code to separate out
	manipulation of constraints list.

2001-11-01 23:59  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fgopt/closan.scm (4.24): Add explicit CONDITION datatype
	to track the conditions that tag undrifting constraints.  This
	simplifies the code and clarifies what is happening.
	
	Also change PENDING-UNDRIFTING? to examine the conditions for
	validity in the same way that UNDRIFT-PROCEDURES! does.

2001-11-01 22:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fgopt/closan.scm (4.23): Guarantee that empty constraint
	entries are entirely removed.

2001-11-01 22:27  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: list.scm (14.27), runtime.pkg (14.380): Change names:
	
	    list-transform-positive => keep-matching-items
	    list-transform-negative => delete-matching-items
	    list-search-positive    => find-matching-item
	
	Implement new procedures:
	
	    keep-matching-items!
	    delete-matching-items!

2001-11-01 16:29  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fgopt/closan.scm (4.22): Add hooks to generate debugging
	info about constraints.

2001-11-01 13:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fgopt/closan.scm (4.21): Use RVALUE/TRUE-PROCEDURE?
	where appropriate.

2001-11-01 13:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fgopt/: envopt.scm (1.10), closan.scm (4.20): Rewrite
	for style.

2001-11-01 13:29  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fgopt/: closan.scm (4.19), envopt.scm (1.9): Change
	value of PROCEDURE-FREE-CALLEES so that it contains sets of blocks
	rather than lists of variables.

2001-10-30 14:29  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-top.scm (1.277): Change M-x imail-file-message to
	default to the last output file.

2001-10-30 14:26  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/filcom.scm (1.220): Use PROMPT-OPTIONS-DEFAULT-STRING to
	determine default prompt.  This allows caller to specify that
	history is to be used.

2001-10-30 14:25  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/: prompt.scm (1.198), edwin.pkg (1.275): Implement
	PROMPT-OPTIONS-DEFAULT-STRING to determine whether a set of options
	specifies a default prompt string.

2001-10-25 13:18  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/uxtrap.h (1.30): Modern GNU/Linux implementations
	provide full siginfo and sigcontext support, so use that instead of
	kludging our own.

2001-10-25 13:17  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/uxsig.c (1.37): Add code to reinitialize the
	floating-point control word on IA-32 machines when SIGFPE is
	received.  When this isn't done, all of the traps are disabled.

2001-10-25 11:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-top.scm (1.276): Add workaround for non-standard MIME
	encoding types used by Microsoft.

2001-10-23 20:46  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/proced.scm (4.23): Implement
	RVALUE/TRUE-PROCEDURE?.

2001-10-23 16:31  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/prmhash.c (11.4): Fix problem: I was interpreting the
	meaning of mhash_count incorrectly.

2001-10-22 15:41  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fgopt/desenv.scm (4.5): Update for style.

2001-10-22 15:17  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/blocks.scm (4.15): Update for style.

2001-10-22 15:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/: lvalue.scm (4.22), proced.scm (4.22), rvalue.scm
	(4.8): Update for style.

2001-10-22 15:04  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/proced.scm (4.21): Update for style.

2001-10-21 20:28  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/fixart.scm (1.7): Add FLO:FINITE?.

2001-10-16 23:26  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/debug.scm (4.16): Fix newline convention of
	debugging tools to match current convention.

2001-10-16 16:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/xml-parser.scm (1.11): Fix problem in declaration parser.

2001-10-16 15:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* etc/optiondb.scm (1.8): Add *PARSER and XML options.

2001-10-16 13:56  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/base/make.scm (4.114): Fix bug: don't avoid coloring
	part of the graph just because it is going to be inlined later. 
	There is probably a subtle bug here, but finding it will require
	too much thought, and this fix appears to work.

2001-10-16 13:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/: matcher.scm (1.19), parser.scm (1.22), shared.scm
	(1.13): Add code to reuse existing buffer pointers where possible.

2001-10-16 12:41  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/: matcher.scm (1.18), parser.scm (1.21), shared.scm
	(1.12): OK, this time it's right.  I've gone through all the
	combinations, and everything makes sense.  There are some minor
	efficiency issues which will be resolved in the next revision.

2001-10-16 12:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/fgopt/conect.scm (4.6): Fix bug: don't avoid coloring
	part of the graph just because it is going to be inlined later. 
	There is probably a subtle bug here, but finding it will require
	too much thought, and this fix appears to work.

2001-10-16 00:59  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/: matcher.scm (1.17), parser.scm (1.20), shared.scm
	(1.11): Rewrite control structures again.  These seem correct,
	after many hours of thought and testing.  Also make new top-level
	wrapper for code generators, and eliminate a couple of unused
	definitions.

2001-10-15 13:01  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/: load.scm (1.10), matcher.scm (1.16), parser.scm
	(1.19), shared.scm (1.10): Complete rewrite of output control
	structure.  New structure supports backtracking properly, doing
	greedy matching until a failure occurs, then backtracking
	arbitrarily deeply to find a way forward.

2001-10-13 22:00  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-imap.scm (1.190): Fix bug: large message-body parts
	were being stored in the cache as zero-length strings.

2001-10-13 01:54  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imap-syntax.scm (1.18): Rewrite so we don't depend on
	matchers lifting complex expressions upwards.

2001-10-10 01:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/option.scm (14.38): Fix LOAD-OPTION so that a loading
	option can load any other option.

2001-10-10 00:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: url.scm (1.10), runtime.pkg (14.379): The parser
	language developed for IMAIL has been replaced by the newer *PARSER
	facility.

2001-10-10 00:26  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/: compile.scm (1.14), imail.pkg (1.90), imail-imap.scm
	(1.189), imap-response.scm (1.44), imap-syntax.scm (1.17), load.scm
	(1.33), ed-ffi.scm (1.16), parser.scm (1.5): The parser language
	developed for IMAIL has been replaced by the newer *PARSER
	facility.

2001-10-09 17:17  Chris Hanson <cph@zurich.ai.mit.edu>

	* etc/Stage.sh (1.3): Fix quoting problem.

2001-10-09 13:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/optiondb.scm (1.12): Fix case of symbol.

2001-10-09 12:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/matcher.scm (1.15): Interpret bare string or char as
	self.

2001-10-09 12:02  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/parser.scm (1.18): Interpret bare string or char to
	be noise.

2001-10-05 15:20  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/: compile.scm (1.13), ed-ffi.scm (1.15), imail.pkg (1.89),
	load.scm (1.32), rexp.scm (1.16), url.scm (1.9): Remove URL and
	rexp support, which are now in the runtime system.

2001-10-05 15:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* etc/compile.scm (1.3): Don't forget to compile *parser and xml
	support.

2001-10-05 15:11  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/savres.scm (14.34): Don't clear the screen on restore.

2001-10-05 11:58  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: Makefile.in (1.5), ed-ffi.scm (1.27), optiondb.scm
	(1.11), runtime.pkg (14.378): Add URL-encoding support.

2001-10-05 11:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/url.scm (1.9): Fix copyright.  Guarantee
	regular-expression is loaded.  Fix bug in URL:SUBSTRING-ENCODED?.

2001-10-05 11:54  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/rexp.scm (1.17): Fix copyright dates.

2001-10-05 11:48  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/ed-ffi.scm (1.26): Add missing file: ntdir.

2001-10-05 11:43  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: Makefile.in (1.4), ed-ffi.scm (1.25), optiondb.scm
	(1.10), runtime.pkg (14.377): Add rexp abstraction.

2001-10-05 11:43  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/rexp.scm (1.16): Update copyright.  Add comment
	explaining contents of file.  Change logic since character sets are
	no longer represented as strings.  If character set is argument to
	CASE-FOLD, then case-fold it.

2001-10-04 13:11  Chris Hanson <cph@zurich.ai.mit.edu>

	* configure.in (1.5): Integrate *PARSER and XML support into
	system.

2001-10-04 13:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/Makefile.in (1.1), xml/Makefile.in (1.1): Integrate
	into MIT Scheme.

2001-10-04 13:06  Chris Hanson <cph@zurich.ai.mit.edu>

	* Setup.sh (1.7), Makefile.in (1.18): Integrate *PARSER and XML
	support into system.

2001-10-04 13:06  Chris Hanson <cph@zurich.ai.mit.edu>

	* xml/compile.scm (1.6): Integrate into MIT Scheme.

2001-10-04 12:59  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/: unicode.scm (1.6), buffer.scm (1.11): Fix typo.

2001-10-04 12:51  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/load.scm (1.8), star-parser/parser.pkg (1.14),
	xml/xml.pkg (1.8), star-parser/load.scm (1.9), xml/load.scm (1.2):
	Integrate into MIT Scheme.

2001-10-04 12:28  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/: parser.pkg (1.13), unicode.scm (1.5): Implement
	READ-UTF8-CODE-POINT and WRITE-UTF8-CODE-POINT.

2001-10-04 12:27  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/parser.pkg (1.12): Move MATCH-UTF8-CHAR-IN-ALPHABET
	into parser-buffer abstraction.

2001-10-04 12:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/: string.c (9.45), string.c (9.46), string.c (9.47):
	Don't unnecessarily change the length of a string when altering its
	maximum length.

2001-10-04 11:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/: buffer.scm (1.10), parser.pkg (1.11): Move
	MATCH-UTF8-CHAR-IN-ALPHABET into parser-buffer abstraction.

2001-10-04 11:52  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/: unicode.scm (1.4), parser.pkg (1.10): Remove all
	references to parser buffers.

2001-10-04 11:50  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/buffer.scm (1.9): Optimize code to read and match
	characters from the buffer.

2001-10-02 14:51  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/global.scm (14.54): Add binding for UNBIND-VARIABLE.

2001-10-01 16:40  Chris Hanson <cph@zurich.ai.mit.edu>

	* cref/redpkg.scm (1.20): Fix bug that was causing some variables
	to erroneously have multiple bindings.

2001-10-01 12:22  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-top.scm (1.275): Leave attachment markers in the
	output message.  The result will be an exact copy of the buffer
	contents.

2001-10-01 01:20  Chris Hanson <cph@zurich.ai.mit.edu>

	* star-parser/compile.scm (1.3), xml/compile.scm (1.5): Update for
	new CREF.

2001-09-30 11:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/todo.txt (1.134): Make changes related to new cache
	mechanism.

2001-09-28 23:00  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-top.scm (1.274): START-PROBE-FOLDER-THREAD is being
	called whenever a message is selected, but unfortunately if there
	was already a thread, it was being killed and a new one started,
	which generated network traffic on an IMAP folder.  Now it doesn't
	do anything if there is already a thread.

2001-09-28 22:58  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-imap.scm (1.188): Don't generate "Reading ..."
	messages unless actually going to the network.	Remove debugging
	code inadvertently left in last revision.

2001-09-28 21:04  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/todo.txt (1.133): Add disk cache for IMAP folders.

2001-09-28 15:22  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-imap.scm (1.187): Add disk cache for IMAP folders.

2001-09-28 15:18  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/: imail-imap.scm (1.186), load.scm (1.31): Add disk cache
	for IMAP folders.

2001-09-28 11:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/imail-top.scm (1.273): Implement new command M-x
	imail-file-message, which writes message to a file in a
	human-readable format.

2001-09-27 20:41  Chris Hanson <cph@zurich.ai.mit.edu>

	* imail/: imail.pkg (1.88), imail-file.scm (1.80), imail-rmail.scm
	(1.69), imail-top.scm (1.272), imail-umail.scm (1.50), load.scm
	(1.30): Change handling of file folders so that their type is
	determined solely by their contents rather than their names.

2001-09-27 20:38  Chris Hanson <cph@zurich.ai.mit.edu>

	* cref/: redpkg.scm (1.19), forpkg.scm (1.10), conpkg.scm (1.14):
	Fix bug: package parent can sometimes be the symbol UNKNOWN.

2001-09-25 14:24  Chris Hanson <cph@zurich.ai.mit.edu>

	* cref/Makefile.in (1.1), Makefile.in (1.17), configure.in (1.4):
	CREF should now be included in the install directory.

2001-09-25 14:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/Clean.sh (1.4): Update to reflect changes to packaging.

2001-09-25 13:22  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/Clean.sh (1.5), edwin/Clean.sh (1.3): Update to reflect
	changes to packaging.

2001-09-25 12:53  Chris Hanson <cph@zurich.ai.mit.edu>

	* sf/gconst.scm (4.26): Remove four more definitions that are no
	longer bound to primitives.

2001-09-25 08:57  Chris Hanson <cph@zurich.ai.mit.edu>

	* edwin/prompt.scm (1.197): Fix bug: documentation string for M-x
	repeat-complex-command was referring to repeat-complex-command
	mode, which no longer exists.

2001-09-25 01:42  Chris Hanson <cph@zurich.ai.mit.edu>

	* microcode/utabmd.scm (9.79): Eliminate calls to
	IMPLEMENTED-PRIMITIVE-PROCEDURE? which were causing trouble in the
	boot load.  This was due to rewriting of string support.

2001-09-25 01:37  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/rtlgen/opncod.scm (4.70): Fix typo in previous change.

2001-09-25 01:35  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/rtlopt/rinvex.scm (1.10): Eliminate use of DEFINE-METHOD
	syntactic keyword.

2001-09-25 01:31  Chris Hanson <cph@zurich.ai.mit.edu>

	* compiler/rtlgen/opncod.scm (4.69): Don't open-code any of the
	cell primitives.

2001-09-25 01:29  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/: string.scm (14.45), runtime.pkg (14.376): Extensive
	rewriting to make type-checking more uniform, and to eliminate
	cases where it was being performed twice.  Eliminate even more
	primitives, and speed up the procedures as much as possible.

2001-09-25 01:17  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/char.scm (14.13): Split off unchecked character
	comparisons, for inclusion in "string.scm".

2001-09-25 01:15  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/chrset.scm (14.16): Add type checking to all procedures,
	and rewrite some of the loops for speed.

2001-09-25 01:13  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/chrsyn.scm (1.5): Fix bug in previous change.

2001-09-25 01:12  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/runtime.sf (14.16): The file "char.scm" must now be
	compiled early as it is integrated into "string.scm".

2001-09-25 01:11  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/packag.scm (14.35): Fix thinko.

2001-09-25 01:10  Chris Hanson <cph@zurich.ai.mit.edu>

	* sf/: gconst.scm (4.25), make.scm (4.39): Eliminate a large number
	of inlined primitives.	Some of these are necessary due to changes
	in the runtime system.	Others are eliminated because I don't want
	their names reserved, or because it's inappropriate to inline them.

2001-09-25 01:09  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/list.scm (14.26): Change LENGTH to be a Scheme procedure
	rather than a primitive.  New procedure now checks its argument for
	circularity and signals an error.

2001-09-25 01:08  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/utabs.scm (14.14): Write private version of INTERN, which
	is needed early in the boot sequence before all of the necessary
	mechanism is initialized.

2001-09-25 01:07  Chris Hanson <cph@zurich.ai.mit.edu>

	* runtime/rgxcmp.scm (1.116): Fix bugs in character-set
